PatchSet 2130 
Date: 2001/08/02 21:56:16
Author: andersen
Branch: HEAD
Tag: busybox_0_60_0 
Log:
Fix up some silly messups with the debian packaging, and a dumb
bug with chroot.  I've had the package uploaded but perms set to
000, so I am going to re-tag things and re-cut the release.  Folks
who pulled from CVS in the last 30 minutes with just have to cope.
 -Erik

Members: 
	Makefile:1.231->1.232 
	chroot.c:1.24->1.25 
	coreutils/chroot.c:1.24->1.25 
	debian/Config.h-deb:1.24->1.25 
	debian/Config.h-static:1.19->1.20 
	debian/Config.h-udeb:1.22->1.23 
	shellutils/chroot.c:1.24->1.25 

---------------------
PatchSet 2131 
Date: 2001/08/04 06:28:29
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Fix exclude list handling

Members: 
	libbb/unarchive.c:1.20->1.21 

---------------------
PatchSet 2132 
Date: 2001/08/06 15:14:18
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Add support for underscores in variable names.

Members: 
	msh.c:1.6->1.7 
	shell/msh.c:1.6->1.7 

---------------------
PatchSet 2133 
Date: 2001/08/06 15:18:08
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Simplified version checking.

Members: 
	insmod.c:1.70->1.71 
	modutils/insmod.c:1.70->1.71 

---------------------
PatchSet 2134 
Date: 2001/08/06 17:09:09
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Use ferror(3) to check for errors, rather than inspecting errno.  Thanks to
David Douthitt for reporting, and shame on me for writing such crappy code.

Members: 
	head.c:1.24->1.25 
	coreutils/head.c:1.24->1.25 
	textutils/head.c:1.24->1.25 

---------------------
PatchSet 2135 
Date: 2001/08/09 22:00:12
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Remove BB_SH define entirely.

Members: 
	Config.h:1.98->1.99 
	chroot.c:1.25->1.26 
	coreutils/chroot.c:1.25->1.26 
	debian/Config.h-deb:1.25->1.26 
	debian/Config.h-static:1.20->1.21 
	debian/Config.h-udeb:1.23->1.24 
	shellutils/chroot.c:1.25->1.26 

---------------------
PatchSet 2136 
Date: 2001/08/09 22:07:10
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Remind people to enable RPC support when using NFS mount and uClibc (thanks
to David Douthitt).

Members: 
	Config.h:1.99->1.100 

---------------------
PatchSet 2137 
Date: 2001/08/10 07:02:23
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
This corrects the _really_poor_ implementation of "broadcast +" handling
by ifconfig that someone had submitted.  It fixes 1 bug, gets rid of the
excessive bloating of a structure that is used in a static const array,
and removes the implicit struct copys by keeping only the int type needed.
It also turns this into a configurable feature (off by default).

Members: 
	Config.h:1.100->1.101 
	ifconfig.c:1.11->1.12 
	networking/ifconfig.c:1.11->1.12 

---------------------
PatchSet 2138 
Date: 2001/08/10 16:05:23
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Commit Vladimir's simplify_path.

Members: 
	Makefile:1.232->1.233 
	mount.c:1.90->1.91 
	include/libbb.h:1.59->1.60 
	libbb/libbb.h:1.59->1.60 
	libbb/simplify_path.c:INITIAL->1.1 
	util-linux/mount.c:1.90->1.91 

---------------------
PatchSet 2139 
Date: 2001/08/10 16:22:35
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix stupid grammar error.

Members: 
	ash.c:1.17->1.18 
	shell/ash.c:1.17->1.18 

---------------------
PatchSet 2140 
Date: 2001/08/10 19:22:14
Author: andersen
Branch: busybox_0_60_stable
Tag: (none) 
Log:
Merge the CVS changes so far into the stable branch.

Members: 
	Config.h:1.98->1.98.2.1 
	Makefile:1.232->1.232.2.1 
	ash.c:1.17->1.17.2.1 
	chroot.c:1.25->1.25.2.1 
	head.c:1.24->1.24.2.1 
	ifconfig.c:1.11->1.11.2.1 
	insmod.c:1.70->1.70.2.1 
	mount.c:1.90->1.90.2.1 
	msh.c:1.6->1.6.2.1 
	coreutils/chroot.c:1.25->1.25.2.1 
	coreutils/head.c:1.24->1.24.2.1 
	debian/Config.h-deb:1.25->1.25.2.1 
	debian/Config.h-static:1.20->1.20.2.1 
	debian/Config.h-udeb:1.23->1.23.2.1 
	include/libbb.h:1.59->1.59.2.1 
	libbb/libbb.h:1.59->1.59.2.1 
	libbb/simplify_path.c:1.1->1.1.2.1 
	libbb/unarchive.c:1.20->1.20.2.1 
	modutils/insmod.c:1.70->1.70.2.1 
	networking/ifconfig.c:1.11->1.11.2.1 
	shell/ash.c:1.17->1.17.2.1 
	shell/msh.c:1.6->1.6.2.1 
	shellutils/chroot.c:1.25->1.25.2.1 
	textutils/head.c:1.24->1.24.2.1 
	util-linux/mount.c:1.90->1.90.2.1 

---------------------
PatchSet 2141 
Date: 2001/08/10 19:42:04
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Small size optimization from Aaron Lehmann

Members: 
	ash.c:1.18->1.19 
	shell/ash.c:1.18->1.19 

---------------------
PatchSet 2142 
Date: 2001/08/10 20:36:07
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
A few bug fixes and significant size savings.  Combined effort of
Vladimir N. Oleynik dzo@simtreas.ru, Aaron Lehmann aaronl@vitelus.com,
and myself.

Members: 
	ash.c:1.19->1.20 
	shell/ash.c:1.19->1.20 

---------------------
PatchSet 2143 
Date: 2001/08/10 22:11:56
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix a merging error

Members: 
	ash.c:1.20->1.21 
	shell/ash.c:1.20->1.21 

---------------------
PatchSet 2144 
Date: 2001/08/12 18:32:56
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
I stupidly forgot one level of pointer indirection in the cmdtxt(), calcsize(),
and copynode() table implementations.  Commit the fix but keep them disabled
until others check them out.  Uncomment "//#define CMDTXT_TABLE",
"//#define CALCSIZE_TABLE", and "//#define COPYNODE_TABLE" to try them out.
Saves over 600 bytes on i386.

Members: 
	ash.c:1.21->1.22 
	shell/ash.c:1.21->1.22 

---------------------
PatchSet 2145 
Date: 2001/08/14 18:10:08
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Rewritten by Manuel Novoa III.

Members: 
	libbb/simplify_path.c:1.1->1.2 

---------------------
PatchSet 2146 
Date: 2001/08/14 18:32:23
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Log all messages from a single connection, not just the first.  Patch from
matthias@corelatus.com, approved by Gennady Feldman <gena01@cachier.com>.

Members: 
	syslogd.c:1.75->1.76 
	sysklogd/syslogd.c:1.75->1.76 

---------------------
PatchSet 2147 
Date: 2001/08/14 19:05:40
Author: kraai
Branch: busybox_0_60_stable
Tag: (none) 
Log:
Backported syslogd fix.

Members: 
	syslogd.c:1.75->1.75.2.1 
	sysklogd/syslogd.c:1.75->1.75.2.1 

---------------------
PatchSet 2148 
Date: 2001/08/15 12:25:01
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Fix version comparision bug

Members: 
	dpkg.c:1.40->1.41 
	archival/dpkg.c:1.40->1.41 

---------------------
PatchSet 2149 
Date: 2001/08/20 18:44:32
Author: andersen
Branch: busybox_0_60_stable
Tag: (none) 
Log:
Minor wording changes

Members: 
	Makefile:1.232.2.1->1.232.2.2 

---------------------
PatchSet 2150 
Date: 2001/08/20 18:46:09
Author: andersen
Branch: busybox_0_60_stable
Tag: (none) 
Log:
Backport Manuel Novoa III's rewrite to the stable branch

Members: 
	libbb/simplify_path.c:1.1.2.1->1.1.2.2 

---------------------
PatchSet 2151 
Date: 2001/08/20 18:47:14
Author: andersen
Branch: busybox_0_60_stable
Tag: (none) 
Log:
Apply Glenn's tftp rewrite for the stable branch

Members: 
	tftp.c:1.5->1.5.2.1 
	networking/tftp.c:1.5->1.5.2.1 

---------------------
PatchSet 2152 
Date: 2001/08/20 18:47:49
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Apply Glenn's tftp rewrite

Members: 
	tftp.c:1.5->1.6 
	networking/tftp.c:1.5->1.6 

---------------------
PatchSet 2153 
Date: 2001/08/20 18:48:17
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
some minor wording changes

Members: 
	Makefile:1.233->1.234 

---------------------
PatchSet 2154 
Date: 2001/08/20 22:21:06
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Fix a problem with unsatisfied backrefs (noted by Martin Bene).

Members: 
	sed.c:1.73->1.74 
	editors/sed.c:1.73->1.74 

---------------------
PatchSet 2155 
Date: 2001/08/21 17:18:59
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Initial merge of all tinylogin applets that do not require crypt.
There is some optimization that can be done to better use libbb in
these applets.  There is also redundancy between stty and getty which
could be eliminated.
 -Erik

Members: 
	Config.h:1.101->1.102 
	addgroup.c:INITIAL->1.1 
	adduser.c:INITIAL->1.1 
	applets.h:1.38->1.39 
	deluser.c:INITIAL->1.1 
	getty.c:INITIAL->1.1 
	usage.h:1.60->1.61 
	applets/usage.h:1.60->1.61 
	include/applets.h:1.38->1.39 
	include/usage.h:1.60->1.61 
	pwd_grp/addgroup.c:INITIAL->1.1 
	pwd_grp/adduser.c:INITIAL->1.1 
	pwd_grp/deluser.c:INITIAL->1.1 
	pwd_grp/getty.c:INITIAL->1.1 

---------------------
PatchSet 2156 
Date: 2001/08/21 23:34:05
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix dos2unix compile problem with certain glibc versions

Members: 
	dos2unix.c:1.13->1.14 
	coreutils/dos2unix.c:1.13->1.14 
	textutils/dos2unix.c:1.13->1.14 

---------------------
PatchSet 2157 
Date: 2001/08/21 23:34:58
Author: andersen
Branch: busybox_0_60_stable
Tag: (none) 
Log:
Fix stable as well

Members: 
	dos2unix.c:1.13->1.13.2.1 
	coreutils/dos2unix.c:1.13->1.13.2.1 
	textutils/dos2unix.c:1.13->1.13.2.1 

---------------------
PatchSet 2158 
Date: 2001/08/22 00:34:10
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Disable the tinylogin apps by default.

Members: 
	Config.h:1.102->1.103 

---------------------
PatchSet 2159 
Date: 2001/08/22 00:36:32
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
dfp might be used uninitialized.  NULL it.

Members: 
	libbb/copy_file.c:1.13->1.14 

---------------------
PatchSet 2160 
Date: 2001/08/22 01:10:00
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Make it compile with uClibc

Members: 
	getty.c:1.1->1.2 
	pwd_grp/getty.c:1.1->1.2 

---------------------
PatchSet 2161 
Date: 2001/08/22 05:15:47
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Rodney Brown  <RDBrown@mira.net>, shrinking 1.5k
from gzip by careful optimization.  Appears to work just fine
(I've tested the changes on x86, ARM, and powerpc).

Members: 
	Changelog:1.261->1.262 
	gzip.c:1.47->1.48 
	archival/gzip.c:1.47->1.48 

---------------------
PatchSet 2162 
Date: 2001/08/22 05:16:36
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Bump version to 0.61.pre

Members: 
	Makefile:1.234->1.235 
	busybox.spec:1.37->1.38 
	examples/busybox.spec:1.37->1.38 

---------------------
PatchSet 2163 
Date: 2001/08/22 06:06:29
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Scrub things and ditch uint64_t and use a custom type name
to avoid C lib compatibility problems.

Members: 
	dos2unix.c:1.14->1.15 
	coreutils/dos2unix.c:1.14->1.15 
	textutils/dos2unix.c:1.14->1.15 

---------------------
PatchSet 2164 
Date: 2001/08/22 06:26:08
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix an _old_ interface problem with a never-used feature.

Members: 
	insmod.c:1.71->1.72 
	modutils/insmod.c:1.71->1.72 

---------------------
PatchSet 2165 
Date: 2001/08/22 06:29:19
Author: andersen
Branch: busybox_0_60_stable
Tag: (none) 
Log:
Merge some safe fixes into stable

Members: 
	dos2unix.c:1.13.2.1->1.13.2.2 
	insmod.c:1.70.2.1->1.70.2.2 
	coreutils/dos2unix.c:1.13.2.1->1.13.2.2 
	modutils/insmod.c:1.70.2.1->1.70.2.2 
	textutils/dos2unix.c:1.13.2.1->1.13.2.2 

---------------------
PatchSet 2166 
Date: 2001/08/22 06:31:15
Author: andersen
Branch: busybox_0_60_stable
Tag: (none) 
Log:
Backport Matt's non-existent backreference sed fix to stable

Members: 
	sed.c:1.73->1.73.2.1 
	editors/sed.c:1.73->1.73.2.1 

---------------------
PatchSet 2167 
Date: 2001/08/22 06:32:24
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix a warning and potential segfault in lash when BB_FEATURE_CLEAN_UP
is enabled

Members: 
	lash.c:1.134->1.135 
	shell/lash.c:1.134->1.135 

---------------------
PatchSet 2168 
Date: 2001/08/22 06:32:45
Author: andersen
Branch: busybox_0_60_stable
Tag: (none) 
Log:
Backport lash fix

Members: 
	lash.c:1.134->1.134.2.1 
	shell/lash.c:1.134->1.134.2.1 

---------------------
PatchSet 2169 
Date: 2001/08/22 06:35:39
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add #include <sys/param.h> to ensure PATH_MAX is defined

Members: 
	libbb/xgetcwd.c:1.1->1.2 

---------------------
PatchSet 2170 
Date: 2001/08/22 06:36:12
Author: andersen
Branch: busybox_0_60_stable
Tag: (none) 
Log:
Add #include <sys/param.h> to ensure PATH_MAX is defined

Members: 
	libbb/xgetcwd.c:1.1->1.1.2.1 

---------------------
PatchSet 2171 
Date: 2001/08/22 06:41:57
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Force BB_FEATURE_NEW_MODULE_INTERFACE and BB_FEATURE_OLD_MODULE_INTERFACE
to be mutually exclusive

Members: 
	insmod.c:1.72->1.73 
	modutils/insmod.c:1.72->1.73 

---------------------
PatchSet 2172 
Date: 2001/08/22 06:43:14
Author: andersen
Branch: busybox_0_60_stable
Tag: (none) 
Log:
Force BB_FEATURE_NEW_MODULE_INTERFACE and BB_FEATURE_OLD_MODULE_INTERFACE
to be mutually exclusive (stable branch)

Members: 
	insmod.c:1.70.2.2->1.70.2.3 
	modutils/insmod.c:1.70.2.2->1.70.2.3 

---------------------
PatchSet 2173 
Date: 2001/08/22 06:58:16
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
A patch from Shu-Hao Chang <shuhao_chang@trend.com.tw> to
fixed sed handling of multiple -e commands

Members: 
	Changelog:1.262->1.263 
	sed.c:1.74->1.75 
	editors/sed.c:1.74->1.75 

---------------------
PatchSet 2174 
Date: 2001/08/22 07:00:26
Author: andersen
Branch: busybox_0_60_stable
Tag: (none) 
Log:
A patch from Shu-Hao Chang <shuhao_chang@trend.com.tw> to
fixed sed handling of multiple -e commands

Members: 
	sed.c:1.73.2.1->1.73.2.2 
	editors/sed.c:1.73.2.1->1.73.2.2 

---------------------
PatchSet 2175 
Date: 2001/08/23 20:10:52
Author: andersen
Branch: busybox_0_60_stable
Tag: (none) 
Log:
A patch from Jaspreet Singh to fix a segfault and display nothing wher
there is nothing to display.

Members: 
	route.c:1.10->1.10.2.1 
	networking/route.c:1.10->1.10.2.1 

---------------------
PatchSet 2176 
Date: 2001/08/23 20:18:06
Author: andersen
Branch: busybox_0_60_stable
Tag: (none) 
Log:
Part of a patch from Magick <magick@linux-fan.com> tha fixes a bug
AskFirst where reading from /dev/null gives EOF.

Members: 
	init.c:1.142->1.142.2.1 
	init/init.c:1.142->1.142.2.1 

---------------------
PatchSet 2177 
Date: 2001/08/23 22:39:49
Author: andersen
Branch: busybox_0_60_stable
Tag: (none) 
Log:
Update the changelog for release

Members: 
	Changelog:1.261->1.261.2.1 

---------------------
PatchSet 2178 
Date: 2001/08/23 22:51:58
Author: andersen
Branch: busybox_0_60_stable
Tag: (none) 
Log:
Update the web page

Members: 
	docs/busybox.lineo.com/index.html:1.59->1.59.2.1 
	docs/busybox.net/index.html:1.59->1.59.2.1 

---------------------
PatchSet 2179 
Date: 2001/08/23 23:05:33
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
A patch from Jaspreet Singh <jsingh@somanetworks.com>
fixing both a segfault and cosmetic bug in route

Members: 
	route.c:1.10->1.11 
	networking/route.c:1.10->1.11 

---------------------
PatchSet 2180 
Date: 2001/08/23 23:05:55
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Merge with the stable branch

Members: 
	Changelog:1.263->1.264 
	docs/busybox.lineo.com/index.html:1.59->1.60 
	docs/busybox.net/index.html:1.59->1.60 

---------------------
PatchSet 2181 
Date: 2001/08/23 23:16:22
Author: andersen
Branch: busybox_0_60_stable
Tag: (none) 
Log:
Fix up the debian stuff for release

Members: 
	debian/Config.h-udeb:1.23.2.1->1.23.2.2 
	debian/changelog:1.27->1.27.2.1 

---------------------
PatchSet 2182 
Date: 2001/08/23 23:45:40
Author: andersen
Branch: busybox_0_60_stable
Tag: busybox_0_60_1 
Log:
Oops.  Forgot to bump the version number.

Members: 
	Makefile:1.232.2.2->1.232.2.3 
	busybox.spec:1.37->1.37.2.1 
	examples/busybox.spec:1.37->1.37.2.1 

---------------------
PatchSet 2183 
Date: 2001/08/24 15:45:50
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Fix s/[/]// handling (noted by Dumas Patrice).

Members: 
	Changelog:1.264->1.265 
	sed.c:1.75->1.76 
	editors/sed.c:1.75->1.76 

---------------------
PatchSet 2184 
Date: 2001/08/24 20:07:31
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Fix a memory leak if parent directory creation failed.

Members: 
	libbb/make_directory.c:1.3->1.4 

---------------------
PatchSet 2185 
Date: 2001/08/24 20:51:51
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Canonicalize dirname(3) behavior.

Members: 
	tar.c:1.125->1.126 
	archival/tar.c:1.125->1.126 
	libbb/dirname.c:1.3->1.4 
	libbb/make_directory.c:1.4->1.5 
	libbb/unarchive.c:1.21->1.22 

---------------------
PatchSet 2186 
Date: 2001/08/24 21:35:45
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Eliminate improper consts and allow standard version to override.

Members: 
	include/libbb.h:1.60->1.61 
	libbb/dirname.c:1.4->1.5 
	libbb/libbb.h:1.60->1.61 

---------------------
PatchSet 2187 
Date: 2001/08/27 16:02:32
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Fix invocation of `-/bin/sh' (bug #1209).

Members: 
	Changelog:1.265->1.266 
	busybox.c:1.134->1.135 
	applets/busybox.c:1.134->1.135 

---------------------
PatchSet 2188 
Date: 2001/08/27 16:08:57
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Fix ash exec (noted by Arne Bernin).

Members: 
	Changelog:1.266->1.267 
	applets.c:1.7->1.8 
	applets/applets.c:1.7->1.8 

---------------------
PatchSet 2189 
Date: 2001/08/27 18:19:38
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Add support for `busybox --help APPLET' by Vladimir Oleynik.

Members: 
	applets.c:1.8->1.9 
	applets/applets.c:1.8->1.9 

---------------------
PatchSet 2190 
Date: 2001/08/27 18:57:27
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
patch from vodz -- route cleanup to display all route entries

Members: 
	route.c:1.11->1.12 
	networking/route.c:1.11->1.12 

---------------------
PatchSet 2191 
Date: 2001/08/27 19:55:05
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Remove traces of rpmunpack (patch by Laurence Anderson).

Members: 
	applets.h:1.39->1.40 
	usage.h:1.61->1.62 
	applets/usage.h:1.61->1.62 
	docs/busybox_header.pod:1.3->1.4 
	include/applets.h:1.39->1.40 
	include/usage.h:1.61->1.62 
	tests/testcases:1.12->1.13 

---------------------
PatchSet 2192 
Date: 2001/08/27 20:22:44
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add "DutNux"

Members: 
	docs/busybox.lineo.com/index.html:1.60->1.61 
	docs/busybox.net/index.html:1.60->1.61 

---------------------
PatchSet 2193 
Date: 2001/08/28 23:57:38
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Use the correct buffer when calling dirname, improve an error message, and
plug some memory leaks.  Patch by Laurence Anderson.

Members: 
	libbb/unarchive.c:1.22->1.23 

---------------------
PatchSet 2194 
Date: 2001/08/29 20:02:26
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Standard typing (u_int16_t instead of u16, u_int32_t instead
of u32, etc) cleanups from Laurence Anderson <laurence@zxmail.com>

Members: 
	fbset.c:1.26->1.27 
	fsck_minix.c:1.33->1.34 
	mkfs_minix.c:1.33->1.34 
	rpm2cpio.c:1.2->1.3 
	archival/rpm2cpio.c:1.2->1.3 
	util-linux/fbset.c:1.26->1.27 
	util-linux/fsck_minix.c:1.33->1.34 
	util-linux/mkfs_minix.c:1.33->1.34 

---------------------
PatchSet 2195 
Date: 2001/08/29 21:19:29
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
SUSv2 specifies that if the extension is identical to the basename, it
should not be removed.

Members: 
	basename.c:1.18->1.19 
	coreutils/basename.c:1.18->1.19 
	shellutils/basename.c:1.18->1.19 

---------------------
PatchSet 2196 
Date: 2001/08/29 22:18:47
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Add -p support.

Members: 
	rmdir.c:1.20->1.21 
	coreutils/rmdir.c:1.20->1.21 
	fileutils/rmdir.c:1.20->1.21 

---------------------
PatchSet 2197 
Date: 2001/09/03 17:49:25
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Don't automount things as "usbdevfs" -- patch from
Ethan Benson <erbenson@alaska.net>

Members: 
	mount.c:1.91->1.92 
	util-linux/mount.c:1.91->1.92 

---------------------
PatchSet 2198 
Date: 2001/09/03 20:16:23
Author: andersen
Branch: busybox_0_60_stable
Tag: (none) 
Log:
Backport sed fix for s/[/]// handling from Matt Kraai

Members: 
	sed.c:1.73.2.2->1.73.2.3 
	editors/sed.c:1.73.2.2->1.73.2.3 

---------------------
PatchSet 2199 
Date: 2001/09/03 20:17:48
Author: andersen
Branch: busybox_0_60_stable
Tag: (none) 
Log:
Eliminate improper consts and allow standard version to override.

Members: 
	include/libbb.h:1.59.2.1->1.59.2.2 
	libbb/dirname.c:1.3->1.3.2.1 
	libbb/libbb.h:1.59.2.1->1.59.2.2 

---------------------
PatchSet 2200 
Date: 2001/09/03 20:21:07
Author: andersen
Branch: busybox_0_60_stable
Tag: (none) 
Log:
Backport fix from Matt, for when applet names contain a leading dash
and a full pathname.

Members: 
	busybox.c:1.134->1.134.2.1 
	applets/busybox.c:1.134->1.134.2.1 

---------------------
PatchSet 2201 
Date: 2001/09/03 20:23:30
Author: andersen
Branch: busybox_0_60_stable
Tag: (none) 
Log:
Backport fix for exec'ing ash

Members: 
	applets.c:1.7->1.7.2.1 
	applets/applets.c:1.7->1.7.2.1 

---------------------
PatchSet 2202 
Date: 2001/09/03 20:26:27
Author: andersen
Branch: busybox_0_60_stable
Tag: (none) 
Log:
Backport vodz' route fix

Members: 
	route.c:1.10.2.1->1.10.2.2 
	networking/route.c:1.10.2.1->1.10.2.2 

---------------------
PatchSet 2203 
Date: 2001/09/03 20:30:08
Author: andersen
Branch: busybox_0_60_stable
Tag: (none) 
Log:
remove traces of rpmunpack

Members: 
	applets.h:1.38->1.38.2.1 
	usage.h:1.60->1.60.2.1 
	applets/usage.h:1.60->1.60.2.1 
	docs/busybox_header.pod:1.3->1.3.2.1 
	include/applets.h:1.38->1.38.2.1 
	include/usage.h:1.60->1.60.2.1 
	tests/testcases:1.12->1.12.2.1 

---------------------
PatchSet 2204 
Date: 2001/09/03 20:32:18
Author: andersen
Branch: busybox_0_60_stable
Tag: (none) 
Log:
Use the correct buffer when calling dirname, improve an error message,
and plug some memory leaks.  Patch by Laurence Anderson.

Members: 
	libbb/unarchive.c:1.20.2.1->1.20.2.2 

---------------------
PatchSet 2205 
Date: 2001/09/03 20:34:29
Author: andersen
Branch: busybox_0_60_stable
Tag: (none) 
Log:
Patch from Laurence Anderson to use more standard typing

Members: 
	fbset.c:1.26->1.26.2.1 
	fsck_minix.c:1.33->1.33.2.1 
	mkfs_minix.c:1.33->1.33.2.1 
	rpm2cpio.c:1.2->1.2.2.1 
	archival/rpm2cpio.c:1.2->1.2.2.1 
	util-linux/fbset.c:1.26->1.26.2.1 
	util-linux/fsck_minix.c:1.33->1.33.2.1 
	util-linux/mkfs_minix.c:1.33->1.33.2.1 

---------------------
PatchSet 2206 
Date: 2001/09/03 20:37:15
Author: andersen
Branch: busybox_0_60_stable
Tag: (none) 
Log:
SUSv2 specifies that if the extension is identical to the basename, it
should not be removed.  Patch backport from Matt Kraai

Members: 
	basename.c:1.18->1.18.2.1 
	coreutils/basename.c:1.18->1.18.2.1 
	shellutils/basename.c:1.18->1.18.2.1 

---------------------
PatchSet 2207 
Date: 2001/09/03 20:39:36
Author: andersen
Branch: busybox_0_60_stable
Tag: (none) 
Log:
SuS2 says rmdir must provide -p -- backport patch from Matt

Members: 
	rmdir.c:1.20->1.20.2.1 
	coreutils/rmdir.c:1.20->1.20.2.1 
	fileutils/rmdir.c:1.20->1.20.2.1 

---------------------
PatchSet 2208 
Date: 2001/09/03 20:45:47
Author: andersen
Branch: busybox_0_60_stable
Tag: (none) 
Log:
Teacvh 'mount -t auto' to ignore usbdevfs

Members: 
	mount.c:1.90.2.1->1.90.2.2 
	util-linux/mount.c:1.90.2.1->1.90.2.2 

---------------------
PatchSet 2209 
Date: 2001/09/03 20:46:55
Author: andersen
Branch: busybox_0_60_stable
Tag: (none) 
Log:
Update stable's changelog and bump stable version to 0.60.2.pre

Members: 
	Changelog:1.261.2.1->1.261.2.2 
	Makefile:1.232.2.3->1.232.2.4 
	busybox.spec:1.37.2.1->1.37.2.2 
	debian/changelog:1.27.2.1->1.27.2.2 
	examples/busybox.spec:1.37.2.1->1.37.2.2 

---------------------
PatchSet 2210 
Date: 2001/09/05 20:32:00
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Another fix from vodz

Members: 
	route.c:1.12->1.13 
	networking/route.c:1.12->1.13 

---------------------
PatchSet 2211 
Date: 2001/09/05 20:45:36
Author: kraai
Branch: busybox_0_60_stable
Tag: (none) 
Log:
Backport the rest of dirname(3) interface change.

Members: 
	tar.c:1.125->1.125.2.1 
	archival/tar.c:1.125->1.125.2.1 
	libbb/make_directory.c:1.3->1.3.2.1 

---------------------
PatchSet 2212 
Date: 2001/09/05 21:18:15
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Two patches from Magick <magick@linux-fan.com>:
    1st makes init smaller, and fixes a bug with AskFirst. Reading from
    /dev/null gives EOF.
    2nd makes init run the command's in the order of inittab, as in
    FIFO instead of LIFO.

Members: 
	Changelog:1.267->1.268 
	init.c:1.142->1.143 
	init/init.c:1.142->1.143 

---------------------
PatchSet 2213 
Date: 2001/09/06 00:31:44
Author: andersen
Branch: busybox_0_60_stable
Tag: (none) 
Log:
Backport vodz' route fix

Members: 
	Changelog:1.261.2.2->1.261.2.3 
	route.c:1.10.2.2->1.10.2.3 
	networking/route.c:1.10.2.2->1.10.2.3 

---------------------
PatchSet 2214 
Date: 2001/09/06 18:35:20
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from vodz to make ash cope with leading redirections
(i.e. '2>/dev/null ls rubbish') will now work.

Members: 
	Changelog:1.268->1.269 
	ash.c:1.22->1.23 
	shell/ash.c:1.22->1.23 

---------------------
PatchSet 2215 
Date: 2001/09/06 18:39:23
Author: andersen
Branch: busybox_0_60_stable
Tag: (none) 
Log:
Patch from vodz for ash leading redirections (i.e. '2>/dev/null
ls rubbish')

Members: 
	ash.c:1.17.2.1->1.17.2.2 
	shell/ash.c:1.17.2.1->1.17.2.2 

---------------------
PatchSet 2216 
Date: 2001/09/06 18:40:57
Author: andersen
Branch: busybox_0_60_stable
Tag: (none) 
Log:
Note vodz ash fix

Members: 
	Changelog:1.261.2.3->1.261.2.4 

---------------------
PatchSet 2217 
Date: 2001/09/06 18:59:36
Author: andersen
Branch: busybox_0_60_stable
Tag: (none) 
Log:
define IFS_BROKEN

Members: 
	ash.c:1.17.2.2->1.17.2.3 
	shell/ash.c:1.17.2.2->1.17.2.3 

---------------------
PatchSet 2218 
Date: 2001/09/06 19:00:41
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
define IFS_BROKEN

Members: 
	ash.c:1.23->1.24 
	shell/ash.c:1.23->1.24 

---------------------
PatchSet 2219 
Date: 2001/09/08 21:47:19
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Lineo is no longer sponsoring busybox

Members: 
	docs/busybox.lineo.com/index.html:1.61->1.62 
	docs/busybox.net/index.html:1.61->1.62 

---------------------
PatchSet 2220 
Date: 2001/09/08 21:52:33
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix my email address.

Members: 
	docs/busybox.lineo.com/index.html:1.62->1.63 
	docs/busybox.net/index.html:1.62->1.63 

---------------------
PatchSet 2221 
Date: 2001/09/11 02:11:31
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Commit my changes to arith.c which fixed a couple of bugs and decreased
code size.  Please read the TODO comments regarding accessing shell
variables from the arith() funciton.

Members: 
	libbb/arith.c:1.2->1.3 

---------------------
PatchSet 2222 
Date: 2001/09/11 02:14:02
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Commit my changes to xxreadtoken() to reduce code size.  Also set defines
so that the table implementations of copynode, calcsize, and cmdtxt are
used.  Hopefully this will result in wider testing.  ;-)  If it breaks,
just unset the appropriate defines.

Members: 
	ash.c:1.24->1.25 
	shell/ash.c:1.24->1.25 

---------------------
PatchSet 2223 
Date: 2001/09/16 03:00:09
Author: timr
Branch: HEAD
Tag: (none) 
Log:
closes bug#1215?

Members: 
	applets.h:1.40->1.41 
	include/applets.h:1.40->1.41 

---------------------
PatchSet 2224 
Date: 2001/09/21 05:30:51
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Implement dpkg -l option, from Stefan Soucek (slightly modified)

Members: 
	dpkg.c:1.41->1.42 
	archival/dpkg.c:1.41->1.42 

---------------------
PatchSet 2225 
Date: 2001/09/21 06:07:47
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Fix to make preinst run when required, from Stefan Soucek

Members: 
	dpkg.c:1.42->1.43 
	archival/dpkg.c:1.42->1.43 

---------------------
PatchSet 2226 
Date: 2001/09/21 07:05:35
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Eliminate ldconfig which is no longer built by
default (or needed) with uClibc.

Members: 
	bootfloppy/mkrootfs.sh:1.2->1.3 
	examples/bootfloppy/mkrootfs.sh:1.2->1.3 

---------------------
PatchSet 2227 
Date: 2001/09/21 15:42:30
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Fix tftp usage information (closes: #1216).

Members: 
	usage.h:1.62->1.63 
	applets/usage.h:1.62->1.63 
	include/usage.h:1.62->1.63 

---------------------
PatchSet 2228 
Date: 2001/09/21 21:20:46
Author: kraai
Branch: busybox_0_60_stable
Tag: (none) 
Log:
Backport tftp usage message fix.

Members: 
	usage.h:1.60.2.1->1.60.2.2 
	applets/usage.h:1.60.2.1->1.60.2.2 
	include/usage.h:1.60.2.1->1.60.2.2 

---------------------
PatchSet 2229 
Date: 2001/09/22 04:24:07
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Dont free everytime getline() is used, fix from Stefan Soucek

Members: 
	dpkg.c:1.43->1.44 
	archival/dpkg.c:1.43->1.44 

---------------------
PatchSet 2230 
Date: 2001/09/22 05:16:55
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
The <package>.list file was prepending "./" to the files, fixed that.
Also fixed a very silly error by me when running postinst (remember to use the variable BEFORE its freed)

Members: 
	dpkg.c:1.44->1.45 
	archival/dpkg.c:1.44->1.45 

---------------------
PatchSet 2231 
Date: 2001/09/24 19:34:06
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
List full path instead of relative path if prefix is specified (this was supposed to be in last patch)

Members: 
	libbb/unarchive.c:1.23->1.24 

---------------------
PatchSet 2232 
Date: 2001/09/24 23:44:52
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Add Cachier.

Members: 
	docs/busybox.lineo.com/index.html:1.63->1.64 
	docs/busybox.net/index.html:1.63->1.64 

---------------------
PatchSet 2233 
Date: 2001/09/26 07:20:54
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
use the pedantically correct compiler for preprocessing

Members: 
	Makefile:1.235->1.236 
	busybox.sh:1.15->1.16 
	applets/busybox.sh:1.15->1.16 

---------------------
PatchSet 2234 
Date: 2001/09/26 07:35:10
Author: andersen
Branch: busybox_0_60_stable
Tag: (none) 
Log:
Use the padantically correct compiler for preprocessing

Members: 
	Makefile:1.232.2.4->1.232.2.5 
	busybox.sh:1.15->1.15.2.1 
	applets/busybox.sh:1.15->1.15.2.1 

---------------------
PatchSet 2235 
Date: 2001/09/29 04:34:38
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Fix return status, picked up by Stefan

Members: 
	dpkg.c:1.45->1.46 
	archival/dpkg.c:1.45->1.46 

---------------------
PatchSet 2236 
Date: 2001/10/01 18:50:25
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Use xgethostbyname instead of gethostbyname (found by Erik Andersen).

Members: 
	nslookup.c:1.24->1.25 
	networking/nslookup.c:1.24->1.25 

---------------------
PatchSet 2237 
Date: 2001/10/01 18:52:14
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Use port 37 by default.

Members: 
	rdate.c:1.19->1.20 
	util-linux/rdate.c:1.19->1.20 

---------------------
PatchSet 2238 
Date: 2001/10/02 08:58:23
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix large file support -- 2+ gig files should now actually
work this time...
 -Erik

Members: 
	Makefile:1.236->1.237 

---------------------
PatchSet 2239 
Date: 2001/10/03 04:10:35
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Extract control.tar.gz and data.tar.gz unconditionally, another one picked up by Stefan

Members: 
	dpkg.c:1.46->1.47 
	archival/dpkg.c:1.46->1.47 

---------------------
PatchSet 2240 
Date: 2001/10/03 12:23:42
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Magnus Damm <damm@opensource.se> to avoid lash hanging
on serial ports

Members: 
	lash.c:1.135->1.136 
	shell/lash.c:1.135->1.136 

---------------------
PatchSet 2241 
Date: 2001/10/03 22:26:12
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Look for either "init" or "linuxrc" processes

Members: 
	halt.c:1.14->1.15 
	poweroff.c:1.11->1.12 
	reboot.c:1.18->1.19 
	init/halt.c:1.14->1.15 
	init/poweroff.c:1.11->1.12 
	init/reboot.c:1.18->1.19 

---------------------
PatchSet 2242 
Date: 2001/10/03 22:38:18
Author: andersen
Branch: busybox_0_60_stable
Tag: (none) 
Log:
Look for "init" or "linuxrc" when rebooting

Members: 
	halt.c:1.14->1.14.2.1 
	poweroff.c:1.11->1.11.2.1 
	reboot.c:1.18->1.18.2.1 
	init/halt.c:1.14->1.14.2.1 
	init/poweroff.c:1.11->1.11.2.1 
	init/reboot.c:1.18->1.18.2.1 

---------------------
PatchSet 2243 
Date: 2001/10/03 22:44:28
Author: andersen
Branch: busybox_0_60_stable
Tag: (none) 
Log:
Route is supposed to be in /sbin

Members: 
	applets.h:1.38.2.1->1.38.2.2 
	include/applets.h:1.38.2.1->1.38.2.2 

---------------------
PatchSet 2244 
Date: 2001/10/03 23:10:02
Author: andersen
Branch: busybox_0_60_stable
Tag: (none) 
Log:
Fix lash behavior on serial consoles

Members: 
	lash.c:1.134.2.1->1.134.2.2 
	shell/lash.c:1.134.2.1->1.134.2.2 

---------------------
PatchSet 2245 
Date: 2001/10/04 00:35:05
Author: andersen
Branch: busybox_0_60_stable
Tag: (none) 
Log:
Always enable BB_TEST when BB_ASH, BB_LASH, or BB_MSH is enabled

Members: 
	Config.h:1.98.2.1->1.98.2.2 

---------------------
PatchSet 2246 
Date: 2001/10/04 00:37:24
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Always enable BB_TEST when BB_ASH, BB_LASH, or BB_MSH is enabled

Members: 
	Config.h:1.103->1.104 

---------------------
PatchSet 2247 
Date: 2001/10/04 06:22:42
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Fixes with help from Stefan, Typo in prerm script, and when reinstall a package the old packages status was getting overwritten.

Members: 
	dpkg.c:1.47->1.48 
	archival/dpkg.c:1.47->1.48 

---------------------
PatchSet 2248 
Date: 2001/10/04 10:33:40
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add Magnus Damm and fix alpha sorting

Members: 
	AUTHORS:1.19->1.20 

---------------------
PatchSet 2249 
Date: 2001/10/04 16:23:34
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Fix BB_FEATURE_MTAB_SUPPORT test (report and patch by Magnus Damm).

Members: 
	libbb/mtab_file.c:1.2->1.3 

---------------------
PatchSet 2250 
Date: 2001/10/04 19:44:28
Author: kraai
Branch: busybox_0_60_stable
Tag: (none) 
Log:
Backport fix.

Members: 
	libbb/mtab_file.c:1.2->1.2.2.1 

---------------------
PatchSet 2251 
Date: 2001/10/05 02:35:08
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Invert FILEUTILS_PRESERVE_SYMLINKS into FILEUTILS_DEREFERENCE.

Members: 
	cp.c:1.19->1.20 
	mv.c:1.16->1.17 
	coreutils/cp.c:1.19->1.20 
	coreutils/mv.c:1.16->1.17 
	fileutils/cp.c:1.19->1.20 
	fileutils/mv.c:1.16->1.17 
	include/libbb.h:1.61->1.62 
	libbb/copy_file.c:1.14->1.15 
	libbb/libbb.h:1.61->1.62 

---------------------
PatchSet 2252 
Date: 2001/10/05 03:58:48
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Change extraction/list code to use common unarchive code.

Members: 
	tar.c:1.126->1.127 
	archival/tar.c:1.126->1.127 

---------------------
PatchSet 2253 
Date: 2001/10/05 04:48:57
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Initial support for for bunzip2....
This code could be improvemed by
 1) supporting more options,
 2) Creating a shared crc table with gunzip, or perhaps generated on the fly.
 3) Removing any remaining unneccessary code (e.g. if (noisy))

Members: 
	Config.h:1.104->1.105 
	applets.h:1.41->1.42 
	bunzip2.c:INITIAL->1.1 
	usage.h:1.63->1.64 
	applets/usage.h:1.63->1.64 
	archival/bunzip2.c:INITIAL->1.1 
	include/applets.h:1.41->1.42 
	include/usage.h:1.63->1.64 

---------------------
PatchSet 2254 
Date: 2001/10/05 05:40:37
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Apply Magnus Damm's patch, adds tftp blocksize support, and some cleanups.

Members: 
	Config.h:1.105->1.106 
	tftp.c:1.6->1.7 
	usage.h:1.64->1.65 
	applets/usage.h:1.64->1.65 
	include/usage.h:1.64->1.65 
	networking/tftp.c:1.6->1.7 

---------------------
PatchSet 2255 
Date: 2001/10/05 06:03:14
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Use xfopen, saves 32 bytes !

Members: 
	freeramdisk.c:1.18->1.19 
	util-linux/freeramdisk.c:1.18->1.19 

---------------------
PatchSet 2256 
Date: 2001/10/05 06:24:19
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Use wfopen instead of fopen & error_msg, saves 64 bytes

Members: 
	tee.c:1.19->1.20 
	coreutils/tee.c:1.19->1.20 
	shellutils/tee.c:1.19->1.20 

---------------------
PatchSet 2257 
Date: 2001/10/05 11:11:28
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Remove duplicate tftp -l option help

Members: 
	usage.h:1.65->1.66 
	applets/usage.h:1.65->1.66 
	include/usage.h:1.65->1.66 

---------------------
PatchSet 2258 
Date: 2001/10/06 03:27:36
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
status_package_num should refer to package not status.
Only initialise a new entry in the status hashtable if it really is a new entry.

Members: 
	dpkg.c:1.48->1.49 
	archival/dpkg.c:1.48->1.49 

---------------------
PatchSet 2259 
Date: 2001/10/06 03:40:20
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Another part of Stafan's latest patch, when replacing a pre-existing package set its status correctly.

Members: 
	dpkg.c:1.49->1.50 
	archival/dpkg.c:1.49->1.50 

---------------------
PatchSet 2260 
Date: 2001/10/08 09:22:48
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Free some variables after use

Members: 
	libbb/unarchive.c:1.24->1.25 

---------------------
PatchSet 2261 
Date: 2001/10/08 14:10:12
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Cleanup memory usage properly

Members: 
	libbb/unarchive.c:1.25->1.26 

---------------------
PatchSet 2262 
Date: 2001/10/12 20:00:15
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Fix tar segfault when include list is empty and exclude list is not.

Members: 
	Changelog:1.269->1.270 
	tar.c:1.127->1.128 
	archival/tar.c:1.127->1.128 

---------------------
PatchSet 2263 
Date: 2001/10/13 06:03:29
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Superficial changes to make the exclude/include code easier to understand

Members: 
	tar.c:1.128->1.129 
	archival/tar.c:1.128->1.129 

---------------------
PatchSet 2264 
Date: 2001/10/13 07:21:32
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Use fnmatch() to compare excluded/included files

Members: 
	libbb/unarchive.c:1.26->1.27 

---------------------
PatchSet 2265 
Date: 2001/10/13 07:53:34
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
match exclude/include names with trailing '/'

Members: 
	libbb/unarchive.c:1.27->1.28 

---------------------
PatchSet 2266 
Date: 2001/10/13 07:54:45
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Match subdirectories of included/excluded files

Members: 
	tar.c:1.129->1.130 
	archival/tar.c:1.129->1.130 

---------------------
PatchSet 2267 
Date: 2001/10/13 08:11:03
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Reverse part of previous change.... i think it was the wrong approach... im lost

Members: 
	tar.c:1.130->1.131 
	archival/tar.c:1.130->1.131 

---------------------
PatchSet 2268 
Date: 2001/10/13 20:43:46
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
unarchive function changed to support both exclude and include lists, applets that use unarchive changed to match.

Members: 
	ar.c:1.37->1.38 
	cpio.c:1.4->1.5 
	tar.c:1.131->1.132 
	archival/ar.c:1.37->1.38 
	archival/cpio.c:1.4->1.5 
	archival/tar.c:1.131->1.132 
	include/libbb.h:1.62->1.63 
	libbb/libbb.h:1.62->1.63 
	libbb/unarchive.c:1.28->1.29 

---------------------
PatchSet 2269 
Date: 2001/10/18 04:20:41
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Stefan Soucek <ssoucek@coactive.com> to
ignore extra empty lines in fgets_str

Members: 
	libbb/fgets_str.c:1.1->1.2 

---------------------
PatchSet 2270 
Date: 2001/10/18 05:04:34
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix a nasty bug with variable name shadowing

Members: 
	halt.c:1.15->1.16 
	poweroff.c:1.12->1.13 
	reboot.c:1.19->1.20 
	init/halt.c:1.15->1.16 
	init/poweroff.c:1.12->1.13 
	init/reboot.c:1.19->1.20 

---------------------
PatchSet 2271 
Date: 2001/10/18 05:05:28
Author: andersen
Branch: busybox_0_60_stable
Tag: (none) 
Log:
Fix a nasty bug resulting from variable name shadowing

Members: 
	halt.c:1.14.2.1->1.14.2.2 
	poweroff.c:1.11.2.1->1.11.2.2 
	reboot.c:1.18.2.1->1.18.2.2 
	init/halt.c:1.14.2.1->1.14.2.2 
	init/poweroff.c:1.11.2.1->1.11.2.2 
	init/reboot.c:1.18.2.1->1.18.2.2 

---------------------
PatchSet 2272 
Date: 2001/10/18 05:10:22
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Make mount default to using /proc/filesystems to avoid
ever trying to mount a nodev filesystem.
 -Erik

Members: 
	mount.c:1.92->1.93 
	util-linux/mount.c:1.92->1.93 

---------------------
PatchSet 2273 
Date: 2001/10/18 05:11:38
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Scrub up some function prototypes.
 -Erik

Members: 
	Makefile:1.237->1.238 
	ash.c:1.25->1.26 
	grep.c:1.62->1.63 
	gzip.c:1.48->1.49 
	init.c:1.143->1.144 
	mkswap.c:1.24->1.25 
	swaponoff.c:1.28->1.29 
	tail.c:1.38->1.39 
	test.c:1.19->1.20 
	archival/gzip.c:1.48->1.49 
	archival/libunarchive/unzip.c:1.9->1.10 
	coreutils/tail.c:1.38->1.39 
	coreutils/test.c:1.19->1.20 
	findutils/grep.c:1.62->1.63 
	init/init.c:1.143->1.144 
	libbb/unzip.c:1.9->1.10 
	libbb/vherror_msg.c:1.2->1.3 
	libbb/xgethostbyname.c:1.2->1.3 
	shell/ash.c:1.25->1.26 
	shellutils/test.c:1.19->1.20 
	textutils/tail.c:1.38->1.39 
	util-linux/mkswap.c:1.24->1.25 
	util-linux/swaponoff.c:1.28->1.29 

---------------------
PatchSet 2274 
Date: 2001/10/18 05:15:26
Author: andersen
Branch: busybox_0_60_stable
Tag: (none) 
Log:
Revert mount -t auto to using /proc/filesystems, so we can
avoid automounting any nodev filesystems.
 -Erik

Members: 
	mount.c:1.90.2.2->1.90.2.3 
	util-linux/mount.c:1.90.2.2->1.90.2.3 

---------------------
PatchSet 2275 
Date: 2001/10/18 07:04:23
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Revert that change.  As Matt Kraai rightly points out,
this is not a bug.  What I was I thinking when I committed
this.  Doh!

Members: 
	libbb/fgets_str.c:1.2->1.3 

---------------------
PatchSet 2276 
Date: 2001/10/18 16:08:30
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Remove xmalloc calls.

Members: 
	dpkg.c:1.50->1.51 
	archival/dpkg.c:1.50->1.51 

---------------------
PatchSet 2277 
Date: 2001/10/18 18:03:59
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Process extra empty lines correctly.

Members: 
	dpkg.c:1.51->1.52 
	archival/dpkg.c:1.51->1.52 

---------------------
PatchSet 2278 
Date: 2001/10/18 18:04:22
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Return NULL if EOF is encountered before terminating_string.

Members: 
	libbb/fgets_str.c:1.3->1.4 

---------------------
PatchSet 2279 
Date: 2001/10/18 20:33:06
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Commit the start-stop-daemon applet.  This was contributed by David
Kimdon <dwhedon@gordian.com> on october 7th -- the day I was fired from
Lineo.  So it seems I totally forgot about this patch until now.
Sorry about that David!

Members: 
	Config.h:1.106->1.107 
	applets.h:1.42->1.43 
	start_stop_daemon.c:INITIAL->1.1 
	usage.h:1.66->1.67 
	applets/usage.h:1.66->1.67 
	include/applets.h:1.42->1.43 
	include/usage.h:1.66->1.67 
	init/start_stop_daemon.c:INITIAL->1.1 

---------------------
PatchSet 2280 
Date: 2001/10/19 01:08:17
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Remove the now unused ARITH_* defines
 -Erik

Members: 
	ash.c:1.26->1.27 
	shell/ash.c:1.26->1.27 

---------------------
PatchSet 2281 
Date: 2001/10/19 01:22:22
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add an option to make the shells not advertise their busybox nature

Members: 
	Config.h:1.107->1.108 
	ash.c:1.27->1.28 
	hush.c:1.54->1.55 
	lash.c:1.136->1.137 
	msh.c:1.7->1.8 
	shell/ash.c:1.27->1.28 
	shell/hush.c:1.54->1.55 
	shell/lash.c:1.136->1.137 
	shell/msh.c:1.7->1.8 

---------------------
PatchSet 2282 
Date: 2001/10/19 01:46:06
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add mindi linux

Members: 
	docs/busybox.lineo.com/index.html:1.64->1.65 
	docs/busybox.net/index.html:1.64->1.65 

---------------------
PatchSet 2283 
Date: 2001/10/19 07:13:06
Author: andersen
Branch: busybox_0_60_stable
Tag: (none) 
Log:
Update udeb contents

Members: 
	debian/Config.h-udeb:1.23.2.2->1.23.2.3 

---------------------
PatchSet 2284 
Date: 2001/10/19 07:14:16
Author: andersen
Branch: busybox_0_60_stable
Tag: (none) 
Log:
update apps enabled in the .deb

Members: 
	debian/Config.h-deb:1.25.2.1->1.25.2.2 

---------------------
PatchSet 2285 
Date: 2001/10/19 07:32:15
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add slackware 8 to list

Members: 
	docs/busybox.lineo.com/index.html:1.65->1.66 
	docs/busybox.net/index.html:1.65->1.66 

---------------------
PatchSet 2286 
Date: 2001/10/19 16:33:45
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Add ttylinux.

Members: 
	docs/busybox.lineo.com/index.html:1.66->1.67 
	docs/busybox.net/index.html:1.66->1.67 

---------------------
PatchSet 2287 
Date: 2001/10/23 18:52:28
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Abort if scripts return value != 0

Members: 
	dpkg.c:1.52->1.53 
	archival/dpkg.c:1.52->1.53 

---------------------
PatchSet 2288 
Date: 2001/10/23 22:12:07
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Fix empty line substitutions (noted by Joshua Hudson).

Members: 
	sed.c:1.76->1.77 
	editors/sed.c:1.76->1.77 

---------------------
PatchSet 2289 
Date: 2001/10/23 22:18:59
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Fix empty line substitutions (noted by Joshua Hudson).

Members: 
	Changelog:1.270->1.271 

---------------------
PatchSet 2290 
Date: 2001/10/24 01:20:27
Author: andersen
Branch: busybox_0_60_stable
Tag: (none) 
Log:
Thanks to Glenn McGrath, clean applet_source_list last
 -Erik

Members: 
	Makefile:1.232.2.5->1.232.2.6 

---------------------
PatchSet 2291 
Date: 2001/10/24 01:22:11
Author: andersen
Branch: busybox_0_60_stable
Tag: (none) 
Log:
Backport sed 's/$/@/' bugfix, thanks to Matt Kraai

Members: 
	sed.c:1.73.2.3->1.73.2.4 
	editors/sed.c:1.73.2.3->1.73.2.4 

---------------------
PatchSet 2292 
Date: 2001/10/24 01:42:44
Author: andersen
Branch: busybox_0_60_stable
Tag: (none) 
Log:
Accomodate older glibc's which also do not have the module
syscalls.

Members: 
	libbb/module_syscalls.c:1.5->1.5.2.1 

---------------------
PatchSet 2293 
Date: 2001/10/24 01:44:11
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Accomodate older glibc, which also lacks the module syscalls

Members: 
	libbb/module_syscalls.c:1.5->1.6 

---------------------
PatchSet 2294 
Date: 2001/10/24 05:59:07
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Major rework of the directory structure and the entire build system.
 -Erik

Members: 
	.cvsignore:1.8->1.9 
	AUTHORS:1.20->1.21 
	Changelog:1.271->1.272 
	Config.h:1.108->1.109(DEAD) 
	LICENSE:1.6->1.7 
	Makefile:1.238->1.239 
	README:1.19->1.20 
	addgroup.c:1.1->1.2(DEAD) 
	adduser.c:1.1->1.2(DEAD) 
	adjtimex.c:1.2->1.3(DEAD) 
	applets.c:1.9->1.10(DEAD) 
	applets.h:1.43->1.44(DEAD) 
	ar.c:1.38->1.39(DEAD) 
	ash.c:1.28->1.29(DEAD) 
	basename.c:1.19->1.20(DEAD) 
	bunzip2.c:1.1->1.2(DEAD) 
	busybox.c:1.135->1.136(DEAD) 
	busybox.h:1.46->1.47(DEAD) 
	busybox.mkll:1.16->1.17(DEAD) 
	busybox.sh:1.16->1.17(DEAD) 
	busybox.spec:1.38->1.39(DEAD) 
	cat.c:1.25->1.26(DEAD) 
	chgrp.c:1.9->1.10(DEAD) 
	chmod.c:1.10->1.11(DEAD) 
	chown.c:1.17->1.18(DEAD) 
	chroot.c:1.26->1.27(DEAD) 
	chvt.c:1.17->1.18(DEAD) 
	clear.c:1.14->1.15(DEAD) 
	cmdedit.c:1.62->1.63(DEAD) 
	cmdedit.h:1.12->1.13(DEAD) 
	cmp.c:1.7->1.8(DEAD) 
	cp.c:1.20->1.21(DEAD) 
	cpio.c:1.5->1.6(DEAD) 
	cut.c:1.24->1.25(DEAD) 
	date.c:1.34->1.35(DEAD) 
	dc.c:1.12->1.13(DEAD) 
	dd.c:1.46->1.47(DEAD) 
	deallocvt.c:1.23->1.24(DEAD) 
	deluser.c:1.1->1.2(DEAD) 
	df.c:1.48->1.49(DEAD) 
	dirname.c:1.16->1.17(DEAD) 
	dmesg.c:1.25->1.26(DEAD) 
	dos2unix.c:1.15->1.16(DEAD) 
	dpkg.c:1.53->1.54(DEAD) 
	dpkg_deb.c:1.24->1.25(DEAD) 
	du.c:1.50->1.51(DEAD) 
	dumpkmap.c:1.14->1.15(DEAD) 
	dutmp.c:1.26->1.27(DEAD) 
	echo.c:1.16->1.17(DEAD) 
	env.c:1.4->1.5(DEAD) 
	expr.c:1.9->1.10(DEAD) 
	fbset.c:1.27->1.28(DEAD) 
	fdflush.c:1.18->1.19(DEAD) 
	find.c:1.32->1.33(DEAD) 
	free.c:1.17->1.18(DEAD) 
	freeramdisk.c:1.19->1.20(DEAD) 
	fsck_minix.c:1.34->1.35(DEAD) 
	getopt.c:1.9->1.10(DEAD) 
	getty.c:1.2->1.3(DEAD) 
	grep.c:1.63->1.64(DEAD) 
	gunzip.c:1.57->1.58(DEAD) 
	gzip.c:1.49->1.50(DEAD) 
	halt.c:1.16->1.17(DEAD) 
	head.c:1.25->1.26(DEAD) 
	hostid.c:1.12->1.13(DEAD) 
	hostname.c:1.30->1.31(DEAD) 
	hush.c:1.55->1.56(DEAD) 
	id.c:1.20->1.21(DEAD) 
	ifconfig.c:1.12->1.13(DEAD) 
	init.c:1.144->1.145(DEAD) 
	insmod.c:1.73->1.74(DEAD) 
	install.sh:1.14->1.15(DEAD) 
	kill.c:1.38->1.39(DEAD) 
	klogd.c:1.6->1.7(DEAD) 
	lash.c:1.137->1.138(DEAD) 
	length.c:1.13->1.14(DEAD) 
	ln.c:1.37->1.38(DEAD) 
	loadacm.c:1.22->1.23(DEAD) 
	loadfont.c:1.19->1.20(DEAD) 
	loadkmap.c:1.25->1.26(DEAD) 
	logger.c:1.33->1.34(DEAD) 
	logname.c:1.15->1.16(DEAD) 
	logread.c:1.8->1.9(DEAD) 
	ls.c:1.84->1.85(DEAD) 
	lsmod.c:1.27->1.28(DEAD) 
	makedevs.c:1.11->1.12(DEAD) 
	md5sum.c:1.25->1.26(DEAD) 
	mk_loop_h.sh:1.2->1.3(DEAD) 
	mkdir.c:1.31->1.32(DEAD) 
	mkfifo.c:1.14->1.15(DEAD) 
	mkfs_minix.c:1.34->1.35(DEAD) 
	mknod.c:1.21->1.22(DEAD) 
	mkswap.c:1.25->1.26(DEAD) 
	mktemp.c:1.10->1.11(DEAD) 
	modprobe.c:1.2->1.3(DEAD) 
	more.c:1.51->1.52(DEAD) 
	mount.c:1.93->1.94(DEAD) 
	msh.c:1.8->1.9(DEAD) 
	mt.c:1.23->1.24(DEAD) 
	mv.c:1.17->1.18(DEAD) 
	nc.c:1.18->1.19(DEAD) 
	nfsmount.c:1.23->1.24(DEAD) 
	nfsmount.h:1.5->1.6(DEAD) 
	nslookup.c:1.25->1.26(DEAD) 
	pidof.c:1.1->1.2(DEAD) 
	ping.c:1.46->1.47(DEAD) 
	pivot_root.c:1.6->1.7(DEAD) 
	poweroff.c:1.13->1.14(DEAD) 
	printf.c:1.17->1.18(DEAD) 
	pristine_setup.sh:1.4->1.5(DEAD) 
	ps.c:1.43->1.44(DEAD) 
	pwd.c:1.21->1.22(DEAD) 
	rdate.c:1.20->1.21(DEAD) 
	readlink.c:1.9->1.10(DEAD) 
	reboot.c:1.20->1.21(DEAD) 
	renice.c:1.7->1.8(DEAD) 
	reset.c:1.6->1.7(DEAD) 
	rm.c:1.35->1.36(DEAD) 
	rmdir.c:1.21->1.22(DEAD) 
	rmmod.c:1.20->1.21(DEAD) 
	route.c:1.13->1.14(DEAD) 
	rpm2cpio.c:1.3->1.4(DEAD) 
	sed.c:1.77->1.78(DEAD) 
	setkeycodes.c:1.11->1.12(DEAD) 
	sleep.c:1.15->1.16(DEAD) 
	sort.c:1.33->1.34(DEAD) 
	start_stop_daemon.c:1.1->1.2(DEAD) 
	stty.c:1.6->1.7(DEAD) 
	swaponoff.c:1.29->1.30(DEAD) 
	sync.c:1.17->1.18(DEAD) 
	syslogd.c:1.76->1.77(DEAD) 
	tail.c:1.39->1.40(DEAD) 
	tar.c:1.132->1.133(DEAD) 
	tee.c:1.20->1.21(DEAD) 
	telnet.c:1.24->1.25(DEAD) 
	test.c:1.20->1.21(DEAD) 
	tftp.c:1.7->1.8(DEAD) 
	touch.c:1.22->1.23(DEAD) 
	tr.c:1.31->1.32(DEAD) 
	traceroute.c:1.5->1.6(DEAD) 
	true_false.c:1.14->1.15(DEAD) 
	tty.c:1.11->1.12(DEAD) 
	umount.c:1.56->1.57(DEAD) 
	uname.c:1.15->1.16(DEAD) 
	uniq.c:1.19->1.20(DEAD) 
	update.c:1.23->1.24(DEAD) 
	uptime.c:1.15->1.16(DEAD) 
	usage.c:1.59->1.60(DEAD) 
	usage.h:1.67->1.68(DEAD) 
	usleep.c:1.9->1.10(DEAD) 
	uudecode.c:1.17->1.18(DEAD) 
	uuencode.c:1.20->1.21(DEAD) 
	vi.c:1.15->1.16(DEAD) 
	watchdog.c:1.5->1.6(DEAD) 
	wc.c:1.19->1.20(DEAD) 
	wget.c:1.45->1.46(DEAD) 
	which.c:1.20->1.21(DEAD) 
	whoami.c:1.19->1.20(DEAD) 
	xargs.c:1.19->1.20(DEAD) 
	yes.c:1.13->1.14(DEAD) 
	applets/busybox.c:1.135->1.136 
	applets/busybox.sh:1.16->1.17 
	applets/usage.h:1.67->1.68 
	archival/Makefile:INITIAL->1.1 
	archival/config.in:INITIAL->1.1 
	archival/gzip.c:1.49->1.50 
	archival/tar.c:1.132->1.133 
	bootfloppy/bootfloppy.txt:1.1->1.2(DEAD) 
	bootfloppy/display.txt:1.1->1.2(DEAD) 
	bootfloppy/mkdevs.sh:1.1->1.2(DEAD) 
	bootfloppy/mkrootfs.sh:1.3->1.4(DEAD) 
	bootfloppy/mksyslinux.sh:1.1->1.2(DEAD) 
	bootfloppy/quickstart.txt:1.1->1.2(DEAD) 
	bootfloppy/syslinux.cfg:1.1->1.2(DEAD) 
	bootfloppy/etc/fstab:1.1->1.2(DEAD) 
	bootfloppy/etc/inittab:1.1->1.2(DEAD) 
	bootfloppy/etc/profile:1.1->1.2(DEAD) 
	bootfloppy/etc/init.d/rcS:1.1->1.2(DEAD) 
	console-tools/Makefile:INITIAL->1.1 
	console-tools/clear.c:1.14->1.15 
	console-tools/config.in:INITIAL->1.1 
	console-tools/reset.c:1.6->1.7 
	coreutils/basename.c:1.19->1.20 
	coreutils/cat.c:1.25->1.26 
	coreutils/chgrp.c:1.9->1.10 
	coreutils/chmod.c:1.10->1.11 
	coreutils/chown.c:1.17->1.18 
	coreutils/chroot.c:1.26->1.27 
	coreutils/cmp.c:1.7->1.8 
	coreutils/df.c:1.48->1.49 
	coreutils/dirname.c:1.16->1.17 
	coreutils/du.c:1.50->1.51 
	coreutils/head.c:1.25->1.26 
	coreutils/ln.c:1.37->1.38 
	coreutils/ls.c:1.84->1.85 
	coreutils/rmdir.c:1.21->1.22 
	coreutils/sort.c:1.33->1.34 
	coreutils/tail.c:1.39->1.40 
	coreutils/tee.c:1.20->1.21 
	coreutils/touch.c:1.22->1.23 
	coreutils/tr.c:1.31->1.32 
	coreutils/uniq.c:1.19->1.20 
	coreutils/uuencode.c:1.20->1.21 
	debian/Config.h-deb:1.26->1.27 
	debian/Config.h-static:1.21->1.22 
	debian/Config.h-udeb:1.24->1.25 
	debian/rules:1.10->1.11 
	docs/autodocifier.pl:1.21->1.22 
	docs/new-applet-HOWTO.txt:1.4->1.5 
	docs/style-guide.txt:1.15->1.16 
	docs/busybox.lineo.com/index.html:1.67->1.68 
	docs/busybox.lineo.com/oldnews.html:1.5->1.6 
	docs/busybox.net/index.html:1.67->1.68 
	docs/busybox.net/oldnews.html:1.5->1.6 
	editors/Makefile:INITIAL->1.1 
	editors/config.in:INITIAL->1.1 
	editors/sed.c:1.77->1.78 
	editors/vi.c:1.15->1.16 
	examples/inittab:1.5->1.6 
	examples/mk2knr.pl:1.2->1.3 
	examples/kernel-patches/devps.patch.9_25_2000:1.1->1.2 
	fileutils/Makefile:INITIAL->1.1 
	fileutils/chgrp.c:1.9->1.10 
	fileutils/chmod.c:1.10->1.11 
	fileutils/chown.c:1.17->1.18 
	fileutils/config.in:INITIAL->1.1 
	fileutils/df.c:1.48->1.49 
	fileutils/du.c:1.50->1.51 
	fileutils/ln.c:1.37->1.38 
	fileutils/ls.c:1.84->1.85 
	fileutils/rmdir.c:1.21->1.22 
	fileutils/touch.c:1.22->1.23 
	findutils/Makefile:INITIAL->1.1 
	findutils/config.in:INITIAL->1.1 
	findutils/find.c:1.32->1.33 
	findutils/grep.c:1.63->1.64 
	findutils/which.c:1.20->1.21 
	findutils/xargs.c:1.19->1.20 
	include/applets.h:1.43->1.44 
	include/busybox.h:1.46->1.47 
	include/grp.h:1.2->1.3 
	include/libbb.h:1.63->1.64 
	include/pwd.h:1.2->1.3 
	include/usage.h:1.67->1.68 
	init/Makefile:INITIAL->1.1 
	init/config.in:INITIAL->1.1 
	init/halt.c:1.16->1.17 
	init/init.c:1.144->1.145 
	init/poweroff.c:1.13->1.14 
	init/reboot.c:1.20->1.21 
	kernel-patches/Will_devps_GoIntoTheKernel:1.1->1.2(DEAD) 
	kernel-patches/devps.patch.9_25_2000:1.1->1.2(DEAD) 
	libbb/Makefile:1.1->1.2 
	libbb/ask_confirmation.c:1.1->1.2 
	libbb/chomp.c:1.4->1.5 
	libbb/concat_path_file.c:1.7->1.8 
	libbb/copy_file.c:1.15->1.16 
	libbb/copy_file_chunk.c:1.6->1.7 
	libbb/copyfd.c:1.2->1.3 
	libbb/device_open.c:1.1->1.2 
	libbb/error_msg.c:1.2->1.3 
	libbb/error_msg_and_die.c:1.1->1.2 
	libbb/fgets_str.c:1.4->1.5 
	libbb/find_mount_point.c:1.2->1.3 
	libbb/find_pid_by_name.c:1.5->1.6 
	libbb/find_root_device.c:1.4->1.5 
	libbb/full_read.c:1.1->1.2 
	libbb/full_write.c:1.1->1.2 
	libbb/get_console.c:1.2->1.3 
	libbb/get_last_path_component.c:1.2->1.3 
	libbb/get_line_from_file.c:1.1->1.2 
	libbb/gz_open.c:1.4->1.5 
	libbb/herror_msg.c:1.1->1.2 
	libbb/herror_msg_and_die.c:1.1->1.2 
	libbb/inode_hash.c:1.2->1.3 
	libbb/interface.c:1.4->1.5 
	libbb/isdirectory.c:1.1->1.2 
	libbb/kernel_version.c:1.1->1.2 
	libbb/libbb.h:1.63->1.64(DEAD) 
	libbb/loop.c:1.1->1.2 
	libbb/messages.c:1.5->1.6 
	libbb/mode_string.c:1.1->1.2 
	libbb/module_syscalls.c:1.6->1.7 
	libbb/mtab.c:1.1->1.2 
	libbb/mtab_file.c:1.3->1.4 
	libbb/my_getgrgid.c:1.1->1.2 
	libbb/my_getgrnam.c:1.1->1.2 
	libbb/my_getpwnam.c:1.1->1.2 
	libbb/my_getpwnamegid.c:1.1->1.2 
	libbb/my_getpwuid.c:1.1->1.2 
	libbb/parse_mode.c:1.3->1.4 
	libbb/parse_number.c:1.1->1.2 
	libbb/perror_msg.c:1.1->1.2 
	libbb/perror_msg_and_die.c:1.1->1.2 
	libbb/print_file.c:1.3->1.4 
	libbb/read_package_field.c:1.4->1.5 
	libbb/recursive_action.c:1.4->1.5 
	libbb/remove_file.c:1.3->1.4 
	libbb/safe_read.c:1.1->1.2 
	libbb/safe_strncpy.c:1.1->1.2 
	libbb/syscalls.c:1.5->1.6 
	libbb/syslog_msg_with_name.c:1.2->1.3 
	libbb/time_string.c:1.1->1.2 
	libbb/trim.c:1.5->1.6 
	libbb/u_signal_names.c:1.1->1.2 
	libbb/vdprintf.c:1.2->1.3 
	libbb/verror_msg.c:1.2->1.3 
	libbb/vherror_msg.c:1.3->1.4 
	libbb/vperror_msg.c:1.1->1.2 
	libbb/wfopen.c:1.1->1.2 
	libbb/xfuncs.c:1.3->1.4 
	libbb/xgethostbyname.c:1.3->1.4 
	libbb/xregcomp.c:1.1->1.2 
	miscutils/Makefile:INITIAL->1.1 
	miscutils/config.in:INITIAL->1.1 
	miscutils/readlink.c:1.9->1.10 
	modutils/Makefile:INITIAL->1.1 
	modutils/config.in:INITIAL->1.1 
	modutils/insmod.c:1.73->1.74 
	modutils/lsmod.c:1.27->1.28 
	modutils/rmmod.c:1.20->1.21 
	networking/Makefile:INITIAL->1.1 
	networking/config.in:INITIAL->1.1 
	networking/hostname.c:1.30->1.31 
	networking/ifconfig.c:1.12->1.13 
	networking/nslookup.c:1.25->1.26 
	networking/ping.c:1.46->1.47 
	networking/telnet.c:1.24->1.25 
	networking/tftp.c:1.7->1.8 
	networking/traceroute.c:1.5->1.6 
	networking/wget.c:1.45->1.46 
	procps/Makefile:INITIAL->1.1 
	procps/config.in:INITIAL->1.1 
	procps/free.c:1.17->1.18 
	procps/kill.c:1.38->1.39 
	procps/pidof.c:1.1->1.2 
	procps/ps.c:1.43->1.44 
	procps/uptime.c:1.15->1.16 
	pwd_grp/Makefile:1.4->1.5 
	pwd_grp/__getgrent.c:1.1->1.2(DEAD) 
	pwd_grp/__getpwent.c:1.1->1.2(DEAD) 
	pwd_grp/addgroup.c:1.1->1.2 
	pwd_grp/adduser.c:1.1->1.2 
	pwd_grp/config.h:1.1->1.2(DEAD) 
	pwd_grp/config.in:INITIAL->1.1 
	pwd_grp/deluser.c:1.1->1.2 
	pwd_grp/fgetgrent.c:1.2->1.3(DEAD) 
	pwd_grp/fgetpwent.c:1.2->1.3(DEAD) 
	pwd_grp/getgrgid.c:1.2->1.3(DEAD) 
	pwd_grp/getgrnam.c:1.2->1.3(DEAD) 
	pwd_grp/getpw.c:1.2->1.3(DEAD) 
	pwd_grp/getpwnam.c:1.2->1.3(DEAD) 
	pwd_grp/getpwuid.c:1.2->1.3(DEAD) 
	pwd_grp/grent.c:1.2->1.3(DEAD) 
	pwd_grp/grp.h:1.2->1.3(DEAD) 
	pwd_grp/initgroups.c:1.2->1.3(DEAD) 
	pwd_grp/putpwent.c:1.2->1.3(DEAD) 
	pwd_grp/pwd.h:1.2->1.3(DEAD) 
	pwd_grp/pwent.c:1.2->1.3(DEAD) 
	pwd_grp/setgroups.c:1.3->1.4(DEAD) 
	pwd_grp/libpwd_grp/Makefile:INITIAL->1.1 
	pwd_grp/libpwd_grp/__getgrent.c:1.1->1.2 
	pwd_grp/libpwd_grp/initgroups.c:1.2->1.3 
	pwd_grp/libpwd_grp/setgroups.c:1.3->1.4 
	scripts/Configure:INITIAL->1.1 
	scripts/Menuconfig:INITIAL->1.1 
	scripts/depmod.pl:1.1->1.2(DEAD) 
	scripts/inittab:1.5->1.6(DEAD) 
	scripts/mk2knr.pl:1.2->1.3(DEAD) 
	scripts/mkdep.c:INITIAL->1.1 
	scripts/split-include.c:INITIAL->1.1 
	scripts/undeb:1.2->1.3(DEAD) 
	scripts/unrpm:1.3->1.4(DEAD) 
	scripts/lxdialog/BIG.FAT.WARNING:INITIAL->1.1 
	scripts/lxdialog/Makefile:INITIAL->1.1 
	scripts/lxdialog/Makefile-2.5:INITIAL->1.1 
	scripts/lxdialog/checklist.c:INITIAL->1.1 
	scripts/lxdialog/colors.h:INITIAL->1.1 
	scripts/lxdialog/dialog.h:INITIAL->1.1 
	scripts/lxdialog/inputbox.c:INITIAL->1.1 
	scripts/lxdialog/lxdialog.c:INITIAL->1.1 
	scripts/lxdialog/menubox.c:INITIAL->1.1 
	scripts/lxdialog/msgbox.c:INITIAL->1.1 
	scripts/lxdialog/textbox.c:INITIAL->1.1 
	scripts/lxdialog/util.c:INITIAL->1.1 
	scripts/lxdialog/yesno.c:INITIAL->1.1 
	shell/Makefile:INITIAL->1.1 
	shell/ash.c:1.28->1.29 
	shell/cmdedit.c:1.62->1.63 
	shell/config.in:INITIAL->1.1 
	shell/hush.c:1.55->1.56 
	shell/lash.c:1.137->1.138 
	shell/msh.c:1.8->1.9 
	shellutils/Makefile:INITIAL->1.1 
	shellutils/basename.c:1.19->1.20 
	shellutils/chroot.c:1.26->1.27 
	shellutils/config.in:INITIAL->1.1 
	shellutils/dirname.c:1.16->1.17 
	shellutils/tee.c:1.20->1.21 
	shellutils/true_false.c:1.14->1.15 
	sysdeps/linux/config.in:INITIAL->1.1 
	sysdeps/linux/defconfig:INITIAL->1.1 
	sysklogd/Makefile:INITIAL->1.1 
	sysklogd/config.in:INITIAL->1.1 
	sysklogd/klogd.c:1.6->1.7 
	sysklogd/logger.c:1.33->1.34 
	sysklogd/logread.c:1.8->1.9 
	sysklogd/syslogd.c:1.76->1.77 
	tests/multibuild.pl:1.6->1.7 
	tests/multifeat.pl:1.2->1.3 
	tests/testcases:1.13->1.14 
	tests/tester.sh:1.4->1.5 
	textutils/Makefile:INITIAL->1.1 
	textutils/cat.c:1.25->1.26 
	textutils/cmp.c:1.7->1.8 
	textutils/config.in:INITIAL->1.1 
	textutils/head.c:1.25->1.26 
	textutils/sort.c:1.33->1.34 
	textutils/tail.c:1.39->1.40 
	textutils/tr.c:1.31->1.32 
	textutils/uniq.c:1.19->1.20 
	textutils/uuencode.c:1.20->1.21 
	util-linux/Makefile:INITIAL->1.1 
	util-linux/config.in:INITIAL->1.1 
	util-linux/fbset.c:1.27->1.28 
	util-linux/fsck_minix.c:1.34->1.35 
	util-linux/mkfs_minix.c:1.34->1.35 
	util-linux/more.c:1.51->1.52 
	util-linux/mount.c:1.93->1.94 
	util-linux/swaponoff.c:1.29->1.30 
	util-linux/umount.c:1.56->1.57 

---------------------
PatchSet 2295 
Date: 2001/10/24 06:26:42
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Oops.  Forgot these....

Members: 
	Rules.mak:INITIAL->1.1 
	applets/Makefile:INITIAL->1.1 

---------------------
PatchSet 2296 
Date: 2001/10/24 07:33:31
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add in a mostly content free config help file

Members: 
	docs/Configure.help:INITIAL->1.1 

---------------------
PatchSet 2297 
Date: 2001/10/24 07:48:42
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
A couple of leftovers

Members: 
	Makefile:1.239->1.240 

---------------------
PatchSet 2298 
Date: 2001/10/24 07:50:42
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
ignore generated files

Members: 
	scripts/.cvsignore:INITIAL->1.1 

---------------------
PatchSet 2299 
Date: 2001/10/24 07:53:33
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Ignore generated files

Members: 
	include/.cvsignore:INITIAL->1.1 

---------------------
PatchSet 2300 
Date: 2001/10/24 08:58:02
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fixup the new buildsystem a bit.

Members: 
	Makefile:1.240->1.241 
	applets/busybox.mkll:1.16->1.17 
	applets/busybox.sh:1.17->1.18(DEAD) 

---------------------
PatchSet 2301 
Date: 2001/10/24 09:01:06
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from vodz:
    1) complete true: $ > /tmp/tmpfile
    2) the builtin pwd now does not unwrap symlinks
    3) reduce 680 bytes

Members: 
	shell/ash.c:1.29->1.30 

---------------------
PatchSet 2302 
Date: 2001/10/24 09:24:41
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Oops.  As Aaron Lehmann <aaronl@vitelus.com> just noticed,
I forgot to add procps to the SUBDIR list

Members: 
	Makefile:1.241->1.242 

---------------------
PatchSet 2303 
Date: 2001/10/24 17:51:39
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix missing BB_VER defines

Members: 
	miscutils/Makefile:1.1->1.2 
	sysklogd/Makefile:1.1->1.2 

---------------------
PatchSet 2304 
Date: 2001/10/24 18:19:35
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fixup the location of pwd.h and grp.h

Members: 
	coreutils/uudecode.c:1.17->1.18 
	init/start_stop_daemon.c:1.1->1.2 
	pwd_grp/addgroup.c:1.2->1.3 
	pwd_grp/adduser.c:1.2->1.3 
	shell/ash.c:1.30->1.31 
	shell/cmdedit.c:1.63->1.64 
	textutils/uudecode.c:1.17->1.18 

---------------------
PatchSet 2305 
Date: 2001/10/24 18:35:52
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Oops.  Fix capililization

Members: 
	miscutils/Makefile:1.2->1.3 

---------------------
PatchSet 2306 
Date: 2001/10/24 18:37:07
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix variable name -- was stuck at the old RPMUNPACK value.  Doh!

Members: 
	archival/Makefile:1.1->1.2 

---------------------
PatchSet 2307 
Date: 2001/10/24 19:51:27
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Add CONFIG_FEATURE_TAR_EXCLUDE support.

Members: 
	archival/config.in:1.1->1.2 

---------------------
PatchSet 2308 
Date: 2001/10/24 20:00:20
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Split true and false into separate applets.

Members: 
	coreutils/false.c:INITIAL->1.1 
	coreutils/true.c:INITIAL->1.1 
	include/applets.h:1.44->1.45 
	shellutils/Makefile:1.1->1.2 
	shellutils/config.in:1.1->1.2 
	shellutils/false.c:INITIAL->1.1 
	shellutils/true.c:INITIAL->1.1 
	shellutils/true_false.c:1.15->1.16(DEAD) 

---------------------
PatchSet 2309 
Date: 2001/10/24 20:59:38
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Ignore lxdialog

Members: 
	scripts/lxdialog/.cvsignore:INITIAL->1.1 

---------------------
PatchSet 2310 
Date: 2001/10/24 21:01:04
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
ignore .menuconfig.log

Members: 
	.cvsignore:1.9->1.10 

---------------------
PatchSet 2311 
Date: 2001/10/25 06:56:51
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Oops.  I forgot pwd_group/config.in

Members: 
	sysdeps/linux/config.in:1.1->1.2 

---------------------
PatchSet 2312 
Date: 2001/10/25 15:18:08
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
*** empty log message ***

Members: 
	Makefile:1.242->1.243 
	archival/libunarchive/Makefile:INITIAL->1.1 
	archival/libunarchive/deb_extract.c:INITIAL->1.1 
	archival/libunarchive/get_header_ar.c:INITIAL->1.1 
	archival/libunarchive/get_header_cpio.c:INITIAL->1.1 
	archival/libunarchive/get_header_tar.c:INITIAL->1.1 
	archival/libunarchive/seek_sub_file.c:INITIAL->1.1 
	archival/libunarchive/unarchive.c:INITIAL->1.1 

---------------------
PatchSet 2313 
Date: 2001/10/25 15:26:04
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Modify applets to use libunarchive

Members: 
	archival/config.in:1.2->1.3 
	archival/dpkg.c:1.53->1.54 
	include/libbb.h:1.64->1.65 
	libbb/Makefile:1.2->1.3 
	networking/Makefile:1.1->1.2 
	networking/config.in:1.1->1.2 

---------------------
PatchSet 2314 
Date: 2001/10/25 15:49:48
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Recovering from my previous commit

Members: 
	archival/Makefile:1.2->1.3 
	archival/ar.c:1.38->1.39 
	archival/config.in:1.3->1.4 
	archival/cpio.c:1.5->1.6 
	archival/dpkg.c:1.54->1.55 
	archival/dpkg_deb.c:1.24->1.25 
	archival/tar.c:1.133->1.134 

---------------------
PatchSet 2315 
Date: 2001/10/25 15:53:50
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Move libbb/unarchive functions to ./archival/libunarchive

Members: 
	libbb/unarchive.c:1.29->1.30(DEAD) 

---------------------
PatchSet 2316 
Date: 2001/10/25 15:57:14
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
libunarchive, and recovery from my previous commit

Members: 
	include/libbb.h:1.65->1.66 
	include/unarchive.h:INITIAL->1.1 

---------------------
PatchSet 2317 
Date: 2001/10/25 15:59:47
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
rEcover from my previous commit

Members: 
	libbb/Makefile:1.3->1.4 
	networking/config.in:1.2->1.3 

---------------------
PatchSet 2318 
Date: 2001/10/25 16:01:10
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Recovery from previous commit

Members: 
	networking/Makefile:1.2->1.3 

---------------------
PatchSet 2319 
Date: 2001/10/25 19:37:41
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Menu entry for tar creation support

Members: 
	archival/config.in:1.4->1.5 

---------------------
PatchSet 2320 
Date: 2001/10/26 17:09:09
Author: gfeldman
Branch: HEAD
Tag: (none) 
Log:
Fix up the configuration rules and update Libc5 piece for Syslogd. (copied code from logread.c)

Members: 
	sysklogd/config.in:1.1->1.2 
	sysklogd/syslogd.c:1.77->1.78 

---------------------
PatchSet 2321 
Date: 2001/10/26 22:27:57
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Add mv (noted by Sven Oliver Moll).

Members: 
	fileutils/config.in:1.1->1.2 

---------------------
PatchSet 2322 
Date: 2001/10/27 04:20:00
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Wrap exclude_file() inside a #ifdef CONFIG_FEATURE_TAR_EXCLUDE block

Members: 
	archival/tar.c:1.134->1.135 

---------------------
PatchSet 2323 
Date: 2001/10/27 04:28:19
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Be extra pedantic about printing the correct type for an address

Members: 
	libbb/interface.c:1.5->1.6 

---------------------
PatchSet 2324 
Date: 2001/10/27 14:14:52
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Attempt to fix libc compiling error regarding off_t

Members: 
	archival/libunarchive/seek_sub_file.c:1.1->1.2 

---------------------
PatchSet 2325 
Date: 2001/10/27 15:10:37
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
include unistd which provides off_t for the header and hence unarchive applets

Members: 
	include/unarchive.h:1.1->1.2 

---------------------
PatchSet 2326 
Date: 2001/10/28 05:12:18
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add in some (theoretical) uClinux support.  Some init cleanups

Members: 
	init/init.c:1.145->1.146 
	networking/ifconfig.c:1.13->1.14 
	shell/ash.c:1.31->1.32 
	shell/hush.c:1.56->1.57 
	shell/lash.c:1.138->1.139 
	sysklogd/klogd.c:1.7->1.8 
	sysklogd/syslogd.c:1.78->1.79 

---------------------
PatchSet 2327 
Date: 2001/10/28 09:36:48
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Use error_msg() instead of fprintf(stderr, ...)

Members: 
	networking/ifconfig.c:1.14->1.15 

---------------------
PatchSet 2328 
Date: 2001/10/28 22:48:48
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
As Aaron Lehmann just pointed out, I forgot a line...

Members: 
	init/init.c:1.146->1.147 

---------------------
PatchSet 2329 
Date: 2001/10/29 15:22:42
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Add killall (noted by Giulio Orsero).

Members: 
	procps/config.in:1.1->1.2 

---------------------
PatchSet 2330 
Date: 2001/10/29 15:49:01
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Use extended regular expressions when invoked as egrep (noted and initial
patch by Charles Steinkuehler).

Members: 
	findutils/config.in:1.1->1.2 
	findutils/grep.c:1.64->1.65 
	include/applets.h:1.45->1.46 

---------------------
PatchSet 2331 
Date: 2001/10/30 23:09:50
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Merge test suite.

Members: 
	testsuite/COPYING:INITIAL->1.1 
	testsuite/README:INITIAL->1.1 
	testsuite/TODO:INITIAL->1.1 
	testsuite/runtest:INITIAL->1.1 
	testsuite/basename/basename-does-not-remove-identical-extension:INITIAL->1.1 
	testsuite/cat/cat-prints-a-file:INITIAL->1.1 
	testsuite/cat/cat-prints-a-file-and-standard-input:INITIAL->1.1 
	testsuite/cmp/cmp-detects-difference:INITIAL->1.1 
	testsuite/cp/cp-copies-empty-file:INITIAL->1.1 
	testsuite/cp/cp-copies-large-file:INITIAL->1.1 
	testsuite/cp/cp-copies-small-file:INITIAL->1.1 
	testsuite/cp/cp-follows-links:INITIAL->1.1 
	testsuite/cp/cp-preserves-links:INITIAL->1.1 
	testsuite/cp/cp-preserves-source-file:INITIAL->1.1 
	testsuite/cut/cut-cuts-a-character:INITIAL->1.1 
	testsuite/cut/cut-cuts-a-closed-range:INITIAL->1.1 
	testsuite/cut/cut-cuts-a-field:INITIAL->1.1 
	testsuite/cut/cut-cuts-an-open-range:INITIAL->1.1 
	testsuite/cut/cut-cuts-an-unclosed-range:INITIAL->1.1 
	testsuite/dd/dd-accepts-if:INITIAL->1.1 
	testsuite/dd/dd-accepts-of:INITIAL->1.1 
	testsuite/dd/dd-copies-from-standard-input-to-standard-output:INITIAL->1.1 
	testsuite/dd/dd-prints-count-to-standard-error:INITIAL->1.1 
	testsuite/dirname/dirname-handles-absolute-path:INITIAL->1.1 
	testsuite/dirname/dirname-handles-empty-path:INITIAL->1.1 
	testsuite/dirname/dirname-handles-multiple-slashes:INITIAL->1.1 
	testsuite/dirname/dirname-handles-relative-path:INITIAL->1.1 
	testsuite/dirname/dirname-handles-root:INITIAL->1.1 
	testsuite/dirname/dirname-handles-single-component:INITIAL->1.1 
	testsuite/echo/echo-does-not-print-newline:INITIAL->1.1 
	testsuite/echo/echo-prints-argument:INITIAL->1.1 
	testsuite/echo/echo-prints-arguments:INITIAL->1.1 
	testsuite/echo/echo-prints-newline:INITIAL->1.1 
	testsuite/false/false-is-silent:INITIAL->1.1 
	testsuite/false/false-returns-failure:INITIAL->1.1 
	testsuite/find/find-supports-minus-xdev:INITIAL->1.1 
	testsuite/grep/grep-is-also-egrep:INITIAL->1.1 
	testsuite/gunzip/gunzip-reads-from-standard-input:INITIAL->1.1 
	testsuite/gzip/gzip-accepts-single-minus:INITIAL->1.1 
	testsuite/mkdir/mkdir-makes-a-directory:INITIAL->1.1 
	testsuite/mkdir/mkdir-makes-parent-directories:INITIAL->1.1 
	testsuite/msh/msh-supports-underscores-in-variable-names:INITIAL->1.1 
	testsuite/mv/mv-moves-file:INITIAL->1.1 
	testsuite/rmdir/rmdir-removes-parent-directories:INITIAL->1.1 
	testsuite/sed/sed-chains-substs:INITIAL->1.1 
	testsuite/sed/sed-handles-embedded-slashes:INITIAL->1.1 
	testsuite/sed/sed-handles-empty-lines:INITIAL->1.1 
	testsuite/sed/sed-handles-unsatisfied-backrefs:INITIAL->1.1 
	testsuite/sed/sed-prints-line-once-for-multiple-substs:INITIAL->1.1 
	testsuite/tar/tar-demands-at-least-one-ctx:INITIAL->1.1 
	testsuite/tar/tar-demands-at-most-one-ctx:INITIAL->1.1 
	testsuite/tar/tar-extracts-file:INITIAL->1.1 
	testsuite/tar/tar-extracts-multiple-files:INITIAL->1.1 
	testsuite/tar/tar-handles-cz-options:INITIAL->1.1 
	testsuite/tar/tar-handles-empty-include-and-non-empty-exclude-list:INITIAL->1.1 
	testsuite/tar/tar-handles-exclude-and-extract-lists:INITIAL->1.1 
	testsuite/tar/tar-handles-multiple-X-options:INITIAL->1.1 
	testsuite/tar/tar-handles-nested-exclude:INITIAL->1.1 
	testsuite/tee/tee-appends-input:INITIAL->1.1 
	testsuite/tee/tee-tees-input:INITIAL->1.1 
	testsuite/touch/touch-creates-file:INITIAL->1.1 
	testsuite/touch/touch-does-not-create-file:INITIAL->1.1 
	testsuite/true/true-is-silent:INITIAL->1.1 
	testsuite/true/true-returns-success:INITIAL->1.1 
	testsuite/uuencode/uuencode-sets-standard-input-mode-correctly:INITIAL->1.1 
	testsuite/wc/wc-counts-all:INITIAL->1.1 
	testsuite/wc/wc-counts-characters:INITIAL->1.1 
	testsuite/wc/wc-counts-lines:INITIAL->1.1 
	testsuite/wc/wc-counts-words:INITIAL->1.1 
	testsuite/wc/wc-prints-longest-line-length:INITIAL->1.1 
	testsuite/wget/wget--O-overrides--P:INITIAL->1.1 
	testsuite/wget/wget-retrieves-google-index:INITIAL->1.1 
	testsuite/wget/wget-supports--P:INITIAL->1.1 

---------------------
PatchSet 2332 
Date: 2001/10/31 04:29:18
Author: beppu
Branch: HEAD
Tag: (none) 
Log:

- fixed typos
- thinking about how to generate Configure.help...

Members: 
	docs/autodocifier.pl:1.22->1.23 

---------------------
PatchSet 2333 
Date: 2001/10/31 09:54:29
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
patch from Giulio Orsero <giulioo@pobox.com>

Members: 
	networking/config.in:1.3->1.4 

---------------------
PatchSet 2334 
Date: 2001/10/31 09:55:39
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
patch from vodz:
    I reduce 148 bytes from start_stop_daemon.c code. Also reduced
    memory allocated.

Members: 
	init/start_stop_daemon.c:1.2->1.3 

---------------------
PatchSet 2335 
Date: 2001/10/31 09:59:57
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Major cleanup from Charles Steinkuehler <charles@steinkuehler.net>:
    - Switched to getopt argument parsing
    - Added -f option to get fully qualified domain name
    - Fixed the -s (short) and -d (domain) options, which were not
      doing a gethostbyname lookup to get the FQDN before trying to
      separate the local and domain portions of the hostname.
    - Fixed probem with 'agressive setting' of the hostname...the
      previous busybox version would try to set the hostname if called
      with a non-option argument, or the -F option, even if another
      option (like -i or -s) was given.  This behavior does not match
      the net-tools hostname, which does not attempt to set anything if
      given a 'display' option, regardless of the presence/absence of
      the -F option or additional command line arguments.
    - When using a file to set the hostname, behavior now matches
      net-tools version...previous busybox version did not handle
      comments, and simply grabbed the first line from the file.

Members: 
	networking/hostname.c:1.31->1.32 

---------------------
PatchSet 2336 
Date: 2001/10/31 10:02:46
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Charles Steinkuehler <charles@steinkuehler.net>
to properly handle extended regexps for egrep

Members: 
	findutils/grep.c:1.65->1.66 

---------------------
PatchSet 2337 
Date: 2001/10/31 10:04:04
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
start-stop-deamon is done

Members: 
	TODO:1.79->1.80 

---------------------
PatchSet 2338 
Date: 2001/10/31 10:04:44
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add Gennady Feldman

Members: 
	AUTHORS:1.21->1.22 

---------------------
PatchSet 2339 
Date: 2001/10/31 10:21:17
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Document CONFIG_RUN_PARTS, patch from Emanuele Aina <faina.mail@tiscalinet.it>

Members: 
	docs/Configure.help:1.1->1.2 

---------------------
PatchSet 2340 
Date: 2001/10/31 10:24:32
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Run parts applet by Emanuele Aina <faina.mail@tiscalinet.it>

Members: 
	AUTHORS:1.22->1.23 
	Makefile:1.243->1.244 
	applets/usage.h:1.68->1.69 
	docs/busybox.sgml:1.44->1.45 
	include/applets.h:1.46->1.47 
	include/usage.h:1.68->1.69 
	init/Makefile:1.1->1.2 
	init/config.in:1.1->1.2 

---------------------
PatchSet 2341 
Date: 2001/10/31 10:40:37
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from ASA <llb@udm.net.ru> to that source files
are properly passed their arguments.

Members: 
	shell/ash.c:1.32->1.33 

---------------------
PatchSet 2342 
Date: 2001/10/31 10:41:30
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fixup some silly prototype warnings

Members: 
	coreutils/expr.c:1.9->1.10 
	coreutils/tr.c:1.32->1.33 
	shell/hush.c:1.57->1.58 
	shellutils/expr.c:1.9->1.10 
	textutils/tr.c:1.32->1.33 
	util-linux/mkfs_minix.c:1.35->1.36 

---------------------
PatchSet 2343 
Date: 2001/10/31 10:50:16
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
This should be working now...

Members: 
	pwd_grp/Makefile:1.5->1.6 
	pwd_grp/config.in:1.1->1.2 

---------------------
PatchSet 2344 
Date: 2001/10/31 10:59:29
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add the run-parts applet submitted by Emanuele Aina
<emanuele.aina@tiscali.it>

Members: 
	init/run_parts.c:INITIAL->1.1 

---------------------
PatchSet 2345 
Date: 2001/10/31 11:00:46
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add netstat applet, submitted by Bart Visscher <magick@linux-fan.com>

Members: 
	networking/Makefile:1.3->1.4 
	networking/config.in:1.4->1.5 
	networking/netstat.c:INITIAL->1.1 

---------------------
PatchSet 2346 
Date: 2001/10/31 11:05:49
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Aaron Lehmann <aaronl@vitelus.com>;

    This diff does 2 things:

    1) removes an unnecessary function. saves 64 bytes on i386

    2) allows you to disable checking of mail (actually, it's now disabled
    by default). this would be a nice CML1 option, but for now it's a
    #(define|undef) in the C file like the other internal ash options.
    this saves an additional 352 bytes if you leave mail disabled.

Members: 
	shell/ash.c:1.33->1.34 

---------------------
PatchSet 2347 
Date: 2001/10/31 11:07:12
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Move usage.h to include/usage.h

Members: 
	Makefile:1.244->1.245 
	applets/usage.h:1.69->1.70(DEAD) 
	include/applets.h:1.47->1.48 
	include/usage.h:1.69->1.70 

---------------------
PatchSet 2348 
Date: 2001/10/31 11:12:25
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix location of Configure.help

Members: 
	scripts/Configure:1.1->1.2 

---------------------
PatchSet 2349 
Date: 2001/10/31 11:45:10
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
*** empty log message ***

Members: 
	applets/Makefile:1.1->1.2 

---------------------
PatchSet 2350 
Date: 2001/10/31 16:16:29
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Make egrep only set REG_EXTENDED flag.

Members: 
	findutils/grep.c:1.66->1.67 
	testsuite/grep/egrep-is-not-case-insensitive:INITIAL->1.1 
	testsuite/grep/egrep-supports-extended-regexps:INITIAL->1.1 

---------------------
PatchSet 2351 
Date: 2001/10/31 16:18:48
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Mark as unsupported unless CONFIG_FEATURE_TAR_EXCLUDE is defined.

Members: 
	testsuite/tar/tar-handles-empty-include-and-non-empty-exclude-list:1.1->1.2 
	testsuite/tar/tar-handles-exclude-and-extract-lists:1.1->1.2 
	testsuite/tar/tar-handles-nested-exclude:1.1->1.2 

---------------------
PatchSet 2352 
Date: 2001/10/31 16:36:02
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Remove completed task.

Members: 
	testsuite/TODO:1.1->1.2 

---------------------
PatchSet 2353 
Date: 2001/10/31 16:36:23
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
New.

Members: 
	testsuite/rm/rm-removes-file:INITIAL->1.1 

---------------------
PatchSet 2354 
Date: 2001/11/02 11:39:45
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Introduce od and hexdump applets

Members: 
	coreutils/od.c:INITIAL->1.1 
	include/applets.h:1.48->1.49 
	include/usage.h:1.70->1.71 
	libbb/Makefile:1.4->1.5 
	libbb/dump.c:INITIAL->1.1 
	textutils/Makefile:1.1->1.2 
	textutils/config.in:1.1->1.2 
	textutils/od.c:INITIAL->1.1 
	util-linux/Makefile:1.1->1.2 
	util-linux/config.in:1.1->1.2 
	util-linux/hexdump.c:INITIAL->1.1 

---------------------
PatchSet 2355 
Date: 2001/11/02 11:40:44
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Required for od and hexdump applets

Members: 
	include/dump.h:INITIAL->1.1 

---------------------
PatchSet 2356 
Date: 2001/11/03 08:29:35
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Fix create list segfault

Members: 
	archival/dpkg.c:1.55->1.56 

---------------------
PatchSet 2357 
Date: 2001/11/05 23:10:48
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix spelling

Members: 
	examples/kernel-patches/Will_devps_GoIntoTheKernel:1.1->1.2 

---------------------
PatchSet 2358 
Date: 2001/11/06 18:45:56
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Force main to always be included

Members: 
	Makefile:1.245->1.246 

---------------------
PatchSet 2359 
Date: 2001/11/07 07:50:08
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Remove comments about 'make bzImage'

Members: 
	scripts/Configure:1.2->1.3 

---------------------
PatchSet 2360 
Date: 2001/11/10 09:53:17
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
config.in features patch from Giulio Orsero <giulioo@pobox.com>
with some minor edits from me

Members: 
	archival/config.in:1.5->1.6 
	editors/config.in:1.1->1.2 
	fileutils/config.in:1.2->1.3 
	findutils/config.in:1.2->1.3 
	modutils/config.in:1.1->1.2 
	procps/config.in:1.2->1.3 
	textutils/config.in:1.2->1.3 
	util-linux/config.in:1.2->1.3 

---------------------
PatchSet 2361 
Date: 2001/11/10 10:43:09
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
more config.in entries from Giulio Orsero <giulioo@pobox.com>
with some minor edits by me.

Members: 
	docs/Configure.help:1.2->1.3 
	editors/config.in:1.2->1.3 
	pwd_grp/adduser.c:1.3->1.4 
	pwd_grp/config.in:1.2->1.3 
	pwd_grp/deluser.c:1.2->1.3 
	sysdeps/linux/config.in:1.2->1.3 

---------------------
PatchSet 2362 
Date: 2001/11/10 10:46:42
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Mention that glibc-2.2 is supported

Members: 
	README:1.20->1.21 

---------------------
PatchSet 2363 
Date: 2001/11/10 10:49:42
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
|2001-10-08  Rodney Brown  <rbrown64@csc.com.au>
|
|       * editors/sed.c: Fix multiline [aic] commands. Make # an endline
|       comment for compatibility. Codespace reduction.
|       * tests/testcases: Cope with move to subdirectories.
|       * testsuite/sed/sed-aic-commands: Add.
|
|   text           data     bss     dec     hex filename
|   3772             16       0    3788     ecc editors/sed.o
|   4516             16       0    4532    11b4 editors/sed.o.bu

Members: 
	editors/sed.c:1.78->1.79 
	tests/testcases:1.14->1.15 
	testsuite/sed/sed-aic-commands:INITIAL->1.1 

---------------------
PatchSet 2364 
Date: 2001/11/10 11:16:39
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Can't use RESERVE_CONFIG_BUFFER here since the allocation
size varies meaning BUFFERS_GO_ON_STACK will fail

Members: 
	networking/tftp.c:1.8->1.9 

---------------------
PatchSet 2365 
Date: 2001/11/10 11:17:17
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
oops

Members: 
	util-linux/config.in:1.3->1.4 

---------------------
PatchSet 2366 
Date: 2001/11/10 11:22:42
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Latest patch from vodz:
    -- reverse resolve network name and cache in route and ifconfig
	applets, fix print nslookup server name if compile without
	uClibc, fix route crashe 'route add', fix warnings compile
	networking and pwd_grp applets

Members: 
	Changelog:1.272->1.273 
	INSTALL:1.1->1.2 
	libbb/Makefile:1.5->1.6 
	libbb/interface.c:1.6->1.7 
	networking/ifconfig.c:1.15->1.16 
	networking/netstat.c:1.1->1.2 
	networking/nslookup.c:1.26->1.27 
	networking/route.c:1.13->1.14 
	networking/telnet.c:1.25->1.26 
	networking/traceroute.c:1.6->1.7 
	pwd_grp/addgroup.c:1.3->1.4 
	pwd_grp/adduser.c:1.4->1.5 
	pwd_grp/deluser.c:1.3->1.4 
	pwd_grp/getty.c:1.2->1.3 

---------------------
PatchSet 2367 
Date: 2001/11/10 11:23:47
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Only use -mpreferred-stack-boundary with gcc versions that support it

Members: 
	Makefile:1.246->1.247 

---------------------
PatchSet 2368 
Date: 2001/11/10 12:07:17
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Cleanup some config problems.  Add a sane default config that basically
matches the default old Config.h

Members: 
	fileutils/config.in:1.3->1.4 
	init/config.in:1.2->1.3 
	pwd_grp/config.in:1.3->1.4 
	scripts/Menuconfig:1.1->1.2 
	shell/config.in:1.1->1.2 
	shellutils/config.in:1.2->1.3 
	sysdeps/linux/config.in:1.3->1.4 
	sysdeps/linux/defconfig:1.1->1.2 
	util-linux/config.in:1.4->1.5 

---------------------
PatchSet 2369 
Date: 2001/11/10 12:18:42
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
I forgot to add these.  Part of the patch from vodz

Members: 
	include/inet_common.h:INITIAL->1.1 
	libbb/inet_common.c:INITIAL->1.1 

---------------------
PatchSet 2370 
Date: 2001/11/10 12:54:00
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add in grep -E support

Members: 
	findutils/grep.c:1.67->1.68 

---------------------
PatchSet 2371 
Date: 2001/11/10 13:08:02
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Some more minor build cleanups

Members: 
	Makefile:1.247->1.248 
	shell/config.in:1.2->1.3 
	sysdeps/linux/defconfig:1.2->1.3 

---------------------
PatchSet 2372 
Date: 2001/11/10 13:35:27
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add in Redhat

Members: 
	docs/busybox.lineo.com/index.html:1.68->1.69 
	docs/busybox.net/index.html:1.68->1.69 

---------------------
PatchSet 2373 
Date: 2001/11/10 13:38:36
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add redhat and slackware

Members: 
	docs/busybox.lineo.com/index.html:1.69->1.70 
	docs/busybox.net/index.html:1.69->1.70 

---------------------
PatchSet 2374 
Date: 2001/11/12 16:44:51
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Use fopen wrapper.

Members: 
	archival/rpm2cpio.c:1.3->1.4 
	editors/sed.c:1.79->1.80 
	pwd_grp/addgroup.c:1.4->1.5 
	shell/ash.c:1.34->1.35 

---------------------
PatchSet 2375 
Date: 2001/11/12 16:45:23
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Eliminate unused variable warnings.

Members: 
	archival/tar.c:1.135->1.136 

---------------------
PatchSet 2376 
Date: 2001/11/12 16:45:43
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Brag.

Members: 
	AUTHORS:1.23->1.24 

---------------------
PatchSet 2377 
Date: 2001/11/12 16:57:15
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Change strdup calls to xstrdup (patch from Steve Merrifield).

Members: 
	archival/bunzip2.c:1.1->1.2 
	archival/gunzip.c:1.57->1.58 
	editors/sed.c:1.80->1.81 
	editors/vi.c:1.16->1.17 
	modutils/insmod.c:1.74->1.75 
	shell/ash.c:1.35->1.36 
	shell/lash.c:1.139->1.140 
	sysklogd/syslogd.c:1.79->1.80 
	util-linux/mount.c:1.94->1.95 

---------------------
PatchSet 2378 
Date: 2001/11/12 16:58:07
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Convert strdup call to xstrdup, and calloc calls to xcalloc (patch from
Steve Merrifield).

Members: 
	findutils/grep.c:1.68->1.69 

---------------------
PatchSet 2379 
Date: 2001/11/12 18:42:57
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
New.

Members: 
	testsuite/pwd/pwd-prints-working-directory:INITIAL->1.1 

---------------------
PatchSet 2380 
Date: 2001/11/12 18:44:26
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Remove unnecessary errno handling.

Members: 
	libbb/xgetcwd.c:1.2->1.3 

---------------------
PatchSet 2381 
Date: 2001/11/17 04:16:15
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
David Kimdon <dwhedon@instant802.com> noticed a thinko
in md5sum where only binary sums were verified.  He also
sent in this patch,
 -Erik

Members: 
	coreutils/md5sum.c:1.25->1.26 
	textutils/md5sum.c:1.25->1.26 

---------------------
PatchSet 2382 
Date: 2001/11/17 06:57:42
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Steve Merrifield <steve@labyrinth.net.au> to make vi
use xmalloc

Members: 
	editors/vi.c:1.17->1.18 

---------------------
PatchSet 2383 
Date: 2001/11/17 07:14:06
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from "Andrew Tipton" <andrew@cadre5.com> to enable vi cursor
keys while editing.

Members: 
	editors/vi.c:1.18->1.19 

---------------------
PatchSet 2384 
Date: 2001/11/17 07:23:46
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Minor warning cleanups

Members: 
	archival/tar.c:1.136->1.137 
	editors/sed.c:1.81->1.82 

---------------------
PatchSet 2385 
Date: 2001/11/17 07:26:58
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Hide some ifdefs to make it more readible

Members: 
	init/init.c:1.147->1.148 

---------------------
PatchSet 2386 
Date: 2001/11/18 14:20:25
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
bzcat and bunzip -c support from Thomas Lundquist

Members: 
	archival/bunzip2.c:1.2->1.3 
	include/applets.h:1.49->1.50 
	include/usage.h:1.71->1.72 

---------------------
PatchSet 2387 
Date: 2001/11/18 15:49:26
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Update webpage

Members: 
	docs/busybox.lineo.com/index.html:1.70->1.71 
	docs/busybox.net/index.html:1.70->1.71 

---------------------
PatchSet 2388 
Date: 2001/11/19 10:36:20
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fixup CLEANUP behavior

Members: 
	findutils/grep.c:1.69->1.70 

---------------------
PatchSet 2389 
Date: 2001/11/19 10:49:30
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Call xmalloc before realloc

Members: 
	findutils/xargs.c:1.20->1.21 

---------------------
PatchSet 2390 
Date: 2001/11/19 10:58:23
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
More scrubbing

Members: 
	findutils/grep.c:1.70->1.71 

---------------------
PatchSet 2391 
Date: 2001/11/19 11:45:39
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
oops

Members: 
	findutils/grep.c:1.71->1.72 

---------------------
PatchSet 2392 
Date: 2001/11/19 15:13:12
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
New.

Members: 
	testsuite/md5sum/md5sum-verifies-non-binary-file:INITIAL->1.1 

---------------------
PatchSet 2393 
Date: 2001/11/19 18:44:58
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Fix misspelling.

Members: 
	docs/busybox.lineo.com/index.html:1.71->1.72 
	docs/busybox.net/index.html:1.71->1.72 

---------------------
PatchSet 2394 
Date: 2001/11/19 19:00:13
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
New.

Members: 
	testsuite/grep/grep-handles-multiple-regexps:INITIAL->1.1 

---------------------
PatchSet 2395 
Date: 2001/11/19 19:28:56
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Update usage instructions, and document test case format.

Members: 
	testsuite/README:1.1->1.2 

---------------------
PatchSet 2396 
Date: 2001/11/19 19:47:56
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Add a check target.

Members: 
	Makefile:1.248->1.249 

---------------------
PatchSet 2397 
Date: 2001/11/19 21:07:14
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Fix opt type in dpkg (closes: #118975).

Members: 
	Changelog:1.273->1.274 
	archival/dpkg.c:1.56->1.57 

---------------------
PatchSet 2398 
Date: 2001/11/19 21:13:50
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Parse arguments via getopt.

Members: 
	pwd_grp/addgroup.c:1.5->1.6 
	pwd_grp/adduser.c:1.5->1.6 

---------------------
PatchSet 2399 
Date: 2001/11/19 22:51:41
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Note tinylogin TODO items

Members: 
	TODO:1.80->1.81 

---------------------
PatchSet 2400 
Date: 2001/11/19 23:50:18
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Oops.  doubled myself

Members: 
	LICENSE:1.7->1.8 

---------------------
PatchSet 2401 
Date: 2001/11/20 00:15:27
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Include time.h

Members: 
	miscutils/dutmp.c:1.26->1.27 

---------------------
PatchSet 2402 
Date: 2001/11/20 00:23:48
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Usr get_last_path_component() name basename()

Members: 
	findutils/grep.c:1.72->1.73 

---------------------
PatchSet 2403 
Date: 2001/11/20 05:42:57
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
S390 wierdness

Members: 
	init/init.c:1.148->1.149 

---------------------
PatchSet 2404 
Date: 2001/11/20 11:41:37
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix email addr

Members: 
	examples/busybox.spec:1.38->1.39 

---------------------
PatchSet 2405 
Date: 2001/11/20 11:56:51
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Update the website

Members: 
	docs/busybox.lineo.com/index.html:1.72->1.73 
	docs/busybox.net/index.html:1.72->1.73 

---------------------
PatchSet 2406 
Date: 2001/11/20 12:36:28
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
grammer error

Members: 
	docs/busybox.lineo.com/index.html:1.73->1.74 
	docs/busybox.net/index.html:1.73->1.74 

---------------------
PatchSet 2407 
Date: 2001/11/20 12:40:37
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
More grammar fixes

Members: 
	docs/busybox.lineo.com/index.html:1.74->1.75 
	docs/busybox.net/index.html:1.74->1.75 

---------------------
PatchSet 2408 
Date: 2001/11/20 15:49:50
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Treat NUL as the end-of-line.

Members: 
	libbb/get_line_from_file.c:1.2->1.3 

---------------------
PatchSet 2409 
Date: 2001/11/20 15:49:55
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
New.

Members: 
	testsuite/grep/grep-handles-binary-files:INITIAL->1.1 

---------------------
PatchSet 2410 
Date: 2001/11/20 16:00:19
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Eliminate warning.

Members: 
	editors/sed.c:1.82->1.83 

---------------------
PatchSet 2411 
Date: 2001/11/20 16:00:44
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Fix undeclared variable error.

Members: 
	findutils/grep.c:1.73->1.74 

---------------------
PatchSet 2412 
Date: 2001/11/20 16:04:22
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
New.

Members: 
	testsuite/grep/grep-matches-NUL:INITIAL->1.1 

---------------------
PatchSet 2413 
Date: 2001/11/21 09:04:59
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix dangling comma

Members: 
	init/init.c:1.149->1.150 

---------------------
PatchSet 2414 
Date: 2001/11/21 09:17:00
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Use enums for selected functionality, Reduce the size by nearly 100 Bytes

Members: 
	coreutils/wc.c:1.19->1.20 
	textutils/wc.c:1.19->1.20 

---------------------
PatchSet 2415 
Date: 2001/11/21 09:58:29
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Simplify print function, prints an extra space if no filename, but saves 4 bytes

Members: 
	coreutils/wc.c:1.20->1.21 
	textutils/wc.c:1.20->1.21 

---------------------
PatchSet 2416 
Date: 2001/11/21 10:01:29
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
woops. dotn pass NULL

Members: 
	coreutils/wc.c:1.21->1.22 
	textutils/wc.c:1.21->1.22 

---------------------
PatchSet 2417 
Date: 2001/11/21 10:26:28
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
When just counting chars of a file stat file instead of reading the whole file (Fixes Debian bug #103302)

Members: 
	coreutils/wc.c:1.22->1.23 
	textutils/wc.c:1.22->1.23 

---------------------
PatchSet 2418 
Date: 2001/11/21 12:46:36
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Minor space saving improvments

Members: 
	coreutils/wc.c:1.23->1.24 
	textutils/wc.c:1.23->1.24 

---------------------
PatchSet 2419 
Date: 2001/11/27 17:28:01
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Add space before module name (noted by Ron Yorston).

Members: 
	modutils/modprobe.c:1.2->1.3 

---------------------
PatchSet 2420 
Date: 2001/11/29 06:36:56
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
gunzip was incorrectly reporting a failed crc and length (discovered by
Chang, Shu-Hao).  The bitbuffer needs to be unwound after decompression,
as it was eating into the crc/size field.

Members: 
	archival/libunarchive/unzip.c:1.10->1.11 
	libbb/unzip.c:1.10->1.11 

---------------------
PatchSet 2421 
Date: 2001/11/30 07:54:31
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add in a 'time' applet.  Adds 4.5k.
 -Erik

Members: 
	include/applets.h:1.50->1.51 
	include/usage.h:1.72->1.73 
	miscutils/config.in:1.1->1.2 
	miscutils/time.c:INITIAL->1.1 

---------------------
PatchSet 2422 
Date: 2001/11/30 19:10:58
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Dan Langlois <dan@somanetworks.com> Support SIGSTOP/SIGCONT
for wierd situations when people want init to actualy stop doing
anything for a while...

Members: 
	init/init.c:1.150->1.151 

---------------------
PatchSet 2423 
Date: 2001/12/05 04:10:14
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Fail gracefully if package depends on a virtual package.

Members: 
	archival/dpkg.c:1.57->1.58 

---------------------
PatchSet 2424 
Date: 2001/12/05 04:21:30
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Combined size reduction changes by Glenn and myself.  Added back in "unknown"
for -p to match normal uname behavior (at a cost of 30-40 bytes).

Members: 
	coreutils/uname.c:1.15->1.16 
	shellutils/uname.c:1.15->1.16 

---------------------
PatchSet 2425 
Date: 2001/12/05 04:35:32
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
New version to cut size.  Includes optional basename() compatibility, but
enabling that would break the basename applet at least for one corner case.

Members: 
	libbb/get_last_path_component.c:1.3->1.4 

---------------------
PatchSet 2426 
Date: 2001/12/05 04:40:52
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Fix some fegfaults and picket fence

Members: 
	archival/dpkg.c:1.58->1.59 

---------------------
PatchSet 2427 
Date: 2001/12/05 13:08:03
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Simplify CRC table generation

Members: 
	archival/libunarchive/unzip.c:1.11->1.12 
	libbb/unzip.c:1.11->1.12 

---------------------
PatchSet 2428 
Date: 2001/12/05 16:01:02
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Simplify unzip(), remove unused checks and unneccessary variables

Members: 
	archival/libunarchive/unzip.c:1.12->1.13 
	libbb/unzip.c:1.12->1.13 

---------------------
PatchSet 2429 
Date: 2001/12/06 03:22:43
Author: aaronl
Branch: HEAD
Tag: (none) 
Log:
Commit my improvement on Rodney Brown's patch to g(un)zip, decreasing
binary size.

Members: 
	archival/bunzip2.c:1.3->1.4 
	archival/gzip.c:1.50->1.51 
	archival/libunarchive/unzip.c:1.13->1.14 
	libbb/unzip.c:1.13->1.14 

---------------------
PatchSet 2430 
Date: 2001/12/06 03:29:37
Author: aaronl
Branch: HEAD
Tag: (none) 
Log:
Patch to avoid warnings

Members: 
	miscutils/dc.c:1.12->1.13 

---------------------
PatchSet 2431 
Date: 2001/12/06 03:32:11
Author: aaronl
Branch: HEAD
Tag: (none) 
Log:
Trying to commit Changelog and TODO. cvs is being weird :/

Members: 
	Changelog:1.274->1.275 
	TODO:1.81->1.82 

---------------------
PatchSet 2432 
Date: 2001/12/06 03:37:38
Author: aaronl
Branch: HEAD
Tag: (none) 
Log:
The ash ansification diff!
Please tell me if you notice any problems resulting from this.

Members: 
	shell/ash.c:1.36->1.37 

---------------------
PatchSet 2433 
Date: 2001/12/06 07:24:29
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix running more on files in the (broken) procfs that claim 0 length
when that isn't actually true.
 -Erik

Members: 
	util-linux/more.c:1.52->1.53 

---------------------
PatchSet 2434 
Date: 2001/12/06 07:42:04
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Steve Merrifield <steve@labyrinth.net.au> to
fixup the merge of the time applet, which I messed up.
 -Erik

Members: 
	include/applets.h:1.51->1.52 
	include/usage.h:1.73->1.74 
	miscutils/Makefile:1.3->1.4 

---------------------
PatchSet 2435 
Date: 2001/12/06 08:04:45
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Silly cosmetic problem in the comment

Members: 
	libbb/herror_msg_and_die.c:1.2->1.3 

---------------------
PatchSet 2436 
Date: 2001/12/06 08:20:14
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
More copyright and email addr cleanups

Members: 
	archival/libunarchive/unzip.c:1.14->1.15 
	libbb/README:1.1->1.2 
	libbb/libc5.c:1.1->1.2 
	libbb/simplify_path.c:1.2->1.3 
	libbb/unzip.c:1.14->1.15 

---------------------
PatchSet 2437 
Date: 2001/12/06 14:44:11
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Minor adjustment to the strip command

Members: 
	Makefile:1.249->1.250 

---------------------
PatchSet 2438 
Date: 2001/12/06 14:52:30
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
If find_pid_by_name() had an error, it was returning -1, but storing
that into a pid_t, which is unsigned on a number archs.  Furthermore,
find_pid_by_name() would _never_ return an error if the intended proces
was "init", but instead would return 1, meaning we would fail to work
on 2.4.x kernels running an initrd...
 -Erik

Members: 
	include/libbb.h:1.66->1.67 
	init/halt.c:1.17->1.18 
	init/poweroff.c:1.14->1.15 
	init/reboot.c:1.21->1.22 
	libbb/find_pid_by_name.c:1.6->1.7 
	procps/kill.c:1.39->1.40 
	procps/pidof.c:1.2->1.3 

---------------------
PatchSet 2439 
Date: 2001/12/06 15:16:43
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Merge in the cal applet from Steve Merrifield <steve@labyrinth.net.au>

Members: 
	coreutils/cal.c:INITIAL->1.1 
	include/applets.h:1.52->1.53 
	include/usage.h:1.74->1.75 
	shellutils/Makefile:1.2->1.3 
	shellutils/cal.c:INITIAL->1.1 
	shellutils/config.in:1.3->1.4 

---------------------
PatchSet 2440 
Date: 2001/12/06 17:37:51
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Remove documentation for the --file option to hostname (noted by
David Douthitt).

Members: 
	include/usage.h:1.75->1.76 

---------------------
PatchSet 2441 
Date: 2001/12/06 21:33:55
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Avoid NULL pointer problems.  Patch from "Frank P. MacLachlan"
<fpm-plutus@tgs.indyme.com>

Members: 
	util-linux/mount.c:1.95->1.96 

---------------------
PatchSet 2442 
Date: 2001/12/07 16:27:37
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Update copyright and close file descriptors (noted by Axel Kittenberger).

Members: 
	coreutils/dd.c:1.46->1.47 
	fileutils/dd.c:1.46->1.47 

---------------------
PatchSet 2443 
Date: 2001/12/07 19:00:30
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix broken link

Members: 
	docs/busybox.net/index.html:1.75->1.76 

---------------------
PatchSet 2444 
Date: 2001/12/07 19:01:31
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix link name

Members: 
	docs/busybox.net/index.html:1.76->1.77 

---------------------
PatchSet 2445 
Date: 2001/12/07 21:24:25
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Enable test only if CONFIG_FEATURE_GREP_EGREP_ALIAS is defined.

Members: 
	testsuite/grep/egrep-supports-extended-regexps:1.1->1.2 

---------------------
PatchSet 2446 
Date: 2001/12/07 21:27:38
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Continue processing files if we are asked to touch, but not create, a file
which doesn't exist.

Members: 
	coreutils/touch.c:1.23->1.24 
	fileutils/touch.c:1.23->1.24 

---------------------
PatchSet 2447 
Date: 2001/12/07 21:27:57
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
New.

Members: 
	testsuite/touch/touch-touches-files-after-non-existent-file:INITIAL->1.1 

---------------------
PatchSet 2448 
Date: 2001/12/08 00:18:20
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Use a local image, not an offsite one.

Members: 
	docs/busybox.lineo.com/images/donate.png:INITIAL->1.1 
	docs/busybox.net/index.html:1.77->1.78 
	docs/busybox.net/images/donate.png:INITIAL->1.1 

---------------------
PatchSet 2449 
Date: 2001/12/08 01:56:06
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Begin moving things to busybox.net
 -Erik

Members: 
	Makefile:1.250->1.251 
	README:1.21->1.22 
	debian/copyright:1.1->1.2 
	debian/rules:1.11->1.12 
	docs/contributing.txt:1.6->1.7 
	docs/new-applet-HOWTO.txt:1.5->1.6 
	docs/busybox.lineo.com/images/donate.png:1.1->1.2(DEAD) 
	docs/busybox.net/index.html:1.78->1.79 
	docs/busybox.net/oldnews.html:1.6->1.7 
	examples/busybox.spec:1.39->1.40 
	examples/bootfloppy/bootfloppy.txt:1.1->1.2 
	scripts/Menuconfig:1.2->1.3 
	shell/lash.c:1.140->1.141 

---------------------
PatchSet 2450 
Date: 2001/12/08 02:08:31
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add in cvs info

Members: 
	docs/busybox.net/cvs_anon.html:INITIAL->1.1 
	docs/busybox.net/cvs_write.html:INITIAL->1.1 

---------------------
PatchSet 2451 
Date: 2001/12/08 02:10:37
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Oops

Members: 
	docs/busybox.net/cvs_anon.html:1.1->1.2 
	docs/busybox.net/cvs_write.html:1.1->1.2 

---------------------
PatchSet 2452 
Date: 2001/12/08 02:13:05
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
More polish

Members: 
	docs/busybox.net/cvs_anon.html:1.2->1.3 
	docs/busybox.net/cvs_write.html:1.2->1.3 

---------------------
PatchSet 2453 
Date: 2001/12/08 02:14:02
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
And a bit more

Members: 
	docs/busybox.net/cvs_anon.html:1.3->1.4 
	docs/busybox.net/cvs_write.html:1.3->1.4 

---------------------
PatchSet 2454 
Date: 2001/12/11 16:06:02
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Use an int to hold the result of fgetc (bug noted by David Kimdon).

Members: 
	coreutils/wc.c:1.24->1.25 
	textutils/wc.c:1.24->1.25 

---------------------
PatchSet 2455 
Date: 2001/12/11 16:43:46
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Open the source before creating the destination.

Members: 
	libbb/copy_file.c:1.16->1.17 
	testsuite/cp/cp-does-not-copy-unreadable-file:INITIAL->1.1 

---------------------
PatchSet 2456 
Date: 2001/12/12 19:09:51
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Update uClibc URL.

Members: 
	docs/busybox.net/index.html:1.79->1.80 

---------------------
PatchSet 2457 
Date: 2001/12/14 16:08:17
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Add support for big-endian ARM (initial patch by Mike Voytovich).

Members: 
	modutils/insmod.c:1.75->1.76 

---------------------
PatchSet 2458 
Date: 2001/12/16 08:27:49
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fixup missing defines

Members: 
	pwd_grp/deluser.c:1.4->1.5 

---------------------
PatchSet 2459 
Date: 2001/12/16 09:20:08
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add a more verbose non-strip command.

Members: 
	Makefile:1.251->1.252 

---------------------
PatchSet 2460 
Date: 2001/12/16 09:23:09
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Some minor usage cleanups from David Douthitt <ssrat@mailbag.com>

Members: 
	include/usage.h:1.76->1.77 

---------------------
PatchSet 2461 
Date: 2001/12/16 09:25:57
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
* Add ^L clear to shell

Members: 
	TODO:1.82->1.83 

---------------------
PatchSet 2462 
Date: 2001/12/17 15:26:25
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Make cp and mv optionally preserve hard links.

Members: 
	coreutils/du.c:1.51->1.52 
	fileutils/config.in:1.4->1.5 
	fileutils/du.c:1.51->1.52 
	include/libbb.h:1.67->1.68 
	libbb/Makefile:1.6->1.7 
	libbb/copy_file.c:1.17->1.18 
	libbb/inode_hash.c:1.3->1.4 
	testsuite/cp/cp-preserves-hard-links:INITIAL->1.1 

---------------------
PatchSet 2463 
Date: 2001/12/17 23:13:08
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add in a new restart init target, triggered by SIGHUP.  Patch from
Russ Dill, with adjustments by me.
 -Erik

Members: 
	examples/inittab:1.6->1.7 
	include/usage.h:1.77->1.78 
	init/init.c:1.151->1.152 

---------------------
PatchSet 2464 
Date: 2001/12/18 00:57:55
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Things like 'tar -c /tmp/*' and 'tar -cO /tmp/*' where the output
filename was not explicitly specified were segfaulting.
 -Erik

Members: 
	archival/tar.c:1.137->1.138 

---------------------
PatchSet 2465 
Date: 2001/12/18 14:05:59
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Vodz' last_patch31

    Very minimal last corrections:

    1) busybox.c: fix warining
    2) docs/: add applets for list from pwd_grp
    3) usage.h: add -n option for route
    4) run_parts.c: many todo fix for busybox style
    5) addgroup.c: add #ifdef CONFIG_FEATURE_SHADOWPASSWDS, reduce one
    perror_msg
    6) adduser.c: fix bug "variable i not initialize" and
       add #ifdef CONFIG_FEATURE_SHADOWPASSWDS

Members: 
	applets/busybox.c:1.136->1.137 
	docs/busybox.sgml:1.45->1.46 
	docs/busybox_footer.pod:1.4->1.5 
	docs/busybox_header.pod:1.4->1.5 
	include/usage.h:1.78->1.79 
	init/run_parts.c:1.1->1.2 
	pwd_grp/addgroup.c:1.6->1.7 
	pwd_grp/adduser.c:1.6->1.7 

---------------------
PatchSet 2466 
Date: 2001/12/20 08:04:56
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Switch from FTP to HTTP for downloads

Members: 
	docs/busybox.net/cvs_anon.html:1.4->1.5 
	docs/busybox.net/cvs_write.html:1.4->1.5 
	docs/busybox.net/index.html:1.80->1.81 
	docs/busybox.net/oldnews.html:1.7->1.8 

---------------------
PatchSet 2467 
Date: 2001/12/20 21:11:59
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Avoid printing a trailing blank character.

Members: 
	coreutils/wc.c:1.25->1.26 
	textutils/wc.c:1.25->1.26 

---------------------
PatchSet 2468 
Date: 2001/12/20 21:13:18
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Remove dependence on CONFIG_FEATURE_CLEAN_UP.

Members: 
	testsuite/grep/grep-handles-multiple-regexps:1.1->1.2 

---------------------
PatchSet 2469 
Date: 2001/12/20 22:09:30
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Write files when extracting an archive from standard input.

Members: 
	archival/tar.c:1.138->1.139 
	testsuite/tar/tar-extracts-from-standard-input:INITIAL->1.1 

---------------------
PatchSet 2470 
Date: 2001/12/20 22:30:14
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Perform clean up only if CONFIG_FEATURE_CLEAN_UP is defined.

Members: 
	archival/tar.c:1.139->1.140 

---------------------
PatchSet 2471 
Date: 2001/12/20 23:12:45
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Remove `== TRUE' tests and convert `!= TRUE' and `== FALSE' tests to use !.

Members: 
	archival/bunzip2.c:1.4->1.5 
	archival/dpkg.c:1.59->1.60 
	archival/gunzip.c:1.58->1.59 
	archival/tar.c:1.140->1.141 
	archival/libunarchive/unarchive.c:1.1->1.2 
	coreutils/cat.c:1.26->1.27 
	coreutils/chgrp.c:1.10->1.11 
	coreutils/chmod.c:1.11->1.12 
	coreutils/chown.c:1.18->1.19 
	coreutils/ls.c:1.85->1.86 
	coreutils/touch.c:1.24->1.25 
	editors/vi.c:1.19->1.20 
	fileutils/chgrp.c:1.10->1.11 
	fileutils/chmod.c:1.11->1.12 
	fileutils/chown.c:1.18->1.19 
	fileutils/ls.c:1.85->1.86 
	fileutils/touch.c:1.24->1.25 
	findutils/find.c:1.33->1.34 
	init/init.c:1.152->1.153 
	libbb/isdirectory.c:1.2->1.3 
	libbb/read_package_field.c:1.5->1.6 
	libbb/recursive_action.c:1.5->1.6 
	modutils/insmod.c:1.76->1.77 
	networking/telnet.c:1.26->1.27 
	procps/kill.c:1.40->1.41 
	shell/ash.c:1.37->1.38 
	shell/cmdedit.c:1.64->1.65 
	shell/lash.c:1.141->1.142 
	sysklogd/klogd.c:1.8->1.9 
	sysklogd/syslogd.c:1.80->1.81 
	textutils/cat.c:1.26->1.27 
	util-linux/mount.c:1.96->1.97 
	util-linux/umount.c:1.57->1.58 

---------------------
PatchSet 2472 
Date: 2001/12/21 11:18:36
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Update TODO.  vodz has implemented ^L.  Reverse policy on tinylogin.
 -Erik

Members: 
	TODO:1.83->1.84 

---------------------
PatchSet 2473 
Date: 2001/12/21 11:20:15
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from vodz to implement ^L (clear screen)

Members: 
	shell/cmdedit.c:1.65->1.66 

---------------------
PatchSet 2474 
Date: 2001/12/21 11:22:26
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from vodz to fix broken function prototype

Members: 
	shell/ash.c:1.38->1.39 

---------------------
PatchSet 2475 
Date: 2001/12/21 15:54:25
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
New.

Members: 
	testsuite/tar/tar-complains-about-missing-file:INITIAL->1.1 

---------------------
PatchSet 2476 
Date: 2001/12/21 16:04:11
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Ignore blanks before the first address and before the command.

Members: 
	editors/sed.c:1.83->1.84 
	testsuite/sed/sed-accepts-blanks-before-command:INITIAL->1.1 

---------------------
PatchSet 2477 
Date: 2001/12/22 00:37:54
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Update URLs and email addresses

Members: 
	README:1.22->1.23 

---------------------
PatchSet 2478 
Date: 2001/12/22 19:28:24
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Link to udhcp

Members: 
	docs/busybox.net/index.html:1.81->1.82 

---------------------
PatchSet 2479 
Date: 2001/12/29 04:15:13
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Silence some silly warnings
 -Erik

Members: 
	modutils/insmod.c:1.77->1.78 

---------------------
PatchSet 2480 
Date: 2001/12/29 07:26:33
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
optimize this a little bit.

Members: 
	libbb/chomp.c:1.5->1.6 

---------------------
PatchSet 2481 
Date: 2001/12/31 06:00:57
Author: aaronl
Branch: HEAD
Tag: (none) 
Log:
ash patch: addfname-diff

Members: 
	shell/ash.c:1.39->1.40 

---------------------
PatchSet 2482 
Date: 2001/12/31 06:03:12
Author: aaronl
Branch: HEAD
Tag: (none) 
Log:
ash patch: breakcmd-diff

Members: 
	shell/ash.c:1.40->1.41 

---------------------
PatchSet 2483 
Date: 2001/12/31 06:07:57
Author: aaronl
Branch: HEAD
Tag: (none) 
Log:
ash patch: fgcmd-diff

Members: 
	shell/ash.c:1.41->1.42 

---------------------
PatchSet 2484 
Date: 2001/12/31 06:12:48
Author: aaronl
Branch: HEAD
Tag: (none) 
Log:
ash patch: forkshell-diff

Members: 
	shell/ash.c:1.42->1.43 

---------------------
PatchSet 2485 
Date: 2001/12/31 06:13:38
Author: aaronl
Branch: HEAD
Tag: (none) 
Log:
ash patch: initvar-diff

Members: 
	shell/ash.c:1.43->1.44 

---------------------
PatchSet 2486 
Date: 2001/12/31 06:16:54
Author: aaronl
Branch: HEAD
Tag: (none) 
Log:
ash patch: errname-diff

Members: 
	shell/ash.c:1.44->1.45 

---------------------
PatchSet 2487 
Date: 2002/01/02 13:52:20
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
unzip applet by Laurence Anderson
----------------------------------------------------------------------

Members: 
	archival/Makefile:1.3->1.4 
	archival/config.in:1.6->1.7 
	archival/unzip.c:INITIAL->1.1 
	archival/libunarchive/Makefile:1.1->1.2 
	archival/libunarchive/get_header_zip.c:INITIAL->1.1 
	archival/libunarchive/unarchive.c:1.2->1.3 
	archival/libunarchive/unzip.c:1.15->1.16 
	include/applets.h:1.53->1.54 
	include/libbb.h:1.68->1.69 
	include/unarchive.h:1.2->1.3 
	include/usage.h:1.79->1.80 
	libbb/unzip.c:1.15->1.16 

---------------------
PatchSet 2488 
Date: 2002/01/02 17:56:38
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
* editors/sed.c (parse_edit_command): Require a newline after the backslash
  after an edit command.
* testsuite/sed/sed-requires-newline-after-edit-command: New.

Members: 
	editors/sed.c:1.84->1.85 
	testsuite/sed/sed-requires-newline-after-edit-command:INITIAL->1.1 

---------------------
PatchSet 2489 
Date: 2002/01/02 18:51:23
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
chomp should only remove the newline if it occurs at the end of the input.
This was caught by the test suite (in sed/sed-aic-commands).

* libbb/chomp.c: Revert to revision 1.5.

Members: 
	libbb/chomp.c:1.6->1.7 

---------------------
PatchSet 2490 
Date: 2002/01/02 19:01:41
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
* archival/dpkg.c (create_list): Use chomp.
* archival/tar.c (append_file_list_to_list): Likewise.

Members: 
	archival/dpkg.c:1.60->1.61 
	archival/tar.c:1.141->1.142 

---------------------
PatchSet 2491 
Date: 2002/01/02 20:37:59
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
* testsuite/README: Document -v option.
* testsuite/runtest: Handle -v option.
  (show_result): New.
  (run_applet_testcase): Call it.

Members: 
	testsuite/README:1.2->1.3 
	testsuite/runtest:1.1->1.2 

---------------------
PatchSet 2492 
Date: 2002/01/02 20:45:40
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
* cmp/cmp-detects-difference: Simplify return code negation.
* false/false-returns-failure: Likewise.
* tar/tar-demands-at-least-one-ctx: Likewise.
* tar/tar-demands-at-most-one-ctx: Likewise.

Members: 
	testsuite/cmp/cmp-detects-difference:1.1->1.2 
	testsuite/false/false-returns-failure:1.1->1.2 
	testsuite/tar/tar-demands-at-least-one-ctx:1.1->1.2 
	testsuite/tar/tar-demands-at-most-one-ctx:1.1->1.2 

---------------------
PatchSet 2493 
Date: 2002/01/03 17:32:29
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
* include/usage.h: Fix route and unzip usage messages (patch from
  Laurence Anderson).

Members: 
	include/usage.h:1.80->1.81 

---------------------
PatchSet 2494 
Date: 2002/01/03 18:29:37
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
* AUTHORS (Matt Kraai): Update e-mail address.

Members: 
	AUTHORS:1.24->1.25 

---------------------
PatchSet 2495 
Date: 2002/01/03 21:12:33
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
* editors/sed.c (parse_edit_cmd): Rewrite.
* testsuite/sed/sed-splits-edit-commands-on-command-line: New.

Members: 
	editors/sed.c:1.85->1.86 
	testsuite/sed/sed-splits-edit-commands-on-command-line:INITIAL->1.1 

---------------------
PatchSet 2496 
Date: 2002/01/03 21:19:19
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
* editors/sed.c (parse_cmd_str): Remove redundant code to skip initial
  whitespace.

Members: 
	editors/sed.c:1.86->1.87 

---------------------
PatchSet 2497 
Date: 2002/01/04 00:32:15
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Update busybox.net info and donation noise

Members: 
	docs/busybox.net/index.html:1.82->1.83 
	docs/busybox.net/oldnews.html:1.8->1.9 

---------------------
PatchSet 2498 
Date: 2002/01/04 00:34:22
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix link

Members: 
	docs/busybox.net/index.html:1.83->1.84 

---------------------
PatchSet 2499 
Date: 2002/01/04 04:24:27
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix grammar (thanks to my wife for proof reading)

Members: 
	docs/busybox.net/index.html:1.84->1.85 

---------------------
PatchSet 2500 
Date: 2002/01/04 05:04:15
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Update text once again

Members: 
	docs/busybox.net/index.html:1.85->1.86 

---------------------
PatchSet 2501 
Date: 2002/01/04 05:11:48
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
More pics

Members: 
	docs/busybox.net/images/busybox.png:INITIAL->1.1 
	docs/busybox.net/images/busybox1.png:INITIAL->1.1 
	docs/busybox.net/images/busybox3.jpg:INITIAL->1.1 

---------------------
PatchSet 2502 
Date: 2002/01/04 05:12:14
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
More updates

Members: 
	docs/busybox.net/index.html:1.86->1.87 

---------------------
PatchSet 2503 
Date: 2002/01/04 16:54:39
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
* docs/busybox.net/index.html: Fix misspelling of `Unfortunately'.

Members: 
	docs/busybox.net/index.html:1.87->1.88 

---------------------
PatchSet 2504 
Date: 2002/01/05 05:34:31
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Update links to avoid possible lingering DNS problems
(and thereby test if I have the Reply-to thing really
fixed this time)...
 -Erik

Members: 
	docs/busybox.net/index.html:1.88->1.89 

---------------------
PatchSet 2505 
Date: 2002/01/05 16:56:43
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Somehow ttylinux got lost.  Put it back.
 -Erik

Members: 
	docs/busybox.net/index.html:1.89->1.90 

---------------------
PatchSet 2506 
Date: 2002/01/06 01:08:28
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Do not depend on PATH or getopt arg reordering

Members: 
	init/init.c:1.153->1.154 

---------------------
PatchSet 2507 
Date: 2002/01/06 01:10:25
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Oops.

Members: 
	init/init.c:1.154->1.155 

---------------------
PatchSet 2508 
Date: 2002/01/08 16:03:41
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
* archival/tar.c (tar_main): Remove unused variable.

Members: 
	archival/tar.c:1.142->1.143 

---------------------
PatchSet 2509 
Date: 2002/01/09 15:37:36
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Make private ash config options be public

Members: 
	shell/ash.c:1.45->1.46 
	shell/config.in:1.3->1.4 

---------------------
PatchSet 2510 
Date: 2002/01/13 03:01:02
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Remove broken "Other cool embedded software" link

Members: 
	docs/busybox.net/index.html:1.90->1.91 

---------------------
PatchSet 2511 
Date: 2002/01/14 18:30:10
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Do not segfault if PATH is unset.

Members: 
	findutils/which.c:1.21->1.22 
	testsuite/which/which-uses-default-path:INITIAL->1.1 

---------------------
PatchSet 2512 
Date: 2002/01/18 17:52:52
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix from Tim Bird <tbird@lineo.com> to avoid potential name aliasing

Members: 
	pwd_grp/deluser.c:1.5->1.6 

---------------------
PatchSet 2513 
Date: 2002/01/18 18:08:34
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Eliminate legacy reference to Embedix

Members: 
	pwd_grp/adduser.c:1.7->1.8 

---------------------
PatchSet 2514 
Date: 2002/01/25 23:13:06
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Teach 'init -q' that init's pid may not equal 1

Members: 
	init/init.c:1.155->1.156 

---------------------
PatchSet 2515 
Date: 2002/01/26 09:04:45
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Russ Dill <Russ.Dill@asu.edu>.  From the
start-stop-daemon man page:

-b|--background
        Typically used with programs that don't detach on their own.
        This option will force start-stop-daemon to fork before starting
        the process, and force it into the background. WARNING:
        start-stop-daemon cannot check the exit status if the process
        fails to execute for any reason. This is a last resort, and is
        only meant for programs that either make no sense forking on
        their own, or where it's not feasible to add the code for it to
        do this itself.

This is usefull for applets like watchdog

Members: 
	init/start_stop_daemon.c:1.3->1.4 

---------------------
PatchSet 2516 
Date: 2002/01/26 23:58:22
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
If PATH_MAX isn't defined, define it outselves

Members: 
	include/busybox.h:1.47->1.48 

---------------------
PatchSet 2517 
Date: 2002/02/01 16:54:00
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
2002-01-30  Neal H Walfield  <neal@cs.uml.edu>

        * networking/ping.c (hostname): Removed.

        [CONFIG_FEATURE_FANCY_PING] (noresp): Moved from here . . .
        [CONFIG_FEATURE_FANCY_PING] (ping:noresp): . . . to here.
        Use H->h_name, not hostname.
        [CONFIG_FEATURE_FANCY_PING] (ping): Do not copy H->h_name into
        hostname.
        Use H->h_name directly.

        [!CONFIG_FEATURE_FANCY_PING] (hostent): New global variable.
        [!CONFIG_FEATURE_FANCY_PING] (pingstats): Use hostent in favor
        of the now obsolete hostname global variable.
        [!CONFIG_FEATURE_FANCY_PING] (ping): Likewise.
        No need to copy H; use hostent instead.

        [!CONFIG_FEATURE_FANCY_PING] (ntransmitted, nreceived,
        nrepeats, pingcount, myid, options, tmax, tsum): Removed
        superfluous zero initializers.

Members: 
	networking/ping.c:1.47->1.48 

---------------------
PatchSet 2518 
Date: 2002/02/05 15:28:54
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
* fileutils/dd.c (dd_main): Ignore ftruncate error if the output is not a
  file or directory.

Members: 
	coreutils/dd.c:1.47->1.48 
	fileutils/dd.c:1.47->1.48 

---------------------
PatchSet 2519 
Date: 2002/02/05 19:25:29
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
* include/usage.h (gzip_trivial_usage): Make FILE optional.
  (gzip_full_usage): Note behavior when FILE is unspecified.

Members: 
	include/usage.h:1.81->1.82 

---------------------
PatchSet 2520 
Date: 2002/02/05 19:34:53
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
* archival/gzip.c (gzip_main): Display usage if given multiple files.

Members: 
	archival/gzip.c:1.51->1.52 

---------------------
PatchSet 2521 
Date: 2002/02/05 22:31:46
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
* archival/gzip.c (ifname, ofname): Delete.
  (gzip_main): Handle multiple files.
* include/usage.h (gzip_trivial_usage): Allow multiple FILEs.
  (gzip_full_usage): Ditto.
* testsuite/gzip/gzip-accepts-multiple-files: New.
* testsuite/gzip/gzip-removes-original-file: New.

Members: 
	archival/gzip.c:1.52->1.53 
	include/usage.h:1.82->1.83 
	testsuite/gzip/gzip-accepts-multiple-files:INITIAL->1.1 
	testsuite/gzip/gzip-removes-original-file:INITIAL->1.1 

---------------------
PatchSet 2522 
Date: 2002/02/13 03:32:11
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Fix condition that prevented creation of compressed files

Members: 
	archival/tar.c:1.143->1.144 

---------------------
PatchSet 2523 
Date: 2002/02/15 05:15:03
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Parse the include list to writeTarFile rather than argv, fixes a bug where tar files wernt being created.

Members: 
	archival/tar.c:1.144->1.145 

---------------------
PatchSet 2524 
Date: 2002/02/16 18:48:55
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add Partition Image

Members: 
	docs/busybox.net/index.html:1.91->1.92 

---------------------
PatchSet 2525 
Date: 2002/02/16 21:50:34
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add in a sponsors link, and update the screenshot.

Members: 
	docs/busybox.net/index.html:1.92->1.93 
	docs/busybox.net/screenshot.html:1.2->1.3 

---------------------
PatchSet 2526 
Date: 2002/02/16 22:08:28
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Update sponsor section

Members: 
	docs/busybox.net/index.html:1.93->1.94 

---------------------
PatchSet 2527 
Date: 2002/02/16 22:17:33
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add in tuxscreen

Members: 
	docs/busybox.net/index.html:1.94->1.95 

---------------------
PatchSet 2528 
Date: 2002/02/17 18:42:52
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
* testsuite/tar/tar-archives-multiple-files: New.

Members: 
	testsuite/tar/tar-archives-multiple-files:INITIAL->1.1 

---------------------
PatchSet 2529 
Date: 2002/02/17 22:42:30
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
fix name

Members: 
	docs/busybox.net/index.html:1.95->1.96 

---------------------
PatchSet 2530 
Date: 2002/02/19 22:58:26
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
* docs/busybox.net/index.html (Products/Projects Using BusyBox): Added
  Tinfoil Hat Linux.

Members: 
	docs/busybox.net/index.html:1.96->1.97 

---------------------
PatchSet 2531 
Date: 2002/02/19 23:15:41
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
* testsuite/tar/tar-archives-multiple-files: Require
  CONFIG_FEATURE_TAR_CREATE.

Members: 
	testsuite/tar/tar-archives-multiple-files:1.1->1.2 

---------------------
PatchSet 2532 
Date: 2002/02/19 23:19:46
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
* testsuite/README: Update copyright date.

Members: 
	testsuite/README:1.3->1.4 

---------------------
PatchSet 2533 
Date: 2002/02/19 23:20:52
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
* testsuite/README: Fill to 80 columns.

Members: 
	testsuite/README:1.4->1.5 

---------------------
PatchSet 2534 
Date: 2002/02/19 23:38:08
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
* testsuite/runtest (run_applet_testcase): Return UNTESTED instead of
  UNSUPPORTED for missing applets and features.

Members: 
	testsuite/runtest:1.2->1.3 

---------------------
PatchSet 2535 
Date: 2002/02/19 23:43:05
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
* testsuite/README: Change "UNSUPPORTED" tag to "FEATURE".
* testsuite/runtest (run_applet_testcase): Likewise.
* testsuite/cp/cp-preserves-hard-links: Likewise.
* testsuite/grep/egrep-supports-extended-regexps: Likewise.
* testsuite/grep/grep-is-also-egrep: Likewise.
* testsuite/tar/tar-archives-multiple-files: Likewise.
* testsuite/tar/tar-handles-empty-include-and-non-empty-exclude-list:
  Likewise.
* testsuite/tar/tar-handles-exclude-and-extract-lists: Likewise.
* testsuite/tar/tar-handles-nested-exclude: Likewise.

Members: 
	testsuite/README:1.5->1.6 
	testsuite/runtest:1.3->1.4 
	testsuite/cp/cp-preserves-hard-links:1.1->1.2 
	testsuite/grep/egrep-supports-extended-regexps:1.2->1.3 
	testsuite/grep/grep-is-also-egrep:1.1->1.2 
	testsuite/tar/tar-archives-multiple-files:1.2->1.3 
	testsuite/tar/tar-handles-empty-include-and-non-empty-exclude-list:1.2->1.3 
	testsuite/tar/tar-handles-exclude-and-extract-lists:1.2->1.3 
	testsuite/tar/tar-handles-nested-exclude:1.2->1.3 

---------------------
PatchSet 2536 
Date: 2002/02/19 23:54:42
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
* testsuite/runtest (show_result): Change UPASS to XPASS.
  (run_applet_testcase): Likewise.

Members: 
	testsuite/runtest:1.4->1.5 

---------------------
PatchSet 2537 
Date: 2002/02/22 22:08:16
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
* findutils/grep.c (grep_main): Remove unnecessary use of junk.

Members: 
	findutils/grep.c:1.74->1.75 

---------------------
PatchSet 2538 
Date: 2002/02/26 15:24:56
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
* libbb/xfuncs.c (xmalloc, xcalloc): Do not exit if a zero-length buffer is
  requested.
  (xrealloc): Simplify.

Members: 
	libbb/xfuncs.c:1.4->1.5 

---------------------
PatchSet 2539 
Date: 2002/03/02 15:39:02
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Update the cvs commit info.  Remove the old busybox.lineo.com stuff.

Members: 
	docs/busybox.lineo.com/.cvsignore:1.1->1.2(DEAD) 
	docs/busybox.lineo.com/busybox-growth.ps:1.1->1.2(DEAD) 
	docs/busybox.lineo.com/index.html:1.75->1.76(DEAD) 
	docs/busybox.lineo.com/oldnews.html:1.6->1.7(DEAD) 
	docs/busybox.lineo.com/screenshot.html:1.2->1.3(DEAD) 
	docs/busybox.lineo.com/images/busybox.jpeg:1.1->1.2(DEAD) 
	docs/busybox.lineo.com/images/busybox2.jpg:1.1->1.2(DEAD) 
	docs/busybox.lineo.com/images/fm.mini.png:1.1->1.2(DEAD) 
	docs/busybox.lineo.com/images/gfx_by_gimp.png:1.1->1.2(DEAD) 
	docs/busybox.lineo.com/images/ltbutton2.png:1.1->1.2(DEAD) 
	docs/busybox.lineo.com/images/sdsmall.png:1.1->1.2(DEAD) 
	docs/busybox.lineo.com/images/written.in.vi.png:1.1->1.2(DEAD) 
	docs/busybox.net/cvs_anon.html:1.5->1.6 
	docs/busybox.net/cvs_write.html:1.5->1.6 
	docs/busybox.net/index.html:1.97->1.98 
	docs/busybox.net/oldnews.html:1.9->1.10 

---------------------
PatchSet 2540 
Date: 2002/03/02 16:42:45
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
A few more little cleanups to simplify mirroring

Members: 
	docs/busybox.net/.cvsignore:1.1->1.2 
	docs/busybox.net/images/back.png:INITIAL->1.1 
	docs/busybox.net/images/dir.png:INITIAL->1.1 
	docs/busybox.net/images/text.png:INITIAL->1.1 

---------------------
PatchSet 2541 
Date: 2002/03/02 16:43:30
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Update robots.txt

Members: 
	docs/busybox.net/robots.txt:INITIAL->1.1 

---------------------
PatchSet 2542 
Date: 2002/03/05 15:12:19
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Update init.c per my changes in the stable branch
 -Erik

Members: 
	init/init.c:1.156->1.157 

---------------------
PatchSet 2543 
Date: 2002/03/05 15:55:58
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Now that we are mirrored, remove absolute links

Members: 
	docs/busybox.net/cvs_write.html:1.6->1.7 
	docs/busybox.net/index.html:1.98->1.99 
	docs/busybox.net/oldnews.html:1.10->1.11 

---------------------
PatchSet 2544 
Date: 2002/03/06 10:28:55
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Update webpage to note new mirrors

Members: 
	docs/busybox.net/index.html:1.99->1.100 

---------------------
PatchSet 2545 
Date: 2002/03/06 11:13:51
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Update

Members: 
	docs/busybox.net/index.html:1.100->1.101 

---------------------
PatchSet 2546 
Date: 2002/03/08 16:16:38
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
* fileutils/ls.c (showfiles): Display multiple short names on a line.

Members: 
	coreutils/ls.c:1.86->1.87 
	fileutils/ls.c:1.86->1.87 

---------------------
PatchSet 2547 
Date: 2002/03/08 16:25:33
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
list_single: Declare scratch iff CONFIG_FEATURE_LS_USERNAME is defined.

Members: 
	coreutils/ls.c:1.87->1.88 
	fileutils/ls.c:1.87->1.88 

---------------------
PatchSet 2548 
Date: 2002/03/10 22:01:51
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix broken link

Members: 
	docs/busybox.net/index.html:1.101->1.102 

---------------------
PatchSet 2549 
Date: 2002/03/12 00:35:40
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Cleanup a libc5 compatibility hack

Members: 
	libbb/module_syscalls.c:1.7->1.8 
	libbb/syscalls.c:1.6->1.7 
	pwd_grp/libpwd_grp/setgroups.c:1.4->1.5 

---------------------
PatchSet 2550 
Date: 2002/03/13 17:26:39
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Don't mention ldconfig

Members: 
	examples/bootfloppy/bootfloppy.txt:1.2->1.3 

---------------------
PatchSet 2551 
Date: 2002/03/16 02:12:30
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Try to pull in PATH_MAX properly

Members: 
	include/busybox.h:1.48->1.49 

---------------------
PatchSet 2552 
Date: 2002/03/18 16:03:00
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
Thomas Lundquist

* docs/new-applet-HOWTO.txt: Update for new directory structure.

Members: 
	docs/new-applet-HOWTO.txt:1.6->1.7 

---------------------
PatchSet 2553 
Date: 2002/03/19 15:22:40
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
* networking/wget.c (parse_url): Allocate a string for the empty path.
* testsuite/wget/wget-handles-empty-path: New.

Members: 
	networking/wget.c:1.46->1.47 
	testsuite/wget/wget-handles-empty-path:INITIAL->1.1 

---------------------
PatchSet 2554 
Date: 2002/03/19 23:46:16
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
* testsuite/grep/grep-handles-binary-files: Read input from a pipe.
* testsuite/grep/grep-matches-NUL: Likewise.

Members: 
	testsuite/grep/grep-handles-binary-files:1.1->1.2 
	testsuite/grep/grep-matches-NUL:1.1->1.2 

---------------------
PatchSet 2555 
Date: 2002/03/19 23:47:49
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
* testsuite/grep/egrep-is-not-case-insensitive: Require
  CONFIG_FEATURE_GREP_EGREP_ALIAS.

Members: 
	testsuite/grep/egrep-is-not-case-insensitive:1.1->1.2 

---------------------
PatchSet 2556 
Date: 2002/03/20 01:32:25
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Bart Visscher noticed some spurious search and replace silliness
 -Erik

Members: 
	Makefile:1.252->1.253 

---------------------
PatchSet 2557 
Date: 2002/03/20 09:13:48
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from J.W.Janssen <JanWillem.Janssen@lxtreme.nl> to provide
color ls support, modifed by me to behave properly when not running
output to a terminal (i.e. 'ls | more')
 -Erik

Members: 
	coreutils/ls.c:1.88->1.89 
	fileutils/config.in:1.5->1.6 
	fileutils/ls.c:1.88->1.89 

---------------------
PatchSet 2558 
Date: 2002/03/20 09:52:44
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add missing " " after the word on, as reported by Jason Luther
back in mid-december.
 -Erik

Members: 
	sysklogd/syslogd.c:1.81->1.82 

---------------------
PatchSet 2559 
Date: 2002/03/20 11:34:18
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Axel Barnitzke <barney@xkontor.com>:
    When configured with shadow passwords busybox behaves weird.
    adduser:
        1. adds passwd-shadow entries to /etc/gshadow (easy)
        2. adds group 'addgroup' to /etc/group (see below)
    deluser:
        1. doesn't remove group entry from /etc/gshadow (easy)

Members: 
	pwd_grp/adduser.c:1.8->1.9 
	pwd_grp/deluser.c:1.6->1.7 

---------------------
PatchSet 2560 
Date: 2002/03/20 11:59:28
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Cave to pressure (2 months later).  Eliminate using a
nested function, which is a purely unremovable gcc-ism...
 -Erik

Members: 
	networking/ping.c:1.48->1.49 

---------------------
PatchSet 2561 
Date: 2002/03/20 13:30:40
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Reinitialize initial shift register value for on each pass.
 -Erik

Members: 
	archival/libunarchive/unzip.c:1.16->1.17 
	libbb/unzip.c:1.16->1.17 

---------------------
PatchSet 2562 
Date: 2002/03/20 14:16:31
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Update dmalloc options per suggestion from Glenn

Members: 
	Makefile:1.253->1.254 

---------------------
PatchSet 2563 
Date: 2002/03/20 14:25:27
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Jeff Studer <jstuder@aquilagroup.com> to supply a defaults for
localfilename from remotefilename, and for remotefilename from localfilename
when the other one is not supplied.

Members: 
	networking/tftp.c:1.9->1.10 

---------------------
PatchSet 2564 
Date: 2002/03/20 14:31:15
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from vodz to fix a potential segfault

Members: 
	shell/cmdedit.c:1.66->1.67 

---------------------
PatchSet 2565 
Date: 2002/03/20 14:57:50
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Rewind messages to avoid weird formatting, and fix a bug with
CONFIG_FEATURE_EXTRA_QUIET, which was broken

Members: 
	init/init.c:1.157->1.158 

---------------------
PatchSet 2566 
Date: 2002/03/20 15:25:25
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix devfs loop device support

Members: 
	include/libbb.h:1.69->1.70 
	libbb/loop.c:1.2->1.3 

---------------------
PatchSet 2567 
Date: 2002/03/20 16:10:54
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Eliminate extra trailing space

Members: 
	coreutils/uname.c:1.16->1.17 
	shellutils/uname.c:1.16->1.17 

---------------------
PatchSet 2568 
Date: 2002/03/20 17:38:36
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
* include/applets.h (CONFIG_LOSETUP): New.
* include/usage.h (losetup_trivial_usage, losetup_full_usage): New.
* util-linux/Makefile: Add losetup.o.
* util-linux/config.in: Add losetup prompt.
* util-linux/losetup.c: New.

Members: 
	include/applets.h:1.54->1.55 
	include/usage.h:1.83->1.84 
	util-linux/Makefile:1.2->1.3 
	util-linux/config.in:1.5->1.6 
	util-linux/losetup.c:INITIAL->1.1 

---------------------
PatchSet 2569 
Date: 2002/03/20 18:39:10
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Doh!  Missed a ';'
 -Erik

Members: 
	pwd_grp/adduser.c:1.9->1.10 

---------------------
PatchSet 2570 
Date: 2002/03/21 14:04:43
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Doh!  I broke ping when removing the nested function.
This patch from vodz fixes it again.

Members: 
	networking/ping.c:1.49->1.50 

---------------------
PatchSet 2571 
Date: 2002/03/22 22:55:51
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
* archival/gzip.c (gzip_main): Ensure that the output is a terminal and use
  error_msg to display the error message.

Members: 
	archival/gzip.c:1.53->1.54 

---------------------
PatchSet 2572 
Date: 2002/03/25 02:37:20
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Work around compiler/assembler problem and reduce code size at the same time.

Members: 
	coreutils/uname.c:1.17->1.18 
	shellutils/uname.c:1.17->1.18 

---------------------
PatchSet 2573 
Date: 2002/03/27 17:30:59
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
* archival/bunzip2.c: Include <unistd.h>.
  (bunzip2_main): Read data from standard input if FILE argument is `-' or
  omitted.
* include/usage.h (bunzip2_trivial_usage, bunzip2_full_usage): Rewrite.
* testsuite/bunzip2/bunzip2-reads-from-standard-input: New.

Members: 
	archival/bunzip2.c:1.5->1.6 
	include/usage.h:1.84->1.85 
	testsuite/bunzip2/bunzip2-reads-from-standard-input:INITIAL->1.1 

---------------------
PatchSet 2574 
Date: 2002/03/27 17:33:31
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
* testsuite/runtest (run_applet_testcase): Return test case status, not
  process ID.

Members: 
	testsuite/runtest:1.5->1.6 

---------------------
PatchSet 2575 
Date: 2002/03/27 17:46:43
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
* archival/bunzip2.c (bunzip2_main): Remove compressed file.
* testsuite/bunzip2/bunzip2-removes-compressed-file: New.

Members: 
	archival/bunzip2.c:1.6->1.7 
	testsuite/bunzip2/bunzip2-removes-compressed-file:INITIAL->1.1 

---------------------
PatchSet 2576 
Date: 2002/03/27 22:43:47
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
* testsuite/COPYING: Remove.

Members: 
	testsuite/COPYING:1.1->1.2(DEAD) 

---------------------
PatchSet 2577 
Date: 2002/03/27 22:48:38
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
* testsuite/bunzip2/bunzip2-reads-from-standard-input: Remove -c flags.
* testsuite/gunzip/gunzip-reads-from-standard-input: Likewise.

Members: 
	testsuite/bunzip2/bunzip2-reads-from-standard-input:1.1->1.2 
	testsuite/gunzip/gunzip-reads-from-standard-input:1.1->1.2 

---------------------
PatchSet 2578 
Date: 2002/03/27 22:56:19
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
* testsuite/grep/egrep-supports-extended-regexps: Check exit status instead
  of output.

Members: 
	testsuite/grep/egrep-supports-extended-regexps:1.3->1.4 

---------------------
PatchSet 2579 
Date: 2002/03/27 23:19:17
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
* testsuite/which/which-uses-default-path: Remove extra echo.

Members: 
	testsuite/which/which-uses-default-path:1.1->1.2 

---------------------
PatchSet 2580 
Date: 2002/03/29 00:59:44
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Provide a controlling tty to askfirst processes as well
 -Erik

Members: 
	init/init.c:1.158->1.159 

---------------------
PatchSet 2581 
Date: 2002/04/01 09:34:25
Author: miles
Branch: HEAD
Tag: (none) 
Log:
Add support for the NEC v850e processor.

Members: 
	modutils/insmod.c:1.78->1.79 

---------------------
PatchSet 2582 
Date: 2002/04/01 09:37:27
Author: miles
Branch: HEAD
Tag: (none) 
Log:
Add insmod support for the NEC v850e processor.

Members: 
	README:1.23->1.24 

---------------------
PatchSet 2583 
Date: 2002/04/01 14:25:51
Author: miles
Branch: HEAD
Tag: (none) 
Log:
Tweak my credit (ah, vanity...)

Members: 
	modutils/insmod.c:1.79->1.80 

---------------------
PatchSet 2584 
Date: 2002/04/01 16:17:37
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
* editors/sed.c (process_file): Stop processing deleted lines.
* testsuite/sed/sed-does-not-substitute-in-delete-line: New.

Members: 
	editors/sed.c:1.87->1.88 
	testsuite/sed/sed-does-not-substitute-in-deleted-line:INITIAL->1.1 

---------------------
PatchSet 2585 
Date: 2002/04/03 14:30:58
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add fli4l

Members: 
	docs/busybox.net/index.html:1.102->1.103 

---------------------
PatchSet 2586 
Date: 2002/04/06 05:03:38
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Eliminate uclibc hack, no longer needed
 -Erik

Members: 
	pwd_grp/getty.c:1.3->1.4 

---------------------
PatchSet 2587 
Date: 2002/04/06 05:15:46
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix email addr

Members: 
	archival/gunzip.c:1.59->1.60 

---------------------
PatchSet 2588 
Date: 2002/04/06 05:17:57
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Apply lash_patch35 from vodz, which brings several nice size_optimizations.

Members: 
	applets/busybox.c:1.137->1.138 
	coreutils/ln.c:1.38->1.39 
	fileutils/ln.c:1.38->1.39 
	modutils/config.in:1.2->1.3 
	modutils/lsmod.c:1.28->1.29 
	util-linux/mkswap.c:1.25->1.26 
	util-linux/mount.c:1.97->1.98 

---------------------
PatchSet 2589 
Date: 2002/04/06 23:16:44
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Edward Betts <edward@debian.org> to add -x switch to du.c

Members: 
	coreutils/du.c:1.52->1.53 
	fileutils/du.c:1.52->1.53 
	include/usage.h:1.85->1.86 

---------------------
PatchSet 2590 
Date: 2002/04/07 04:18:23
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix thinko where I axed needed variables, as noted by Axel Barnitzke.

Members: 
	pwd_grp/getty.c:1.4->1.5 

---------------------
PatchSet 2591 
Date: 2002/04/11 21:40:00
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Oldnews

Members: 
	docs/busybox.net/oldnews.html:1.11->1.12 

---------------------
PatchSet 2592 
Date: 2002/04/12 01:28:59
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix handling of endianness.
 -Erik

Members: 
	modutils/insmod.c:1.80->1.81 

---------------------
PatchSet 2593 
Date: 2002/04/12 13:05:24
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Completely rework the config system so that it no longer annoys me to work on
the busybox development tree.  This eliminates the use of recursive make, and
once again allows us to run 'make' in a subdirectory with the expected result.
And things are now much faster too.  Greatly improved IMHO...
 -Erik

Members: 
	Makefile:1.254->1.255 
	Rules.mak:1.1->1.2 
	applets/Makefile:1.2->1.3 
	applets/Makefile.in:INITIAL->1.1 
	archival/Makefile:1.4->1.5 
	archival/Makefile.in:INITIAL->1.1 
	archival/libunarchive/Makefile:1.2->1.3 
	archival/libunarchive/Makefile.in:INITIAL->1.1 
	console-tools/Makefile:1.1->1.2 
	console-tools/Makefile.in:INITIAL->1.1 
	editors/Makefile:1.1->1.2 
	editors/Makefile.in:INITIAL->1.1 
	fileutils/Makefile:1.1->1.2 
	fileutils/Makefile.in:INITIAL->1.1 
	findutils/Makefile:1.1->1.2 
	findutils/Makefile.in:INITIAL->1.1 
	init/Makefile:1.2->1.3 
	init/Makefile.in:INITIAL->1.1 
	libbb/Makefile:1.7->1.8 
	libbb/Makefile.in:INITIAL->1.1 
	miscutils/Makefile:1.4->1.5 
	miscutils/Makefile.in:INITIAL->1.1 
	modutils/Makefile:1.1->1.2 
	modutils/Makefile.in:INITIAL->1.1 
	networking/Makefile:1.4->1.5 
	networking/Makefile.in:INITIAL->1.1 
	procps/Makefile:1.1->1.2 
	procps/Makefile.in:INITIAL->1.1 
	pwd_grp/Makefile:1.6->1.7 
	pwd_grp/Makefile.in:INITIAL->1.1 
	pwd_grp/libpwd_grp/Makefile:1.1->1.2 
	pwd_grp/libpwd_grp/Makefile.in:INITIAL->1.1 
	shell/Makefile:1.1->1.2 
	shell/Makefile.in:INITIAL->1.1 
	shellutils/Makefile:1.3->1.4 
	shellutils/Makefile.in:INITIAL->1.1 
	sysklogd/Makefile:1.2->1.3 
	sysklogd/Makefile.in:INITIAL->1.1 
	textutils/Makefile:1.2->1.3 
	textutils/Makefile.in:INITIAL->1.1 
	util-linux/Makefile:1.3->1.4 
	util-linux/Makefile.in:INITIAL->1.1 

---------------------
PatchSet 2594 
Date: 2002/04/13 06:37:10
Author: timr
Branch: HEAD
Tag: (none) 
Log:
make ash prompt the same as other shells if cmdedit and fancyprompt

Members: 
	shell/ash.c:1.46->1.47 

---------------------
PatchSet 2595 
Date: 2002/04/13 09:31:52
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Update some missing copyright notices

Members: 
	archival/tar.c:1.145->1.146 
	coreutils/mknod.c:1.21->1.22 
	coreutils/pwd.c:1.21->1.22 
	coreutils/sleep.c:1.15->1.16 
	coreutils/sync.c:1.17->1.18 
	coreutils/usleep.c:1.9->1.10 
	fileutils/mknod.c:1.21->1.22 
	fileutils/sync.c:1.17->1.18 
	init/halt.c:1.18->1.19 
	init/init.c:1.159->1.160 
	init/poweroff.c:1.15->1.16 
	init/reboot.c:1.22->1.23 
	procps/kill.c:1.41->1.42 
	shellutils/pwd.c:1.21->1.22 
	shellutils/sleep.c:1.15->1.16 
	shellutils/usleep.c:1.9->1.10 
	util-linux/fdflush.c:1.18->1.19 
	util-linux/more.c:1.53->1.54 
	util-linux/mount.c:1.98->1.99 

---------------------
PatchSet 2596 
Date: 2002/04/13 09:43:01
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Laurence Anderson <L.D.Anderson@warwick.ac.uk> for
better tape drive support in tar/cpio by using an intervening
pipe...

Members: 
	archival/config.in:1.7->1.8 
	archival/libunarchive/unarchive.c:1.3->1.4 

---------------------
PatchSet 2597 
Date: 2002/04/13 10:10:34
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Rework per how I did things in version in 0.60.3 so it can
properly uncompress multiple files now.
 -Erik

Members: 
	archival/gunzip.c:1.60->1.61 

---------------------
PatchSet 2598 
Date: 2002/04/13 10:30:25
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Teach tftp to direct the fetched file to stdout when the
user specifies "-l -"
 -Erik

Members: 
	networking/tftp.c:1.10->1.11 

---------------------
PatchSet 2599 
Date: 2002/04/13 13:33:38
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Nice patch from Wolfgang Denk <wd@denx.de> to provide hush with
shell loops (for, while, until) and control operators (||, &&)

Members: 
	shell/hush.c:1.58->1.59 

---------------------
PatchSet 2600 
Date: 2002/04/13 14:02:03
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Stupid gcc always includes its own builtin strlen()...

Members: 
	include/libbb.h:1.70->1.71 
	libbb/xfuncs.c:1.5->1.6 

---------------------
PatchSet 2601 
Date: 2002/04/13 14:18:15
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Sed can go into an infinite loop

Members: 
	testsuite/sed/sed-recurses-properly:INITIAL->1.1 

---------------------
PatchSet 2602 
Date: 2002/04/13 14:26:49
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Jim Treadway and Vladimir Oleynik to Add CTRL-K
and fix CTRL-L support for cmdedit.c

Members: 
	shell/cmdedit.c:1.67->1.68 

---------------------
PatchSet 2603 
Date: 2002/04/13 14:32:28
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Jim Treadway <jim@stardot-tech.com> to teach
pidof to not add trailing spaces when not needed.

Members: 
	procps/pidof.c:1.3->1.4 

---------------------
PatchSet 2604 
Date: 2002/04/13 14:39:48
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add a 'make uninstall' target

Members: 
	Makefile:1.255->1.256 

---------------------
PatchSet 2605 
Date: 2002/04/13 14:47:37
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Kevin Hilman <khilman@equator.com> to fix potential
memory corruption from long pathnames in /etc/fstab.

Members: 
	util-linux/mount.c:1.99->1.100 

---------------------
PatchSet 2606 
Date: 2002/04/13 14:52:13
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Cleanup make clean

Members: 
	Makefile:1.256->1.257 

---------------------
PatchSet 2607 
Date: 2002/04/13 15:07:30
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Larry Doolittle to teach syslogd to not give up when errno is EINTR

Members: 
	sysklogd/syslogd.c:1.82->1.83 

---------------------
PatchSet 2608 
Date: 2002/04/13 15:26:41
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Teach makedevs to not segfault quite so much

Members: 
	miscutils/makedevs.c:1.11->1.12 

---------------------
PatchSet 2609 
Date: 2002/04/13 15:44:28
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Silly me

Members: 
	libbb/xfuncs.c:1.6->1.7 

---------------------
PatchSet 2610 
Date: 2002/04/13 15:48:48
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Jim Treadway -- fix a missing "\" in usage.h

Members: 
	include/usage.h:1.86->1.87 

---------------------
PatchSet 2611 
Date: 2002/04/13 16:12:39
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Jim Treadway <jim@stardot-tech.com>:
    The internal __getgrent function doesn't allocate enough memory to hold
    the trailing NULL pointer in the gr_mem member of the returned 'struct
    group *'.

Members: 
	pwd_grp/libpwd_grp/__getgrent.c:1.2->1.3 

---------------------
PatchSet 2612 
Date: 2002/04/15 08:40:27
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Ben Low <ben@titr.uow.edu.au> to allow tftp to work
with stdin as well as stdout.

Members: 
	networking/tftp.c:1.11->1.12 

---------------------
PatchSet 2613 
Date: 2002/04/15 16:01:37
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
* archival/bunzip2.c (bunzip2_main): Do not remove files if writing to standard
  output.
* testsuite/bunzip2/bzcat-does-not-remove-compressed-file: New.

Members: 
	archival/bunzip2.c:1.7->1.8 
	testsuite/bunzip2/bzcat-does-not-remove-compressed-file:INITIAL->1.1 

---------------------
PatchSet 2614 
Date: 2002/04/17 16:33:24
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
* networking/wget.c (wget_main): Check return value of safe_fwrite.

Members: 
	networking/wget.c:1.47->1.48 

---------------------
PatchSet 2615 
Date: 2002/04/17 21:21:45
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
ls could mis-color certain entries when previous commands
had failed.  Explicitly 0 out errno to prevent that.

Members: 
	coreutils/ls.c:1.89->1.90 
	fileutils/ls.c:1.89->1.90 

---------------------
PatchSet 2616 
Date: 2002/04/25 00:08:23
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Apply last_patch37 from vodz

Members: 
	shell/cmdedit.c:1.68->1.69 

---------------------
PatchSet 2617 
Date: 2002/04/25 00:12:10
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
vodz noted this line (as imported from Debian) is wrong, and has since
been fixed upstream.

Members: 
	shell/ash.c:1.47->1.48 

---------------------
PatchSet 2618 
Date: 2002/04/26 07:04:01
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Reworked by Robert Griebl <griebl@gmx.de> to support proper
module dependancies.

Members: 
	modutils/modprobe.c:1.3->1.4 

---------------------
PatchSet 2619 
Date: 2002/04/26 08:20:47
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Forward port patch from Przemyslaw Czerpak <druzus@polbox.com>:

 1. busybox-telnet dosn't inform server about the size of terminal screen.
    In the world of xterminals and frame buffers it's rather horrible
    to use fixed 80x24 region in upper-left corner of screen/window.

 2. If client sends character 0x0d to the server then sends character 0x0a
   the server eat the second byte (0x0a) - it's described in telnet RFC.
    Client should send two bytes ( 0x0d + 0x0a or 0x0d + 0x00 ) insted of
    one 0x0d byte.

 3. busybox telnet implementation wasn't 8bit clean (look at 0xff byte).
    I need it because I have to use binray transfer like rz/sz. So when
    I resloved the problem (2) I corrected this one two.

This also contains a small cleanup patch from vodz, and some minor editing
by me.

Members: 
	networking/telnet.c:1.27->1.28 

---------------------
PatchSet 2620 
Date: 2002/04/26 08:41:22
Author: timr
Branch: HEAD
Tag: (none) 
Log:
fix from kergoth

Members: 
	editors/vi.c:1.20->1.21 

---------------------
PatchSet 2621 
Date: 2002/04/26 08:53:39
Author: timr
Branch: HEAD
Tag: (none) 
Log:
add missing void, still has issues though

Members: 
	networking/telnet.c:1.28->1.29 

---------------------
PatchSet 2622 
Date: 2002/04/26 09:00:33
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Minor formatting

Members: 
	networking/telnet.c:1.29->1.30 

---------------------
PatchSet 2623 
Date: 2002/04/26 09:44:17
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix bugs

Members: 
	networking/telnet.c:1.30->1.31 

---------------------
PatchSet 2624 
Date: 2002/04/27 00:39:48
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Ensure that getenv("PATH") stays current, since otherwise cmdedit
(which calls getenv("PATH")) would not operate upon the current
PATH settings, which was really quite iritating.
 -Erik

Members: 
	shell/ash.c:1.48->1.49 
	shell/msh.c:1.9->1.10 

---------------------
PatchSet 2625 
Date: 2002/04/27 00:53:10
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add the who applet, supplied by Da Chen <dchen@ayrnetworks.com>

Members: 
	coreutils/who.c:INITIAL->1.1 
	include/applets.h:1.55->1.56 
	include/usage.h:1.87->1.88 
	shellutils/Makefile.in:1.1->1.2 
	shellutils/config.in:1.4->1.5 
	shellutils/who.c:INITIAL->1.1 

---------------------
PatchSet 2626 
Date: 2002/04/27 00:59:11
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add netcat -i option, per patch from Cristian Ionescu-Idbohrn
<cristian.ionescu-idbohrn@axis.com>

Members: 
	include/usage.h:1.88->1.89 
	networking/nc.c:1.18->1.19 

---------------------
PatchSet 2627 
Date: 2002/04/27 01:06:47
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
When the .config file is missing, supply a default one
and run menuconfig

Members: 
	Makefile:1.257->1.258 

---------------------
PatchSet 2628 
Date: 2002/04/27 02:31:43
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Support noerror option

Members: 
	coreutils/dd.c:1.48->1.49 
	fileutils/dd.c:1.48->1.49 
	include/usage.h:1.89->1.90 

---------------------
PatchSet 2629 
Date: 2002/04/27 05:06:55
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
uClibc supports struct _res these days...

Members: 
	networking/nslookup.c:1.27->1.28 

---------------------
PatchSet 2630 
Date: 2002/04/27 07:06:11
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Cliff L. Biffle <cbiffle@safety.net> to display memory
usage in the ps listing

Members: 
	procps/ps.c:1.44->1.45 

---------------------
PatchSet 2631 
Date: 2002/04/27 10:19:39
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix silly combinitorial oversight

Members: 
	coreutils/ls.c:1.90->1.91 
	fileutils/ls.c:1.90->1.91 

---------------------
PatchSet 2632 
Date: 2002/04/27 13:16:48
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Update website

Members: 
	docs/busybox.net/index.html:1.103->1.104 
	docs/busybox.net/screenshot.html:1.3->1.4 

---------------------
PatchSet 2633 
Date: 2002/04/29 16:32:32
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
* archival/gunzip.c (gunzip_file): New.
  (gunzip_main): Handle no arguments correctly.

Members: 
	archival/gunzip.c:1.61->1.62 

---------------------
PatchSet 2634 
Date: 2002/05/01 06:57:15
Author: timr
Branch: HEAD
Tag: (none) 
Log:
fix and shrink uuencode

Members: 
	Changelog:1.275->1.276 
	coreutils/uuencode.c:1.21->1.22 
	textutils/uuencode.c:1.21->1.22 

---------------------
PatchSet 2635 
Date: 2002/05/03 11:34:35
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Robert Griebl <griebl@gmx.de> to ignore the -s flag

Members: 
	modutils/insmod.c:1.81->1.82 

---------------------
PatchSet 2636 
Date: 2002/05/03 16:22:42
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Make verbose and show_only work as expected
 -Erik

Members: 
	modutils/modprobe.c:1.4->1.5 

---------------------
PatchSet 2637 
Date: 2002/05/03 16:48:26
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Robert Griebl <griebl@gmx.de> to support modprobe -r properly,
merged in with the latest and greatest.

Members: 
	modutils/modprobe.c:1.5->1.6 

---------------------
PatchSet 2638 
Date: 2002/05/05 04:40:14
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Tom Oehser noticed that we were lacking the SO_REUSEADDR flag.

Members: 
	networking/nc.c:1.19->1.20 

---------------------
PatchSet 2639 
Date: 2002/05/14 23:56:29
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
Entries with "noauto" options are ignored correctly when mounting all
("mount -a"), but mount fails when these entries are specified explicitly
In these cases the "noauto" option has to be simply ignored.

Members: 
	util-linux/mount.c:1.100->1.101 

---------------------
PatchSet 2640 
Date: 2002/05/15 00:03:23
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
This patch adds -e (extended information) to route and -r/-e (show routing
tables/extended information) to netstat.
This makes them behave (more) like their GNU counterparts.

Members: 
	networking/netstat.c:1.2->1.3 
	networking/route.c:1.14->1.15 

---------------------
PatchSet 2641 
Date: 2002/05/15 00:10:58
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
This patch adds -e (extended information) to route and -r/-e (show routing
tables/extended information) to netstat.
This makes them behave (more) like their GNU counterparts.

Members: 
	include/usage.h:1.90->1.91 

---------------------
PatchSet 2642 
Date: 2002/05/15 00:22:06
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
Add --login support. This is the bash way of starting a shell that should
parse the profile files.

Members: 
	shell/ash.c:1.49->1.50 

---------------------
PatchSet 2643 
Date: 2002/05/15 00:36:44
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
Added support for -Y|--proxy=on/off to wget

Members: 
	include/usage.h:1.91->1.92 
	networking/wget.c:1.48->1.49 

---------------------
PatchSet 2644 
Date: 2002/05/15 00:42:08
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
Complete rewrite to support stack loading/unloading with proper
handling of duplicates in the dependencies list.

Members: 
	modutils/modprobe.c:1.6->1.7 

---------------------
PatchSet 2645 
Date: 2002/05/15 22:45:52
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
Don't delete source file when decompressing to stdout
This is the normal GNU gunzip behaviour

Members: 
	archival/gunzip.c:1.62->1.63 

---------------------
PatchSet 2646 
Date: 2002/05/15 22:57:42
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
gunzip'ing many files to stdout works now
Fixed a missing initialisation and made a for loop more readable.

Members: 
	archival/gunzip.c:1.63->1.64 

---------------------
PatchSet 2647 
Date: 2002/05/15 23:13:46
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
Support old-style compress (.Z) files via libbb / unzip( ) calls
(configurable) - When enabled an applet "uncompress" is also made
available (oddname to gunzip)

Members: 
	archival/libunarchive/unzip.c:1.17->1.18 
	include/applets.h:1.56->1.57 
	libbb/Makefile.in:1.1->1.2 
	libbb/unzip.c:1.17->1.18 
	sysdeps/linux/config.in:1.4->1.5 

---------------------
PatchSet 2648 
Date: 2002/05/15 23:19:09
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Doh!  Remember to close /etc/inittab

Members: 
	init/init.c:1.160->1.161 

---------------------
PatchSet 2649 
Date: 2002/05/16 20:14:15
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
Reduced code size for new -e flag (suggested by vodz)

Members: 
	networking/route.c:1.15->1.16 

---------------------
PatchSet 2650 
Date: 2002/05/17 23:18:04
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
SUpport old style -[::digit::] options for head and tail
Also make head behave like GNU head (-0/-n 0 is valid)

Members: 
	coreutils/head.c:1.26->1.27 
	coreutils/tail.c:1.40->1.41 
	textutils/head.c:1.26->1.27 
	textutils/tail.c:1.40->1.41 

---------------------
PatchSet 2651 
Date: 2002/05/18 10:16:04
Author: timr
Branch: HEAD
Tag: (none) 
Log:
ping return 1 if can't ping

Members: 
	networking/ping.c:1.50->1.51 

---------------------
PatchSet 2652 
Date: 2002/05/19 20:00:14
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
Support old-style compress (.Z) files via libbb / unzip( ) calls
(configurable) - When enabled an applet "uncompress" is also made
available (oddname to gunzip)
[the cvs add for this file got lost somehow...]

Members: 
	archival/libunarchive/uncompress.c:INITIAL->1.1 
	libbb/uncompress.c:INITIAL->1.1 

---------------------
PatchSet 2653 
Date: 2002/05/23 00:34:35
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
Some cleanups, some size reductions and some buffer overflow checks
Most of it based on ideas from vodz

Members: 
	modutils/modprobe.c:1.7->1.8 

---------------------
PatchSet 2654 
Date: 2002/05/23 00:38:12
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
Made exit code SysV compliant. Also added -s (single pid) flag.

Members: 
	procps/pidof.c:1.4->1.5 

---------------------
PatchSet 2655 
Date: 2002/05/24 07:50:15
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Magnus Damm <damm@opensource.se> to rework things
greatly, and keep the arch specific relocations together,
fixes R_PPC_ADDR32 handling so powerpc can work, and changes the
tlb tables to be linked lists (again so powerpc can work).

Members: 
	modutils/insmod.c:1.82->1.83 

---------------------
PatchSet 2656 
Date: 2002/05/24 07:59:22
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Ensure that insmod supports at least one MODULE_INTERFACE
 -Erik

Members: 
	modutils/config.in:1.3->1.4 

---------------------
PatchSet 2657 
Date: 2002/05/27 23:24:53
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
Added include for isdigit(); simplified -<num> detection

Members: 
	coreutils/head.c:1.27->1.28 
	coreutils/tail.c:1.41->1.42 
	textutils/head.c:1.27->1.28 
	textutils/tail.c:1.41->1.42 

---------------------
PatchSet 2658 
Date: 2002/05/28 22:32:10
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
Added support for /etc/modules.conf parsing
for now only the 'alias' entries are evaluated

Members: 
	modutils/modprobe.c:1.8->1.9 

---------------------
PatchSet 2659 
Date: 2002/05/29 14:45:34
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Patch from Randolfe Averty to fixup package conflict checks, cleanup some memory leaks and reorganise dependency checking.
Some further memory leaks fixed by me.

Members: 
	archival/dpkg.c:1.61->1.62 
	archival/libunarchive/unarchive.c:1.4->1.5 

---------------------
PatchSet 2660 
Date: 2002/05/29 20:08:41
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Include busybox.h before testing CONFIG_LOCALE_SUPPORT.

Members: 
	coreutils/cal.c:1.1->1.2 
	shellutils/cal.c:1.1->1.2 

---------------------
PatchSet 2661 
Date: 2002/06/02 10:36:12
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
Fixed a realloc bug found by Martin Volf

Members: 
	modutils/modprobe.c:1.9->1.10 

---------------------
PatchSet 2662 
Date: 2002/06/04 14:28:43
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Avoid stack munching stdio implementations.
 -Erik

Members: 
	modutils/modprobe.c:1.10->1.11 

---------------------
PatchSet 2663 
Date: 2002/06/04 20:33:58
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
Cleaned up Erik's fgets -> read patch and fixed a buffer overflow

Members: 
	modutils/modprobe.c:1.11->1.12 

---------------------
PatchSet 2664 
Date: 2002/06/04 21:06:23
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
Implement two types of suid/sgid support for BusyBox:
1) tinylogin like with compile time selection and a chown root.root
2) Runtime configurable via /etc/busybox.conf (docu is in the works)
[Parts of this patch may overlap with my other two patches]

Members: 
	applets/applets.c:1.9->1.10 
	include/applets.h:1.57->1.58 
	include/busybox.h:1.49->1.50 
	include/libbb.h:1.71->1.72 
	sysdeps/linux/config.in:1.5->1.6 

---------------------
PatchSet 2665 
Date: 2002/06/04 21:10:10
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
Fix for broken handling off BusyBox's own pwd/grp implementations
[Parts of this patch may overlap with my other two patches]

Members: 
	include/grp.h:1.3->1.4 
	include/pwd.h:1.3->1.4 
	include/shadow.h:INITIAL->1.1 
	init/start_stop_daemon.c:1.4->1.5 
	libbb/my_getgrgid.c:1.2->1.3 
	libbb/my_getgrnam.c:1.2->1.3 
	libbb/my_getpwnam.c:1.2->1.3 
	libbb/my_getpwnamegid.c:1.2->1.3 
	libbb/my_getpwuid.c:1.2->1.3 
	networking/netstat.c:1.3->1.4 
	shell/ash.c:1.50->1.51 

---------------------
PatchSet 2666 
Date: 2002/06/04 21:45:42
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
Bigger patch for (partial) tinylogin integration
- Made a new dir loginutils
- Moved all applets from pwd_grp to loginutils
- Added new applets su.c login.c to loginutils
- Made a new dir libpwdgrp
- Moved everything from pwd_grp/libpwd_grp there
- Added shadow.c to libpwdgrp
- Removed dir pwd_grp
- Added usage strings for login and su to usage.h
- Changed main Makefile to reflect the dir rearrangements
[Parts of this patch may overlap with my other two patches]

Members: 
	Makefile:1.258->1.259 
	include/usage.h:1.92->1.93 
	libpwdgrp/Makefile:INITIAL->1.1 
	libpwdgrp/Makefile.in:INITIAL->1.1 
	libpwdgrp/__getgrent.c:INITIAL->1.1 
	libpwdgrp/__getpwent.c:INITIAL->1.1 
	libpwdgrp/fgetgrent.c:INITIAL->1.1 
	libpwdgrp/fgetpwent.c:INITIAL->1.1 
	libpwdgrp/getgrgid.c:INITIAL->1.1 
	libpwdgrp/getgrnam.c:INITIAL->1.1 
	libpwdgrp/getpw.c:INITIAL->1.1 
	libpwdgrp/getpwnam.c:INITIAL->1.1 
	libpwdgrp/getpwuid.c:INITIAL->1.1 
	libpwdgrp/grent.c:INITIAL->1.1 
	libpwdgrp/initgroups.c:INITIAL->1.1 
	libpwdgrp/putpwent.c:INITIAL->1.1 
	libpwdgrp/pwent.c:INITIAL->1.1 
	libpwdgrp/setgroups.c:INITIAL->1.1 
	libpwdgrp/shadow.c:INITIAL->1.1 
	loginutils/Makefile:INITIAL->1.1 
	loginutils/Makefile.in:INITIAL->1.1 
	loginutils/addgroup.c:INITIAL->1.1 
	loginutils/adduser.c:INITIAL->1.1 
	loginutils/config.in:INITIAL->1.1 
	loginutils/deluser.c:INITIAL->1.1 
	loginutils/getty.c:INITIAL->1.1 
	loginutils/login.c:INITIAL->1.1 
	loginutils/su.c:INITIAL->1.1 
	loginutils/tinylogin.c:INITIAL->1.1 
	loginutils/tinylogin.h:INITIAL->1.1 
	pwd_grp/Makefile:1.7->1.8(DEAD) 
	pwd_grp/Makefile.in:1.1->1.2(DEAD) 
	pwd_grp/addgroup.c:1.7->1.8(DEAD) 
	pwd_grp/adduser.c:1.10->1.11(DEAD) 
	pwd_grp/config.in:1.4->1.5(DEAD) 
	pwd_grp/deluser.c:1.7->1.8(DEAD) 
	pwd_grp/getty.c:1.5->1.6(DEAD) 
	pwd_grp/libpwd_grp/Makefile:1.2->1.3(DEAD) 
	pwd_grp/libpwd_grp/Makefile.in:1.1->1.2(DEAD) 
	pwd_grp/libpwd_grp/__getgrent.c:1.3->1.4(DEAD) 
	pwd_grp/libpwd_grp/__getpwent.c:1.1->1.2(DEAD) 
	pwd_grp/libpwd_grp/fgetgrent.c:1.2->1.3(DEAD) 
	pwd_grp/libpwd_grp/fgetpwent.c:1.2->1.3(DEAD) 
	pwd_grp/libpwd_grp/getgrgid.c:1.2->1.3(DEAD) 
	pwd_grp/libpwd_grp/getgrnam.c:1.2->1.3(DEAD) 
	pwd_grp/libpwd_grp/getpw.c:1.2->1.3(DEAD) 
	pwd_grp/libpwd_grp/getpwnam.c:1.2->1.3(DEAD) 
	pwd_grp/libpwd_grp/getpwuid.c:1.2->1.3(DEAD) 
	pwd_grp/libpwd_grp/grent.c:1.2->1.3(DEAD) 
	pwd_grp/libpwd_grp/initgroups.c:1.3->1.4(DEAD) 
	pwd_grp/libpwd_grp/putpwent.c:1.2->1.3(DEAD) 
	pwd_grp/libpwd_grp/pwent.c:1.2->1.3(DEAD) 
	pwd_grp/libpwd_grp/setgroups.c:1.5->1.6(DEAD) 

---------------------
PatchSet 2667 
Date: 2002/06/04 21:51:06
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
Cleanup leftover files from big move

Members: 
	pwd_grp/.indent.pro:1.1->1.2(DEAD) 

---------------------
PatchSet 2668 
Date: 2002/06/05 08:11:32
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
plug fd leak noticed by Russ Dill
 -Erik

Members: 
	init/start_stop_daemon.c:1.5->1.6 

---------------------
PatchSet 2669 
Date: 2002/06/06 12:35:29
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
last_patch41 from vodz to fix stty -F and similar

Members: 
	coreutils/stty.c:1.6->1.7 
	shellutils/stty.c:1.6->1.7 

---------------------
PatchSet 2670 
Date: 2002/06/06 12:47:00
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Per discussion with vodz, Tim's changes do not seem to make sense.
Revert them.
 -Erik

Members: 
	networking/ping.c:1.51->1.52 

---------------------
PatchSet 2671 
Date: 2002/06/06 13:07:28
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from vodz to only setenv PATH when PATH changes, which is much
smarter than my quick fix.

Members: 
	shell/ash.c:1.51->1.52 

---------------------
PatchSet 2672 
Date: 2002/06/06 13:11:55
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Gyepi SAM <gyepi@praxis-sw.com>:
    When DEBUG is defined
    1. need to include resolv.h (for _resinit())
    2. remove _() call around string. It appears to be a remnant of i18n or some such notion

Members: 
	libbb/inet_common.c:1.1->1.2 

---------------------
PatchSet 2673 
Date: 2002/06/06 13:24:51
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Gyepi SAM <gyepi@praxis-sw.com>:

Fixed up domain removal for local domains. GNU traceroute does not do this. I
don't know why we do.  Fixed incorrect argument for reverse resolution.  Clean
up cruft that appears when CONFIG_FEATURE_TRACEROUTE_VERBOSE is defined

Members: 
	networking/traceroute.c:1.7->1.8 

---------------------
PatchSet 2674 
Date: 2002/06/06 13:59:13
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Email addr fix

Members: 
	networking/telnet.c:1.31->1.32 

---------------------
PatchSet 2675 
Date: 2002/06/06 14:00:47
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Lets give this a try...

Members: 
	Makefile:1.259->1.260 

---------------------
PatchSet 2676 
Date: 2002/06/06 14:33:01
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix a buffer overflow found by Gerardo Puga <gpuga@gioia.ing.unlp.edu.ar>
 -Erik

Members: 
	shell/lash.c:1.142->1.143 

---------------------
PatchSet 2677 
Date: 2002/06/06 15:24:57
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix buffer overflows noted by Gerardo Puga
 -Erik

Members: 
	modutils/insmod.c:1.83->1.84 

---------------------
PatchSet 2678 
Date: 2002/06/06 15:36:07
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix buffer overflows noted by Gerardo Puga
 -Erik

Members: 
	miscutils/makedevs.c:1.12->1.13 

---------------------
PatchSet 2679 
Date: 2002/06/06 18:30:16
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
If config file can not be parsed, use compiled in BB_SUID_... values as a
fallback method

Members: 
	applets/applets.c:1.10->1.11 

---------------------
PatchSet 2680 
Date: 2002/06/08 13:44:17
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
vodz' last_patch42_2, which is an updated fix for buffer overflows
noted by Gerardo Puga

Members: 
	miscutils/makedevs.c:1.13->1.14 

---------------------
PatchSet 2681 
Date: 2002/06/11 14:25:26
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
* libbb/copy_file.c (copy_file): Check st_dev instead of st_rdev.

Members: 
	libbb/copy_file.c:1.18->1.19 

---------------------
PatchSet 2682 
Date: 2002/06/11 14:29:08
Author: kraai
Branch: HEAD
Tag: (none) 
Log:
* testsuite/sed/sed-recurses-properly: Mark XFAIL.

Members: 
	testsuite/sed/sed-recurses-properly:1.1->1.2 

---------------------
PatchSet 2683 
Date: 2002/06/12 00:43:27
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
Patch from Simon Krahnke:
I wrote a patch for busybox for our company's (www.lisa.de)
private use. [...] To sed it adds the '!'-inversion of addresses.

Members: 
	editors/sed.c:1.88->1.89 

---------------------
PatchSet 2684 
Date: 2002/06/15 15:33:06
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Don't use pointless GNU-isms

Members: 
	coreutils/date.c:1.34->1.35 
	shellutils/date.c:1.34->1.35 

---------------------
PatchSet 2685 
Date: 2002/06/15 15:37:46
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix a potential macro expansion problem...  isspace can be
a macro causing a double decrement...

Members: 
	coreutils/cal.c:1.2->1.3 
	shellutils/cal.c:1.2->1.3 

---------------------
PatchSet 2686 
Date: 2002/06/18 06:16:25
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
As noted by Yves Lavoie ing. <yves.lavoie.ing@sympatico.ca>, don't
lose the last letter of the module name.

Members: 
	modutils/insmod.c:1.84->1.85 

---------------------
PatchSet 2687 
Date: 2002/06/22 07:35:29
Author: aaronl
Branch: HEAD
Tag: (none) 
Log:
Major revamp. I've been trying to clean up the code. the bzerror stuff
still needs major attention (i.e. removal).

Removed references to uninitialized variables like progName,
smallMode, noisy, etc. Remove functions and code for handling "small"
decompression mode, since it is all unreachable. Remove
total_{in,out}* counters - they are never used. Remove panic()
function and assert_h and their uses because they are all for "should
never happen" circumstances. Replace internal malloc/free wrappers
with xmalloc and free. Remove conditional in if(foo)free(foo);
situations. Remove bogus
	if (sizeof(int) != 4) {
		return BZ_CONFIG_ERROR;
	}
(...etc...) code and code for handling BZ_CONFIG_ERROR. Someone should
go through and change the applet to use well-defined types when
appropriate - it expects sizeof(short)==2 && sizeof(int)==4. Until
this commit these were explicitly checked for, and the applet would
exit if these types were not the right size. (I think this is wrong
even as an interim solution.)

With gcc 3.1 reduces size of binary on i386-linux by about 700 bytes.

Lightly tested.

Members: 
	archival/bunzip2.c:1.8->1.9 

---------------------
PatchSet 2688 
Date: 2002/06/22 18:15:42
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Apply vodz' cleanup for insmod buffer overflows, which was cleaner
than my first effort.

Members: 
	modutils/insmod.c:1.85->1.86 

---------------------
PatchSet 2689 
Date: 2002/06/22 18:20:50
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Apply last_patch46 from vodz, to fix buffer overflows noted by
Gerardo Puga, and to optimize for size a little bit.  Thanks vodz

Members: 
	util-linux/mount.c:1.101->1.102 

---------------------
PatchSet 2690 
Date: 2002/06/22 18:23:45
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Kill dead email address
 -Erik

Members: 
	util-linux/mount.c:1.102->1.103 

---------------------
PatchSet 2691 
Date: 2002/06/22 18:32:58
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Apply vodz' last_patch44 -- cleanup several chars to be const, fix
rotten error handling, kill spare \n's, etc

Members: 
	networking/netstat.c:1.4->1.5 

---------------------
PatchSet 2692 
Date: 2002/06/22 18:49:29
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Several login cleanups from vodz

Members: 
	loginutils/login.c:1.1->1.2 

---------------------
PatchSet 2693 
Date: 2002/06/23 05:24:20
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Port over the last of the tinylogin applets
 -Erik

Members: 
	include/applets.h:1.58->1.59 
	include/libbb.h:1.72->1.73 
	include/shadow_.h:INITIAL->1.1 
	include/usage.h:1.93->1.94 
	libbb/Makefile.in:1.2->1.3 
	libbb/change_identity.c:INITIAL->1.1 
	libbb/correct_password.c:INITIAL->1.1 
	libbb/libc5.c:1.2->1.3 
	libbb/messages.c:1.6->1.7 
	libbb/obscure.c:INITIAL->1.1 
	libbb/pw_encrypt.c:INITIAL->1.1 
	libbb/pwd2spwd.c:INITIAL->1.1 
	libbb/restricted_shell.c:INITIAL->1.1 
	libbb/run_shell.c:INITIAL->1.1 
	libbb/setup_environment.c:INITIAL->1.1 
	loginutils/Makefile.in:1.1->1.2 
	loginutils/addgroup.c:1.1->1.2 
	loginutils/adduser.c:1.1->1.2 
	loginutils/config.in:1.1->1.2 
	loginutils/deluser.c:1.1->1.2 
	loginutils/login.c:1.2->1.3 
	loginutils/passwd.c:INITIAL->1.1 
	loginutils/su.c:1.1->1.2 
	loginutils/sulogin.c:INITIAL->1.1 
	loginutils/tinylogin.c:1.1->1.2(DEAD) 
	loginutils/tinylogin.h:1.1->1.2(DEAD) 
	loginutils/vlock.c:INITIAL->1.1 

---------------------
PatchSet 2694 
Date: 2002/06/23 05:50:49
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Rework optimization code.  Be more compiler aware.
 -Erik

Members: 
	Rules.mak:1.2->1.3 

---------------------
PatchSet 2695 
Date: 2002/06/23 22:56:13
Author: aaronl
Branch: HEAD
Tag: (none) 
Log:
remove cleanUpAndFail, and replace it with exit(). because that's what
it does unless srcMode was set, and srcMode is never set.

Members: 
	archival/bunzip2.c:1.9->1.10 

---------------------
PatchSet 2696 
Date: 2002/06/23 23:00:41
Author: aaronl
Branch: HEAD
Tag: (none) 
Log:
Needs shadow.h; otherwise wont compile without CONFIG_USE_BB_SHADOW

Members: 
	libbb/pwd2spwd.c:1.1->1.2 

---------------------
PatchSet 2697 
Date: 2002/06/23 23:13:22
Author: aaronl
Branch: HEAD
Tag: (none) 
Log:
inline many functions that are only called once. saves about 300 bytes
on i386. also staticify most functions.

Members: 
	archival/bunzip2.c:1.10->1.11 

---------------------
PatchSet 2698 
Date: 2002/06/23 23:25:21
Author: aaronl
Branch: HEAD
Tag: (none) 
Log:
Remove advertising clauses in accordance with
ftp://ftp.cs.berkeley.edu/ucb/4bsd/README.Impt.License.Change

Members: 
	coreutils/cal.c:1.3->1.4 
	coreutils/od.c:1.1->1.2 
	libbb/dump.c:1.1->1.2 
	networking/traceroute.c:1.8->1.9 
	shellutils/cal.c:1.3->1.4 
	textutils/od.c:1.1->1.2 
	util-linux/hexdump.c:1.1->1.2 

---------------------
PatchSet 2699 
Date: 2002/07/02 20:14:23
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
David Frascone <dave@frascone.com> noticed two problems.  First, modprobe was
trying to call 'insmod -q', which wasn't supported.  Secondly, when modprobe
was fed blank lines from modules.dep, we ended up calling xstrndup(ptr, -1),
which with suitably bad results.  David provided a patch to catch the blank
lines, and I have added insmod -q support.  So modprobe should work again.
 -Erik

Members: 
	modutils/insmod.c:1.86->1.87 
	modutils/modprobe.c:1.12->1.13 

---------------------
PatchSet 2700 
Date: 2002/07/03 03:52:35
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Silly spelling fix
 -Erik

Members: 
	include/usage.h:1.94->1.95 

---------------------
PatchSet 2701 
Date: 2002/07/03 05:24:08
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Little fix to avoid overflow

Members: 
	coreutils/dos2unix.c:1.15->1.16 
	textutils/dos2unix.c:1.15->1.16 

---------------------
PatchSet 2702 
Date: 2002/07/03 05:47:43
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Cleanup shadow.h stuff so it behaves as intended
 -Erik

Members: 
	include/shadow.h:1.1->1.2(DEAD) 
	libbb/pwd2spwd.c:1.2->1.3 
	libpwdgrp/shadow.c:1.1->1.2 
	loginutils/config.in:1.2->1.3 
	sysdeps/linux/config.in:1.6->1.7 

---------------------
PatchSet 2703 
Date: 2002/07/03 05:54:52
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix text alignment, thanks to Sander Klein <s.klein@quicknet.nl>

Members: 
	loginutils/passwd.c:1.1->1.2 

---------------------
PatchSet 2704 
Date: 2002/07/03 06:15:10
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from till busch <buti@gmx.at> -- unblock all signals
in exec_signal() before calling exec()

Members: 
	init/init.c:1.161->1.162 

---------------------
PatchSet 2705 
Date: 2002/07/03 06:32:02
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Danny Lepage <danny.lepage@cognicase.com> to fix
dutmp for uClibc.

Members: 
	miscutils/dutmp.c:1.27->1.28 

---------------------
PatchSet 2706 
Date: 2002/07/03 06:44:18
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix from vodz so that complex init commands actually work

Members: 
	init/init.c:1.162->1.163 

---------------------
PatchSet 2707 
Date: 2002/07/03 06:55:14
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Martin Volf <volf@dragon.cz> to fix where I had
screwed up the usage messages

Members: 
	include/usage.h:1.95->1.96 

---------------------
PatchSet 2708 
Date: 2002/07/03 10:13:21
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
hide shadow using stuff when CONFIG_FEATURE_SHADOWPASSWDS
is not set
 -Erik

Members: 
	loginutils/vlock.c:1.1->1.2 

---------------------
PatchSet 2709 
Date: 2002/07/03 12:08:10
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Apply last_patch47 from vodz to fix several problems, such as the ash "job
control turned off" bug, console_setup() was called with a closed file
descriptor, setsid() inconsistancy, and silly string handling bugs.   I have
modified his patch to allow the askfirst init actions to have a controlling
terminal.

Members: 
	init/init.c:1.163->1.164 

---------------------
PatchSet 2710 
Date: 2002/07/03 12:46:37
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
This patch from Bart Visscher <magick@linux-fan.com> adds
IPV6 support to busybox.  This patch does the following:
    * Add IPv6 support to libbb
    * Enable IPv6 interface address display
    * Add IPv6 config option
    * Adds ping6, an adaptation of the ping applet for IPv6
    * Adds support routines for ping6:
	- xgethostbyname2
	- create_icmp6_socket
    * Adds ifconfig support for IPv6
    * Add support IPv6 to netstat
    * Add IPv6 support to route
Thanks Bart!

Members: 
	include/applets.h:1.59->1.60 
	include/inet_common.h:1.1->1.2 
	include/libbb.h:1.73->1.74 
	include/usage.h:1.96->1.97 
	libbb/Makefile.in:1.3->1.4 
	libbb/create_icmp6_socket.c:INITIAL->1.1 
	libbb/inet_common.c:1.2->1.3 
	libbb/interface.c:1.7->1.8 
	libbb/xgethostbyname2.c:INITIAL->1.1 
	networking/Makefile.in:1.1->1.2 
	networking/config.in:1.5->1.6 
	networking/ifconfig.c:1.16->1.17 
	networking/netstat.c:1.5->1.6 
	networking/ping6.c:INITIAL->1.1 
	networking/route.c:1.16->1.17 

---------------------
PatchSet 2711 
Date: 2002/07/03 12:51:42
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
A patch from Bart Visscher <magick@linux-fan.com> to add an
xconnect helper routine which does:
        -address and port resolving
	-tries to connect to all resolved addresses until connected
	-uses getaddrinfo, so works for IPv6 too
This patch also ports rdate, telnet, and wget to use the new
xconnect function.  Thanks Bart!

Members: 
	libbb/xconnect.c:INITIAL->1.1 
	networking/telnet.c:1.32->1.33 
	networking/wget.c:1.49->1.50 
	util-linux/rdate.c:1.20->1.21 

---------------------
PatchSet 2712 
Date: 2002/07/03 20:50:23
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
tito <farmatito@tiscali.it> noticed that delgroup was actually
setting CONFIG_DELUSER.  Oops.

Members: 
	loginutils/config.in:1.3->1.4 

---------------------
PatchSet 2713 
Date: 2002/07/04 00:19:08
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Scrub pwd.h and grp.h handling so we don't have to play any
silly games.
 -Erik

Members: 
	Rules.mak:1.3->1.4 
	applets/applets.c:1.11->1.12 
	coreutils/uudecode.c:1.18->1.19 
	include/grp.h:1.4->1.5(DEAD) 
	include/grp_.h:INITIAL->1.1 
	include/libbb.h:1.74->1.75 
	include/pwd.h:1.4->1.5(DEAD) 
	include/pwd_.h:INITIAL->1.1 
	init/start_stop_daemon.c:1.6->1.7 
	libbb/my_getgrgid.c:1.3->1.4 
	libbb/my_getgrnam.c:1.3->1.4 
	libbb/my_getpwnam.c:1.3->1.4 
	libbb/my_getpwnamegid.c:1.3->1.4 
	libbb/my_getpwuid.c:1.3->1.4 
	libpwdgrp/__getgrent.c:1.1->1.2 
	libpwdgrp/__getpwent.c:1.1->1.2 
	libpwdgrp/fgetgrent.c:1.1->1.2 
	libpwdgrp/fgetpwent.c:1.1->1.2 
	libpwdgrp/getgrgid.c:1.1->1.2 
	libpwdgrp/getgrnam.c:1.1->1.2 
	libpwdgrp/getpw.c:1.1->1.2 
	libpwdgrp/getpwnam.c:1.1->1.2 
	libpwdgrp/getpwuid.c:1.1->1.2 
	libpwdgrp/grent.c:1.1->1.2 
	libpwdgrp/initgroups.c:1.1->1.2 
	libpwdgrp/putpwent.c:1.1->1.2 
	libpwdgrp/pwent.c:1.1->1.2 
	libpwdgrp/setgroups.c:1.1->1.2 
	loginutils/addgroup.c:1.2->1.3 
	networking/netstat.c:1.6->1.7 
	shell/ash.c:1.52->1.53 
	shell/cmdedit.c:1.69->1.70 
	textutils/uudecode.c:1.18->1.19 

---------------------
PatchSet 2714 
Date: 2002/07/04 00:49:27
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
This is last_patch48 from vodz.  More cleanups, kills a bit
of dead code, fixes one blatent bug.

Members: 
	init/init.c:1.164->1.165 

---------------------
PatchSet 2715 
Date: 2002/07/04 01:19:46
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Stewart Brodie <stewart.brodie@pace.co.uk> to fix ash:

When alias support is not configured, ash believes that command parameters
that look like dd's "if=/dev/zero" are requests to set a temporary
environment variable whilst dd is running, even though it appears after the
command name.  This is caused by the re-use of the checkalias global variable
to indicate when both alias checking and environment variable checking.  The
failure to reset this flag is due to the reset action being performed only
inside the feature check CHECK_ASH_ALIAS.  Hence ash works as expected when
aliases are configured in, and fails when not.

Example script using 'date' with different settings of TZ:

# TZ=Europe/London
# export TZ
# date
Thu May 30 17:18:49 BST 2002
# TZ=America/New_York date
Thu May 30 12:19:10 EDT 2002
# date
Thu May 30 17:19:12 BST 2002
# date TZ=America/New_York
Thu May 30 12:19:30 EDT 2002    <----- wrong, should be BST time (or error!)
# date
Thu May 30 17:19:35 BST 2002

Attached is a patch against revision 1.52 of ash.c which moves the checks so
that checkalias is updated regardless of whether CONFIG_ASH_ALIAS is set.
With this patch applied, the command shown above which should generate an
error does generate an error.

I have tested this patch with the 'dd' command too and that now works
correctly.

Members: 
	shell/ash.c:1.53->1.54 

---------------------
PatchSet 2716 
Date: 2002/07/08 02:40:02
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Some minor bits of scrubbing

Members: 
	docs/busybox.net/index.html:1.104->1.105 
	docs/busybox.net/oldnews.html:1.12->1.13 

---------------------
PatchSet 2717 
Date: 2002/07/11 11:40:43
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Brad Campbell <brad@seme.com.au> notes that
xconnect.c needs #include <netinet/in.h>
to compile if CONFIG_FEATURE_IPV6 is not defined

Members: 
	libbb/xconnect.c:1.1->1.2 

---------------------
PatchSet 2718 
Date: 2002/07/11 12:11:56
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fixup warnings and undefined operations that show up in gcc-3.1
 -Erik

Members: 
	archival/libunarchive/deb_extract.c:1.1->1.2 
	archival/libunarchive/get_header_ar.c:1.1->1.2 
	archival/libunarchive/get_header_cpio.c:1.1->1.2 
	archival/libunarchive/get_header_tar.c:1.1->1.2 
	archival/libunarchive/seek_sub_file.c:1.2->1.3 
	coreutils/md5sum.c:1.26->1.27 
	coreutils/uuencode.c:1.22->1.23 
	editors/sed.c:1.89->1.90 
	networking/ifconfig.c:1.17->1.18 
	networking/telnet.c:1.33->1.34 
	shell/ash.c:1.54->1.55 
	textutils/md5sum.c:1.26->1.27 
	textutils/uuencode.c:1.22->1.23 

---------------------
PatchSet 2719 
Date: 2002/07/12 01:04:46
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
Accept the --passive-ftp cmd.line option. We always use passive ftp mode,
so it doesn't hurt (adds compatibility though)

Members: 
	networking/wget.c:1.50->1.51 

---------------------
PatchSet 2720 
Date: 2002/07/13 07:08:39
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Try to be more clear about the current two-CVS-trees
situation.
 -Erik

Members: 
	docs/busybox.net/index.html:1.105->1.106 

---------------------
PatchSet 2721 
Date: 2002/07/13 07:24:58
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Better clarify the CVS tree situation
 -Erik

Members: 
	docs/busybox.net/index.html:1.106->1.107 

---------------------
PatchSet 2722 
Date: 2002/07/14 16:39:05
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Doh!

Members: 
	docs/busybox.net/index.html:1.107->1.108 

---------------------
PatchSet 2723 
Date: 2002/07/16 22:53:59
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
Don't treat a non-existant/-readable config file as an empty config, but
use the compiled in _BB_SUID_* flags (same as for parse errors)

Members: 
	applets/applets.c:1.12->1.13 

---------------------
PatchSet 2724 
Date: 2002/07/17 00:50:05
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
Fix for the totally broken adduser applet (parts/ideas from vodz and tito)

Members: 
	loginutils/adduser.c:1.2->1.3 

---------------------
PatchSet 2725 
Date: 2002/07/19 00:59:16
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
Added a compile time option to suppress the "Using fallback.." message
if no busybox.conf file is existant.

Members: 
	applets/applets.c:1.13->1.14 
	sysdeps/linux/config.in:1.7->1.8 

---------------------
PatchSet 2726 
Date: 2002/07/19 01:05:34
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
Applied vodz' patches #49 and #50 (with a small correction in runshell.c)

#49: I found one memory overflow and memory leak in "ln" applet.
Last patch reduced also 54 bytes. ;)

#50: I found bug in loginutils/Makefile.in.
New patch have also new function to libbb and
aplied this to applets and other cosmetic changes.

Members: 
	Makefile:1.260->1.261 
	archival/gunzip.c:1.64->1.65 
	archival/libunarchive/get_header_ar.c:1.2->1.3 
	archival/libunarchive/unarchive.c:1.5->1.6 
	coreutils/expr.c:1.10->1.11 
	coreutils/ln.c:1.39->1.40 
	fileutils/ln.c:1.39->1.40 
	include/libbb.h:1.75->1.76 
	libbb/Makefile.in:1.4->1.5 
	libbb/concat_path_file.c:1.8->1.9 
	libbb/run_shell.c:1.1->1.2 
	libbb/xconnect.c:1.2->1.3 
	libbb/xreadlink.c:1.2->1.3 
	loginutils/Makefile.in:1.2->1.3 
	loginutils/getty.c:1.1->1.2 
	loginutils/passwd.c:1.2->1.3 
	modutils/insmod.c:1.87->1.88 
	shell/cmdedit.c:1.70->1.71 
	shellutils/expr.c:1.10->1.11 
	util-linux/getopt.c:1.9->1.10 

---------------------
PatchSet 2727 
Date: 2002/07/19 21:27:11
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
- Forgot to cvs add bb_asprintf.c (from vodz' patch #50)
- Applied Joel Coltoff's xconnect patch:
On both my host system and with mipsel-linux for my embedded systems
the function getservbyname() gives the port number already in host order.
In fact, this is how it was used by rdate in version 0.60.3. The snapshot
I have of the development tree from July 12, 2002 takes the port number
and stuffs it into htons() before it uses it. This causes bugs in rdate,
telnet and wget. This patch fixes that.

Members: 
	libbb/bb_asprintf.c:INITIAL->1.1 
	libbb/xconnect.c:1.3->1.4 

---------------------
PatchSet 2728 
Date: 2002/07/19 21:52:21
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
Applied syslogd fix submitted by Bart Visscher:
I am using BB 0.60.2 in a floppy distro, and the syslog (and logger) is
unable to log the "<" char.  This shows up in ppp logfiles.  [...]
#logger "<pcomp>" results in "comp>" arriving at the log.

Members: 
	sysklogd/syslogd.c:1.83->1.84 

---------------------
PatchSet 2729 
Date: 2002/07/21 17:50:48
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
Initial checkin of a very primitive hwclock replacement

Members: 
	include/applets.h:1.60->1.61 
	include/usage.h:1.97->1.98 
	util-linux/Makefile.in:1.1->1.2 
	util-linux/config.in:1.6->1.7 
	util-linux/hwclock.c:INITIAL->1.1 

---------------------
PatchSet 2730 
Date: 2002/07/21 18:33:27
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
Fixed two compiler warnings

Members: 
	loginutils/addgroup.c:1.3->1.4 
	modutils/insmod.c:1.88->1.89 

---------------------
PatchSet 2731 
Date: 2002/07/23 23:05:47
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
Added tar -cz support (creating gzipped tar files without a gzip pipe)

Members: 
	archival/config.in:1.8->1.9 
	archival/tar.c:1.146->1.147 

---------------------
PatchSet 2732 
Date: 2002/07/24 00:45:11
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix indentation.  Support killall -q, for pcmcia-cs
 -Erik

Members: 
	procps/kill.c:1.42->1.43 

---------------------
PatchSet 2733 
Date: 2002/07/24 01:34:48
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
Patch for bug #1183: Added a -xdev option to find (configurable)

Members: 
	findutils/config.in:1.3->1.4 
	findutils/find.c:1.34->1.35 

---------------------
PatchSet 2734 
Date: 2002/07/24 01:56:56
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
Commited patch from bug #1182
Although ssrat@mailbag.com says this is not GNU behaviour, it really *is*
(man nslookup)

Members: 
	networking/nslookup.c:1.28->1.29 

---------------------
PatchSet 2735 
Date: 2002/07/24 02:41:30
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
Add support for /etc/filesystem when searching for an "auto" filesystem
This is bug #1246

Members: 
	util-linux/mount.c:1.103->1.104 

---------------------
PatchSet 2736 
Date: 2002/07/25 15:17:19
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
Fix for bug #1255 -- support for mount -t <type>

Members: 
	util-linux/mount.c:1.104->1.105 

---------------------
PatchSet 2737 
Date: 2002/07/26 16:54:20
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
modprobe now also uses "options" from /etc/modules.conf

Members: 
	modutils/modprobe.c:1.13->1.14 

---------------------
PatchSet 2738 
Date: 2002/07/29 07:39:46
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Tim Riker to allow tty* in inittab if the tty
actually exists -- serial console is not the issue...

Members: 
	Changelog:1.276->1.277 
	init/init.c:1.165->1.166 

---------------------
PatchSet 2739 
Date: 2002/07/29 08:59:38
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Kill a silly warning

Members: 
	init/init.c:1.166->1.167 

---------------------
PatchSet 2740 
Date: 2002/07/29 21:28:38
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
Fixed a bug that I had introduced with the new "options" handling.

Members: 
	modutils/modprobe.c:1.14->1.15 

---------------------
PatchSet 2741 
Date: 2002/07/31 00:11:00
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
Added the -I (isofmt) options to date, which comes in handy for scripts
(this is a confiureable option)

Members: 
	coreutils/date.c:1.35->1.36 
	shellutils/config.in:1.5->1.6 
	shellutils/date.c:1.35->1.36 

---------------------
PatchSet 2742 
Date: 2002/07/31 00:13:51
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
Fixed a timing bug which occured when bb ash is run in a rxvt on the
HP iPAQ. Sometimes we get a SIGWINCH and want to print the prompt, although
the prompt is not yet initialised (0) .. so just don't print a prompt
as long as the prompt string is 0

Members: 
	shell/cmdedit.c:1.71->1.72 

---------------------
PatchSet 2743 
Date: 2002/07/31 04:45:05
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Be more portable with 'find' for those that prefer programming
on *BSD, etc.  Formatting fixes, etc.

Members: 
	Makefile:1.261->1.262 
	Rules.mak:1.4->1.5 

---------------------
PatchSet 2744 
Date: 2002/07/31 05:04:20
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
A couple of small bugfixes from Marshall M. Midden <m4@brecis.com>

Members: 
	shell/lash.c:1.143->1.144 

---------------------
PatchSet 2745 
Date: 2002/07/31 22:22:21
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
Applied a patch from Philip Blundell <pb@nexus.co.uk>:
Added support for ":x" as an alias for ":wq" to vi

Members: 
	editors/vi.c:1.21->1.22 

---------------------
PatchSet 2746 
Date: 2002/08/01 02:31:17
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Joseph Chiu <josephc@idealab.com> found an off-by-one bug.  oops!

Members: 
	libpwdgrp/initgroups.c:1.2->1.3 

---------------------
PatchSet 2747 
Date: 2002/08/02 07:39:47
Author: aaronl
Branch: HEAD
Tag: (none) 
Log:
Remove ckfree, and replace all references with free. Remove freefunc,
which is also equivilent to free. Remove some if(x)free(x)
redundancies.

Members: 
	shell/ash.c:1.55->1.56 

---------------------
PatchSet 2748 
Date: 2002/08/03 15:49:03
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
Fixed a bug in xarg: string data was strcat'ed to a malloc'ed buffer - and
malloc does not clear memory by default (somehow this worked on x86, but
not on arm)

Members: 
	findutils/xargs.c:1.21->1.22 

---------------------
PatchSet 2749 
Date: 2002/08/05 03:57:09
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
- updated a few copyright/left file headers
- documented most of my 0.61 changes in the ChangeLog

Members: 
	Changelog:1.277->1.278 
	coreutils/date.c:1.36->1.37 
	modutils/modprobe.c:1.15->1.16 
	shellutils/date.c:1.36->1.37 
	util-linux/hwclock.c:1.1->1.2 

---------------------
PatchSet 2750 
Date: 2002/08/05 12:14:11
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Joel Coltoff <joel@wmi.com> noticed that following a recent
change in uClibc that changed opening the /dev/log socket as
SOCK_STREAM to SOCK_DGRAM, busybox syslogd no longer worked
since it needed a matching change.  This fixes it so it
works once again.

Members: 
	sysklogd/syslogd.c:1.84->1.85 

---------------------
PatchSet 2751 
Date: 2002/08/05 12:56:25
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Oops.  Code things so it actually works this time around...
 -Erik

Members: 
	sysklogd/syslogd.c:1.85->1.86 

---------------------
PatchSet 2752 
Date: 2002/08/06 21:12:56
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Move #define MAXLINE so this compiles without circ buffers.

Members: 
	sysklogd/syslogd.c:1.86->1.87 

---------------------
PatchSet 2753 
Date: 2002/08/06 21:39:23
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Fix silly typo.  addgroup was using /etc/shadow for /etc/gshadow.

Members: 
	loginutils/addgroup.c:1.4->1.5 

---------------------
PatchSet 2754 
Date: 2002/08/06 22:07:17
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
Added the \CregexpC syntax as an alternative for /regexp/ (like GNU sed)

Members: 
	editors/sed.c:1.90->1.91 

---------------------
PatchSet 2755 
Date: 2002/08/07 00:13:31
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
Somehow I applied an old patch for the last commit - this one works now:
- Added \CregexC support to sed (sed testsuite reported no errors, btw)

Members: 
	editors/sed.c:1.91->1.92 

---------------------
PatchSet 2756 
Date: 2002/08/07 22:10:19
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
Added a help text for the -C option to syslogd

Members: 
	include/usage.h:1.98->1.99 

---------------------
PatchSet 2757 
Date: 2002/08/07 22:24:33
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
Patch from Rusell Nelson to document the -C switch for syslogd

Members: 
	docs/busybox.sgml:1.46->1.47 

---------------------
PatchSet 2758 
Date: 2002/08/09 23:54:39
Author: sandman
Branch: HEAD
Tag: (none) 
Log:
Added Familiar Linux to the projects list

Members: 
	docs/busybox.net/index.html:1.108->1.109 

---------------------
PatchSet 2759 
Date: 2002/08/13 05:19:23
Author: aaronl
Branch: HEAD
Tag: (none) 
Log:
minor fixes for fbset bloat


<mjn3>         printf("\tgeometry %u %u %u %u %u\n", v->xres, v->yres,
<mjn3>                    v->xres_virtual, v->yres_virtual, v->bits_per_pixel);
<mjn3>         printf("\ttimings %u %u %u %u %u %u %u\n", v->pixclock, v->left_margin,
<mjn3>                    v->right_margin, v->upper_margin, v->lower_margin, v->hsync_l
<mjn3> en,
<mjn3>                    v->vsync_len);
<mjn3>         printf("\taccel %s\n", (v->accel_flags > 0 ? "true" : "false"));
<mjn3>         printf("\trgba %u/%u,%u/%u,%u/%u,%u/%u\n", v->red.length,
<mjn3>                    v->red.offset, v->green.length, v->green.offset, v->blue.leng
<mjn3> th,
<mjn3>                    v->blue.offset, v->transp.length, v->transp.offset);
<mjn3>         printf("endmode\n\n");
<mjn3> whay have multiple printf calls when one would do?

<mjn3> and this:
<mjn3> static struct cmdoptions_t {
<mjn3>         char *name;
<mjn3>         unsigned char param_count;
<mjn3>         unsigned char code;
<mjn3> } g_cmdoptions[] = {
<mjn3>         {
<mjn3>         "-fb", 1, CMD_FB}, {
<mjn3> (repeated entries)
<mjn3> why isn't this constant?  what about struct packing?

inline the helper functions that are only referenced once.

Members: 
	util-linux/fbset.c:1.28->1.29 

---------------------
PatchSet 2760 
Date: 2002/08/13 06:06:42
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Enable support for the old tar header format, enable via menu's

Members: 
	archival/config.in:1.9->1.10 
	archival/libunarchive/get_header_tar.c:1.2->1.3 

---------------------
PatchSet 2761 
Date: 2002/08/13 10:57:44
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Try to be a bit more dietlibc friendly

Members: 
	libbb/libc5.c:1.3->1.4 

---------------------
PatchSet 2762 
Date: 2002/08/15 04:29:56
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Fix dietlibc test condition

Members: 
	libbb/libc5.c:1.4->1.5 

---------------------
PatchSet 2763 
Date: 2002/08/21 11:27:57
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
New applet, udhcp client

Members: 
	include/applets.h:1.61->1.62 
	include/usage.h:1.99->1.100 
	networking/Makefile.in:1.2->1.3 
	networking/config.in:1.6->1.7 
	networking/udhcpc.c:INITIAL->1.1 

---------------------
PatchSet 2764 
Date: 2002/08/21 12:21:19
Author: aaronl
Branch: HEAD
Tag: (none) 
Log:
Clean up udhcpd a bit. Constify. Staticize. Remove these functions and
inline their contents: print_usage, pidfile_delete, and background.

Members: 
	networking/udhcpc.c:1.1->1.2 

---------------------
PatchSet 2765 
Date: 2002/08/21 12:44:31
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Disable debugging

Members: 
	networking/udhcpc.c:1.2->1.3 

---------------------
PatchSet 2766 
Date: 2002/08/21 13:44:54
Author: aaronl
Branch: HEAD
Tag: (none) 
Log:
Cleanups. These SHOULD make the binary a lot smaller. But they don't.
CURSE GCC

Members: 
	networking/udhcpc.c:1.3->1.4 

---------------------
PatchSet 2767 
Date: 2002/08/21 14:02:24
Author: aaronl
Branch: HEAD
Tag: (none) 
Log:
vi inlining

Members: 
	editors/vi.c:1.22->1.23 

---------------------
PatchSet 2768 
Date: 2002/08/21 14:11:34
Author: aaronl
Branch: HEAD
Tag: (none) 
Log:
Tar inlining, #if 0 out unused function

Members: 
	archival/tar.c:1.147->1.148 

---------------------
PatchSet 2769 
Date: 2002/08/21 14:21:20
Author: aaronl
Branch: HEAD
Tag: (none) 
Log:
Inline functions with only one reference in mkfs_minix. I don't know
why these efforts aren't making the binary smaller.

Members: 
	util-linux/mkfs_minix.c:1.36->1.37 

---------------------
PatchSet 2770 
Date: 2002/08/21 15:24:38
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
udhcpc sample scripts

Members: 
	examples/udhcpc/default.bound:INITIAL->1.1 
	examples/udhcpc/default.deconfig:INITIAL->1.1 
	examples/udhcpc/default.renew:INITIAL->1.1 
	examples/udhcpc/default.script:INITIAL->1.1 

---------------------
PatchSet 2771 
Date: 2002/08/22 12:50:31
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Honour the USTAR prefix field, this enables a 155 byte path length plus the normal 100 byte filename.
The catch is gnu tar cannot create archives that use the prefix field, you need to use s-tar.

Members: 
	archival/libunarchive/get_header_tar.c:1.3->1.4 

---------------------
PatchSet 2772 
Date: 2002/08/22 13:55:26
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Remove definition of is_octal and is_decimal, they arent used

Members: 
	include/libbb.h:1.76->1.77 

---------------------
PatchSet 2773 
Date: 2002/08/22 14:12:40
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Run through indent, use /* */ style comments instead of //

Members: 
	applets/applets.c:1.14->1.15 

---------------------
PatchSet 2774 
Date: 2002/08/22 14:21:26
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Run through indent

Members: 
	archival/gzip.c:1.54->1.55 

---------------------
PatchSet 2775 
Date: 2002/08/22 14:25:12
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Run through indent, use /* */ style comments

Members: 
	include/unarchive.h:1.3->1.4 

---------------------
PatchSet 2776 
Date: 2002/08/22 14:44:08
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Run through indent, use /* */ style comments, change extern to static

Members: 
	archival/tar.c:1.148->1.149 

---------------------
PatchSet 2777 
Date: 2002/08/22 16:54:22
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Remove unwanted comments, run through indent

Members: 
	include/busybox.h:1.50->1.51 

---------------------
PatchSet 2778 
Date: 2002/08/22 16:59:18
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
define inline if needed for ANSI C compatability

Members: 
	include/libbb.h:1.77->1.78 

---------------------
PatchSet 2779 
Date: 2002/08/22 18:47:09
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Run through ident, fix comments

Members: 
	archival/libunarchive/get_header_tar.c:1.4->1.5 

---------------------
PatchSet 2780 
Date: 2002/08/22 19:13:54
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Run through indent, fix BB_ define

Members: 
	coreutils/ls.c:1.91->1.92 
	fileutils/ls.c:1.91->1.92 

---------------------
PatchSet 2781 
Date: 2002/08/22 19:19:01
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Run through indent, fix comments

Members: 
	init/init.c:1.167->1.168 
	networking/ifconfig.c:1.18->1.19 

---------------------
PatchSet 2782 
Date: 2002/08/22 19:24:43
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Run through indent, fix comment

Members: 
	networking/route.c:1.17->1.18 

---------------------
PatchSet 2783 
Date: 2002/08/22 19:30:15
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Run through indent, fix comments

Members: 
	shell/ash.c:1.56->1.57 
	sysklogd/klogd.c:1.9->1.10 

---------------------
PatchSet 2784 
Date: 2002/08/22 19:41:20
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Run through indent, fix comments

Members: 
	archival/libunarchive/unzip.c:1.18->1.19 
	libbb/dump.c:1.2->1.3 
	libbb/unzip.c:1.18->1.19 
	util-linux/mount.c:1.105->1.106 

---------------------
PatchSet 2785 
Date: 2002/08/22 20:15:26
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Remove duplicate variable definition

Members: 
	archival/gzip.c:1.55->1.56 

---------------------
PatchSet 2786 
Date: 2002/08/22 20:22:32
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Specify cast

Members: 
	archival/libunarchive/get_header_tar.c:1.5->1.6 

---------------------
PatchSet 2787 
Date: 2002/08/22 20:31:35
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
replace some global const ints with defines

Members: 
	archival/libunarchive/unzip.c:1.19->1.20 
	libbb/unzip.c:1.19->1.20 

---------------------
PatchSet 2788 
Date: 2002/08/22 20:35:36
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Remove duplicate definitions, run through indent

Members: 
	libbb/interface.c:1.8->1.9 

---------------------
PatchSet 2789 
Date: 2002/08/23 04:25:22
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Run through indent

Members: 
	coreutils/du.c:1.53->1.54 
	fileutils/du.c:1.53->1.54 

---------------------
PatchSet 2790 
Date: 2002/08/23 04:37:07
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Run through indent, specify cast

Members: 
	coreutils/mknod.c:1.22->1.23 
	fileutils/mknod.c:1.22->1.23 

---------------------
PatchSet 2791 
Date: 2002/08/23 06:58:38
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Run through indent, fix comments

Members: 
	coreutils/date.c:1.37->1.38 
	shellutils/date.c:1.37->1.38 

---------------------
PatchSet 2792 
Date: 2002/08/23 07:05:11
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Run through indent, fix comments

Members: 
	coreutils/test.c:1.20->1.21 
	shellutils/test.c:1.20->1.21 

---------------------
PatchSet 2793 
Date: 2002/08/23 07:17:46
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Run through indent, style

Members: 
	util-linux/mount.c:1.106->1.107 

---------------------
PatchSet 2794 
Date: 2002/08/23 08:28:45
Author: aaronl
Branch: HEAD
Tag: (none) 
Log:
move some globals to bss

Members: 
	coreutils/du.c:1.54->1.55 
	fileutils/du.c:1.54->1.55 

---------------------
PatchSet 2795 
Date: 2002/08/23 08:45:26
Author: aaronl
Branch: HEAD
Tag: (none) 
Log:
for some baffling reason tinycc insists that i change this 0 to NULL

Members: 
	modutils/modprobe.c:1.16->1.17 

---------------------
PatchSet 2796 
Date: 2002/08/23 08:51:01
Author: aaronl
Branch: HEAD
Tag: (none) 
Log:
remove duplicate definition of G
caught by tinycc

Members: 
	networking/telnet.c:1.34->1.35 

---------------------
PatchSet 2797 
Date: 2002/08/23 08:52:58
Author: aaronl
Branch: HEAD
Tag: (none) 
Log:
ansify

Members: 
	networking/traceroute.c:1.9->1.10 

---------------------
PatchSet 2798 
Date: 2002/08/23 08:56:21
Author: aaronl
Branch: HEAD
Tag: (none) 
Log:
Don't #ifdef __linux__. this is linux.

Members: 
	loginutils/getty.c:1.2->1.3 

---------------------
PatchSet 2799 
Date: 2002/08/23 13:04:23
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Apply vodz last_patch51_2 and run through indent

Members: 
	libbb/arith.c:1.3->1.4 

---------------------
PatchSet 2800 
Date: 2002/08/23 14:14:48
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Apply vodz last_path_51-2

Members: 
	shell/ash.c:1.57->1.58 

---------------------
PatchSet 2801 
Date: 2002/08/23 15:31:28
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Use static instead of extern, braces around if's, run through indent

Members: 
	networking/udhcpc.c:1.4->1.5 

---------------------
PatchSet 2802 
Date: 2002/08/23 15:36:59
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Remove empty loops

Members: 
	networking/udhcpc.c:1.5->1.6 

---------------------
PatchSet 2803 
Date: 2002/08/23 18:19:26
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Rewrite, its smaller

Members: 
	libbb/make_directory.c:1.5->1.6 

---------------------
PatchSet 2804 
Date: 2002/08/23 23:09:50
Author: aaronl
Branch: HEAD
Tag: (none) 
Log:
Remove extrangeous backslashes that were probably introduced by
someone joining lines and forgetting to remove the backslash escaping
the newline.

Members: 
	include/usage.h:1.100->1.101 

---------------------
PatchSet 2805 
Date: 2002/08/24 11:30:36
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Run through indent, use braces

Members: 
	archival/gunzip.c:1.65->1.66 

---------------------
PatchSet 2806 
Date: 2002/08/24 15:32:17
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Reorganise, make it just one function, remove -v option it didnt work properly anyway, dont setvbuf it doesnt make any difference in performance.

Members: 
	archival/gunzip.c:1.66->1.67 

---------------------
PatchSet 2807 
Date: 2002/08/24 21:00:52
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Fix warning

Members: 
	libbb/make_directory.c:1.6->1.7 

---------------------
PatchSet 2808 
Date: 2002/08/24 21:11:38
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Dont return an error if the directory already existed

Members: 
	libbb/make_directory.c:1.7->1.8 

---------------------
PatchSet 2809 
Date: 2002/08/26 18:17:27
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
chmod on the NEW file

Members: 
	archival/gunzip.c:1.67->1.68 

---------------------
PatchSet 2810 
Date: 2002/08/26 22:34:56
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Eliminate use of obsolete sys_errlist[]
 -Erik

Members: 
	init/init.c:1.168->1.169 
	networking/udhcpc.c:1.6->1.7 

---------------------
PatchSet 2811 
Date: 2002/09/01 07:45:55
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Some CML1 grammar fixes
 -Erik

Members: 
	modutils/config.in:1.4->1.5 
	shell/config.in:1.4->1.5 
	sysdeps/linux/config.in:1.8->1.9 
	textutils/config.in:1.3->1.4 
	util-linux/config.in:1.7->1.8 

---------------------
PatchSet 2812 
Date: 2002/09/10 06:23:29
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Yipe.  uid and gid were reversed.
 -Erik

Members: 
	libpwdgrp/putpwent.c:1.2->1.3 

---------------------
PatchSet 2813 
Date: 2002/09/10 07:03:31
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix for handling of "tftp -l -" from Jean Wolter <jw5@os.inf.tu-dresden.de>

Members: 
	networking/tftp.c:1.12->1.13 

---------------------
PatchSet 2814 
Date: 2002/09/12 15:52:26
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Apply vodz's last_patch53.gz (bb_asprintf.c) and last_patch54.gz
(arith.c).

Members: 
	libbb/arith.c:1.4->1.5 
	libbb/bb_asprintf.c:1.1->1.2 

---------------------
PatchSet 2815 
Date: 2002/09/12 16:44:53
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Thomas Gleixner <tglx@linutronix.de> to do
automatic child reaping to avoid zombies

Members: 
	init/init.c:1.169->1.170 

---------------------
PatchSet 2816 
Date: 2002/09/15 17:54:48
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Support for GNU style long filename and linknames

Members: 
	archival/config.in:1.10->1.11 
	archival/libunarchive/get_header_tar.c:1.6->1.7 

---------------------
PatchSet 2817 
Date: 2002/09/15 18:03:48
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Awk applet written from scratch by Dmitry Zakharov

Members: 
	include/applets.h:1.62->1.63 
	include/usage.h:1.101->1.102 
	textutils/Makefile.in:1.1->1.2 
	textutils/awk.c:INITIAL->1.1 
	textutils/config.in:1.4->1.5 

---------------------
PatchSet 2818 
Date: 2002/09/15 18:20:44
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Use busybox's show_usage function for help

Members: 
	include/usage.h:1.102->1.103 
	networking/udhcpc.c:1.7->1.8 

---------------------
PatchSet 2819 
Date: 2002/09/16 04:16:05
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
openvt applet by Quy Tonthat

Members: 
	console-tools/Makefile.in:1.1->1.2 
	console-tools/config.in:1.1->1.2 
	console-tools/openvt.c:INITIAL->1.1 
	include/applets.h:1.63->1.64 
	include/usage.h:1.103->1.104 

---------------------
PatchSet 2820 
Date: 2002/09/16 04:47:48
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Put in GPL v2 or later copyright notice

Members: 
	console-tools/openvt.c:1.1->1.2 

---------------------
PatchSet 2821 
Date: 2002/09/16 05:21:45
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
mesg applet by Manuel Novoa III

Members: 
	include/applets.h:1.64->1.65 
	include/usage.h:1.104->1.105 
	init/Makefile.in:1.1->1.2 
	init/config.in:1.3->1.4 
	init/mesg.c:INITIAL->1.1 

---------------------
PatchSet 2822 
Date: 2002/09/16 06:30:24
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Support module tainting
 -Erik

Members: 
	modutils/insmod.c:1.89->1.90 
	modutils/lsmod.c:1.29->1.30 

---------------------
PatchSet 2823 
Date: 2002/09/16 07:22:18
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Apply vodz' last_patch52

Members: 
	applets/applets.c:1.15->1.16 
	console-tools/chvt.c:1.17->1.18 
	console-tools/deallocvt.c:1.23->1.24 
	console-tools/setkeycodes.c:1.11->1.12 
	include/applets.h:1.65->1.66 
	include/libbb.h:1.78->1.79 
	include/usage.h:1.105->1.106 
	libbb/get_console.c:1.3->1.4 
	loginutils/adduser.c:1.3->1.4 
	procps/kill.c:1.43->1.44 

---------------------
PatchSet 2824 
Date: 2002/09/16 07:29:26
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix stupid typo noticed by John Mullin <john.mullin@homenetcomm.com>

Members: 
	libpwdgrp/initgroups.c:1.3->1.4 

---------------------
PatchSet 2825 
Date: 2002/09/16 07:47:47
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Let people run SHUTDOWN actions prior to killing everything
 -Erik

Members: 
	init/init.c:1.170->1.171 

---------------------
PatchSet 2826 
Date: 2002/09/16 08:25:41
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Matthias Lang <matthias@corelatus.se> to fix gunzip
error handling and prevent gunzip from hanging.

Members: 
	archival/libunarchive/unzip.c:1.20->1.21 
	libbb/unzip.c:1.20->1.21 

---------------------
PatchSet 2827 
Date: 2002/09/16 10:10:04
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Watch applet by Michael Habermann

Members: 
	coreutils/watch.c:INITIAL->1.1 
	include/applets.h:1.66->1.67 
	include/usage.h:1.106->1.107 
	shellutils/Makefile.in:1.2->1.3 
	shellutils/config.in:1.6->1.7 
	shellutils/watch.c:INITIAL->1.1 

---------------------
PatchSet 2828 
Date: 2002/09/16 10:23:22
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Properly honor FILEUTILS_INTERACTIVE and FILEUTILS_FORCE for
file all file types (not just regular files and dirs).  Unlink
destination files when needed.
 -Erik

Members: 
	libbb/copy_file.c:1.19->1.20 

---------------------
PatchSet 2829 
Date: 2002/09/16 11:23:38
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Let people force overwrite links
 -Erik

Members: 
	libbb/copy_file.c:1.20->1.21 

---------------------
PatchSet 2830 
Date: 2002/09/16 11:44:24
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
last_patch55 from vodz:
    I found overflow problem in xargs applet
    (allocated not space for trailing '\0').
    Last patch also reduce 22 bytes size. ;)

Members: 
	findutils/xargs.c:1.22->1.23 

---------------------
PatchSet 2831 
Date: 2002/09/17 06:43:26
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Typo fix from Steven Merrifield

Members: 
	docs/busybox.net/index.html:1.109->1.110 

---------------------
PatchSet 2832 
Date: 2002/09/17 07:36:02
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Use "MiB" not "Mb"
 -Erik

Members: 
	libbb/interface.c:1.9->1.10 

---------------------
PatchSet 2833 
Date: 2002/09/17 09:40:12
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from David McCullough <davidm@snapgear.com>

Members: 
	init/reboot.c:1.23->1.24 

---------------------
PatchSet 2834 
Date: 2002/09/17 09:41:08
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from "Joe.C" <joe@numa.com.tw>

Members: 
	shell/ash.c:1.58->1.59 

---------------------
PatchSet 2835 
Date: 2002/09/17 09:42:21
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
last_patch56 from vodz to simplify copy_file logic

Members: 
	libbb/copy_file.c:1.21->1.22 

---------------------
PatchSet 2836 
Date: 2002/09/17 09:44:16
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Support setting depth

Members: 
	util-linux/fbset.c:1.29->1.30 

---------------------
PatchSet 2837 
Date: 2002/09/17 21:06:29
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Vodz' last_patch57:
    Ok. Patch with reduce size ready.
    Notes: syslogd imposible close logsocket,
    the real programm write logmessages (hmm, cycle loop?)

    (Excuse me - this have small tab-formats rewroting also)

       text    data     bss     dec     hex filename
       2913     332   12388   15633    3d11 syslogd.o
       3109     332    9252   12693    3195 syslogd_old.o

Members: 
	sysklogd/syslogd.c:1.87->1.88 

---------------------
PatchSet 2838 
Date: 2002/09/17 21:35:58
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
hehe.

Members: 
	sysklogd/syslogd.c:1.88->1.89 

---------------------
PatchSet 2839 
Date: 2002/09/17 21:53:41
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Sane-ify the screen clearing stuff.
 -Erik

Members: 
	coreutils/watch.c:1.1->1.2 
	shellutils/watch.c:1.1->1.2 

---------------------
PatchSet 2840 
Date: 2002/09/17 22:02:16
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Modified so that it "works" for archs other than i386... arm in particular.
Also tried to clean up the logic a little, and ensure that read errors
or invalid archives resulted in error returns.  This could use a lot more
work... Volunteers?

Members: 
	archival/libunarchive/get_header_zip.c:1.1->1.2 

---------------------
PatchSet 2841 
Date: 2002/09/17 22:17:35
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
re-enable the cursor, in case it got disabled
 -Erik

Members: 
	console-tools/reset.c:1.7->1.8 

---------------------
PatchSet 2842 
Date: 2002/09/17 22:21:27
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Clear screen too.

Members: 
	console-tools/reset.c:1.8->1.9 

---------------------
PatchSet 2843 
Date: 2002/09/17 23:14:58
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add a new top applet
 -Erik

Members: 
	include/applets.h:1.67->1.68 
	include/usage.h:1.107->1.108 
	procps/Makefile.in:1.1->1.2 
	procps/config.in:1.3->1.4 
	procps/top.c:INITIAL->1.1 

---------------------
PatchSet 2844 
Date: 2002/09/18 15:23:06
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
patch from John Hall <john.hall@optionexist.co.uk> to change the
klogd specific messages to facility LOG_SYSLOG and tidies up some
of the priorities.

Members: 
	sysklogd/klogd.c:1.10->1.11 

---------------------
PatchSet 2845 
Date: 2002/09/18 20:27:10
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Commit vodz's patch, plus a tweak to change TracePid to TracerPid.  Now
works on i386 (2.4.19) and arm (2.4.6).

Members: 
	procps/top.c:1.1->1.2 

---------------------
PatchSet 2846 
Date: 2002/09/18 21:48:20
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Update webpage

Members: 
	docs/busybox.net/index.html:1.110->1.111 

---------------------
PatchSet 2847 
Date: 2002/09/18 21:52:26
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
update the noise a tiny bit

Members: 
	docs/busybox.net/index.html:1.111->1.112 

---------------------
PatchSet 2848 
Date: 2002/09/20 08:33:18
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
don't leak FILEs

Members: 
	procps/top.c:1.2->1.3 

---------------------
PatchSet 2849 
Date: 2002/09/22 03:12:30
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Fix error messages conditions, and make them the same as GNU mkdir.

Members: 
	libbb/make_directory.c:1.8->1.9 

---------------------
PatchSet 2850 
Date: 2002/09/22 13:09:44
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fixup largefile settings
 -Erik

Members: 
	Rules.mak:1.5->1.6 

---------------------
PatchSet 2851 
Date: 2002/09/25 03:47:40
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
New common unarchive code.

Members: 
	archival/ar.c:1.39->1.40 
	archival/config.in:1.11->1.12 
	archival/cpio.c:1.6->1.7 
	archival/dpkg_deb.c:1.25->1.26 
	archival/gunzip.c:1.68->1.69 
	archival/rpm2cpio.c:1.4->1.5 
	archival/tar.c:1.149->1.150 
	archival/unzip.c:1.1->1.2 
	archival/libunarchive/Makefile.in:1.1->1.2 
	archival/libunarchive/add_to_list.c:INITIAL->1.1 
	archival/libunarchive/check_header_gzip.c:INITIAL->1.1 
	archival/libunarchive/check_trailer_gzip.c:INITIAL->1.1 
	archival/libunarchive/copy_file_chunk_fd.c:INITIAL->1.1 
	archival/libunarchive/data_align.c:INITIAL->1.1 
	archival/libunarchive/data_extract_all.c:INITIAL->1.1 
	archival/libunarchive/data_extract_to_stdout.c:INITIAL->1.1 
	archival/libunarchive/data_skip.c:INITIAL->1.1 
	archival/libunarchive/filter_accept_all.c:INITIAL->1.1 
	archival/libunarchive/filter_accept_list.c:INITIAL->1.1 
	archival/libunarchive/filter_accept_reject_list.c:INITIAL->1.1 
	archival/libunarchive/get_header_ar.c:1.3->1.4 
	archival/libunarchive/get_header_tar.c:1.7->1.8 
	archival/libunarchive/get_header_tar_gz.c:INITIAL->1.1 
	archival/libunarchive/header_list.c:INITIAL->1.1 
	archival/libunarchive/header_skip.c:INITIAL->1.1 
	archival/libunarchive/header_verbose_list.c:INITIAL->1.1 
	archival/libunarchive/init_handle.c:INITIAL->1.1 
	archival/libunarchive/seek_sub_file.c:1.3->1.4 
	archival/libunarchive/unpack_ar_archive.c:INITIAL->1.1 
	archival/libunarchive/unzip.c:1.21->1.22 
	include/libbb.h:1.79->1.80 
	include/unarchive.h:1.4->1.5 
	libbb/Makefile.in:1.5->1.6 
	libbb/unzip.c:1.21->1.22 
	libbb/xfuncs.c:1.7->1.8 

---------------------
PatchSet 2852 
Date: 2002/09/25 04:04:03
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Remove files made obsolete by new unarchiving code

Members: 
	archival/libunarchive/deb_extract.c:1.2->1.3(DEAD) 
	archival/libunarchive/get_header_cpio.c:1.2->1.3(DEAD) 
	archival/libunarchive/get_header_zip.c:1.2->1.3(DEAD) 
	archival/libunarchive/unarchive.c:1.6->1.7(DEAD) 

---------------------
PatchSet 2853 
Date: 2002/09/25 07:08:19
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Reverse some minor changes that got caught up in my big unarchive patch

Members: 
	include/libbb.h:1.80->1.81 

---------------------
PatchSet 2854 
Date: 2002/09/25 16:08:40
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Ignoring SIGCHLD causes a race leading to the occasional hang of init
when init will wait() on itself in waitfor() when the child exits before
init is scheduled to run.  Letting init hang is very seriously bad.
 -Erik

Members: 
	init/init.c:1.171->1.172 

---------------------
PatchSet 2855 
Date: 2002/09/26 12:17:24
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Bugfixes from Dmitry Zakharov

Members: 
	textutils/awk.c:1.1->1.2 

---------------------
PatchSet 2856 
Date: 2002/09/26 14:59:40
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Avoid calling exit() from within fork/vfork'ed processes.
 -Erik

Members: 
	shell/lash.c:1.144->1.145 

---------------------
PatchSet 2857 
Date: 2002/09/26 17:01:21
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Fix simple define problem

Members: 
	archival/ar.c:1.40->1.41 

---------------------
PatchSet 2858 
Date: 2002/09/27 07:45:58
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Fix compress support and prevent a segfault

Members: 
	archival/gunzip.c:1.69->1.70 
	archival/rpm2cpio.c:1.5->1.6 
	archival/libunarchive/check_header_gzip.c:1.1->1.2 
	archival/libunarchive/data_extract_all.c:1.1->1.2 
	archival/libunarchive/filter_accept_all.c:1.1->1.2 
	archival/libunarchive/get_header_tar.c:1.8->1.9 
	archival/libunarchive/get_header_tar_gz.c:1.1->1.2 
	archival/libunarchive/uncompress.c:1.1->1.2 
	include/libbb.h:1.81->1.82 
	include/unarchive.h:1.5->1.6 
	libbb/uncompress.c:1.1->1.2 

---------------------
PatchSet 2859 
Date: 2002/09/28 00:34:53
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Bug fix from Nitin Gupta <gupta@equator.com>

Members: 
	miscutils/time.c:1.1->1.2 

---------------------
PatchSet 2860 
Date: 2002/09/28 03:06:39
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Fix for using '-' as the filename when reading from stdin

Members: 
	archival/tar.c:1.150->1.151 

---------------------
PatchSet 2861 
Date: 2002/09/28 09:30:47
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Fail straight away rather than recursively printing error messages :)

Members: 
	libbb/make_directory.c:1.9->1.10 

---------------------
PatchSet 2862 
Date: 2002/09/28 09:32:14
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
make_directory() will fail instantly so we dont need to test for failure here

Members: 
	coreutils/mkdir.c:1.31->1.32 
	fileutils/mkdir.c:1.31->1.32 

---------------------
PatchSet 2863 
Date: 2002/09/30 06:30:29
Author: bug1
Branch: HEAD
Tag: (none) 
Log:
Save status so we know if to delete compressed file

Members: 
	archival/gunzip.c:1.70->1.71 

---------------------
PatchSet 2864 
Date: 2002/09/30 20:37:48
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Doh.  We divide microseconds by 60?

Members: 
	miscutils/time.c:1.2->1.3 

---------------------
PatchSet 2865 
Date: 2002/09/30 21:08:53
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Set the close-on-exec flag, just to be saf

Members: 
	init/init.c:1.172->1.173 

---------------------
PatchSet 2866 
Date: 2002/09/30 21:12:32
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Don't even try to run ash on uClinux.  It won't work.
 -Erik

Members: 
	shell/ash.c:1.59->1.60 

---------------------
PatchSet 2867 
Date: 2002/09/30 21:14:57
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Konstantin Isakov <ikm@pisem.net>:
    In most cases, dirname returns the same argument it was given, so this code
    works nice, but there's one special case: when the name contains no
    dirname, it returns "." (stored statically in the body of itself), and we
    get a segfault in attempt to free() it.
This patch fixes this problem.

Members: 
	archival/libunarchive/data_extract_all.c:1.2->1.3 

---------------------
PatchSet 2868 
Date: 2002/09/30 21:20:20
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Use %m, not strerror, and strerror(err) was broken anyways and should have been
strerror(errno).  Problem noted by Alexey V. Neyman <alex.neyman@auriga.ru>

Members: 
	shell/lash.c:1.145->1.146 

---------------------
PatchSet 2869 
Date: 2002/09/30 21:39:12
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix dependancy so we rebuild busybox.o, usage.o and busybox.o
whenever the config changes.
 -Erik

Members: 
	applets/Makefile.in:1.1->1.2 

---------------------
PatchSet 2870 
Date: 2002/09/30 21:39:49
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Vodz' last_patch57:
    Hi, Erik.

    my_getpw(uid/gid) and applets used it have problem:
    if username for uid not found, applets can`t detect it
    (but code pessent). Also "%8ld " format is bad:
    spaces not required (applets have self format
    or spec format (tar applet) and overflow for "id" applet...)
    This problem also pressent in stable version.
    Patch for unstable in attach.

    --w
    vodz

Members: 
	archival/tar.c:1.151->1.152 
	coreutils/id.c:1.20->1.21 
	coreutils/logname.c:1.15->1.16 
	coreutils/whoami.c:1.19->1.20 
	include/libbb.h:1.82->1.83 
	libbb/my_getgrgid.c:1.4->1.5 
	libbb/my_getpwuid.c:1.4->1.5 
	procps/ps.c:1.45->1.46 
	shellutils/id.c:1.20->1.21 
	shellutils/logname.c:1.15->1.16 
	shellutils/whoami.c:1.19->1.20 
	sysklogd/logger.c:1.34->1.35 

---------------------
PatchSet 2871 
Date: 2002/09/30 21:52:10
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
last_patch58 from vodz:
    Ok. I generate patch for include to busybox-devel my work with
    top (original author give me maintaining) and telnetd (my
